SystemOrganization addCategory: #'JQuery-Tests-UI-Unit'!
SystemOrganization addCategory: #'JQuery-Tests-UI-Functional'!

!WAPackage class methodsFor: '*JQuery-Tests-UI' stamp: 'lr 10/23/2008 21:14'!
jQueryTestsUI
	^ self new
		name: 'JQuery-Tests-UI';
		description: 'Functional and unit tests for the JQuery-UI package.';
		addDependency: 'JQuery-UI';
		addDependency: 'JQuery-Tests-Core';
		yourself! !

JQPluginTest subclass: #JQAccordionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

!JQAccordionTest methodsFor: 'testing' stamp: 'lr 10/27/2008 08:18'!
testActions
	self
		assert: ((self jQuery: 'img') accordion activate: 3)
		equals: self name , '("img").accordion("activate",3)'! !

JQPluginTest subclass: #JQDatepickerTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

!JQDatepickerTest methodsFor: 'testing' stamp: 'lr 10/27/2008 08:23'!
testActions
	self
		assert: ((self jQuery: 'input') datepicker date)
		equals: self name , '("input").datepicker("getDate")'.
	self
		assert: ((self jQuery: 'input') datepicker date: (Date year: 2010 month: 6 day: 11))
		equals: self name , '("input").datepicker("setDate",new Date(2010,5,11))'.
	self
		assert: ((self jQuery: 'input') datepicker hide)
		equals: self name , '("input").datepicker("hide")'.
	self
		assert: ((self jQuery: 'input') datepicker option buttonText: 'foo')
		equals: self name , '("input").datepicker("option",{buttonText:"foo"})'.
	self
		assert: ((self jQuery: 'input') datepicker show)
		equals: self name , '("input").datepicker("show")'! !

JQPluginTest subclass: #JQDialogTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

!JQDialogTest methodsFor: 'testing' stamp: 'lr 10/27/2008 08:26'!
testActions
	self
		assert: ((self jQuery: 'div') dialog moveToTop)
		equals: self name , '("div").dialog("moveToTop")'.
	self
		assert: ((self jQuery: 'div') dialog open)
		equals: self name , '("div").dialog("open")'! !

JQPluginTest subclass: #JQDraggableTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

JQPluginTest subclass: #JQDroppableTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

JQPluginTest subclass: #JQResizableTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

!JQResizableTest methodsFor: 'testing' stamp: 'lr 10/21/2008 12:35'!
testActions
	self
		assert: ((self jQuery: 'img') resizable disable)
		equals: self name , '("img").resizable("disable")'.
	self
		assert: ((self jQuery: 'img') resizable enable)
		equals: self name , '("img").resizable("enable")'.
	self
		assert: ((self jQuery: 'img') resizable destroy)
		equals: self name , '("img").resizable("destroy")'
		! !

JQPluginTest subclass: #JQSelectableTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

!JQSelectableTest methodsFor: 'testing' stamp: 'lr 10/27/2008 08:28'!
testActions
	self
		assert: ((self jQuery: 'ul') selectable refresh)
		equals: self name , '("ul").selectable("refresh")'.
	self
		assert: ((self jQuery: 'ul') selectable toggle)
		equals: self name , '("ul").selectable("toggle")'! !

JQPluginTest subclass: #JQSliderTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

!JQSliderTest methodsFor: 'testing' stamp: 'lr 10/27/2008 08:58'!
testActions
	self
		assert: ((self jQuery: 'span') slider value: 69)
		equals: self name , '("span").slider("moveTo",69)'.
	self
		assert: ((self jQuery: 'span') slider value)
		equals: self name , '("span").slider("value")'! !

JQPluginTest subclass: #JQSortableTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

!JQSortableTest methodsFor: 'testing' stamp: 'lr 10/27/2008 08:59'!
testActions
	self
		assert: ((self jQuery: 'ul') sortable refresh)
		equals: self name , '("ul").sortable("refresh")'.
	self
		assert: ((self jQuery: 'ul') sortable refreshPositions)
		equals: self name , '("ul").sortable("refreshPositions")'! !

JQPluginTest subclass: #JQTabsTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Unit'!

!JQTabsTest methodsFor: 'testing' stamp: 'lr 10/27/2008 09:03'!
testActions
	self
		assert: ((self jQuery: 'ul') tabs add: '#foo' label: 'Foo')
		equals: self name , '("ul").tabs("add","#foo","Foo")'.
	self
		assert: ((self jQuery: 'ul') tabs add: '#foo' label: 'Foo' at: 1)
		equals: self name , '("ul").tabs("add","#foo","Foo",1)'.
	self
		assert: ((self jQuery: 'ul') tabs disable: 2)
		equals: self name , '("ul").tabs("disable",2)'.
	self
		assert: ((self jQuery: 'ul') tabs enable: 3)
		equals: self name , '("ul").tabs("enable",3)'.
	self
		assert: ((self jQuery: 'ul') tabs select: 4)
		equals: self name , '("ul").tabs("select",4)'.
	self
		assert: ((self jQuery: 'ul') tabs load: 5)
		equals: self name , '("ul").tabs("load",5)'.
	self
		assert: ((self jQuery: 'ul') tabs length)
		equals: self name , '("ul").tabs("length")'.
	self
		assert: ((self jQuery: 'ul') tabs rotate: 1 second)
		equals: self name , '("ul").tabs("rotate",1000)'.
	self
		assert: ((self jQuery: 'ul') tabs rotate: 1 second continuing: true)
		equals: self name , '("ul").tabs("rotate",1000,true)'! !

JQAllTestsLibrary subclass: #JQUiAllTestsLibrary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQUiAllTestsLibrary methodsFor: 'uploaded' stamp: 'lr 10/21/2008 22:01'!
backgroundPng
	^ super backgroundPng! !

!JQUiAllTestsLibrary methodsFor: 'styles' stamp: 'lr 10/21/2008 22:02'!
defaultCss
	^ super defaultCss! !

!JQUiAllTestsLibrary methodsFor: 'uploaded' stamp: 'lr 10/21/2008 22:48'!
framePng
	^ super framePng! !

!JQUiAllTestsLibrary methodsFor: 'uploaded' stamp: ''!
image1Jpg
	| cache |
	cache := #(nil) beMutable.
	(cache at: 1) isNil ifTrue: [
		cache at: 1 put: #(255 216 255 224 0 16 74 70 73 70 0 1 2 0 0 100 0 100 0 0 255 236 0 17 68 117 99 107 121 0 1 0 4 0 0 0 60 0 0 255 238 0 14 65 100 111 98 101 0 100 192 0 0 0 1 255 219 0 132 0 6 4 4 4 5 4 6 5 5 6 9 6 5 6 9 11 8 6 6 8 11 12 10 10 11 10 10 12 16 12 12 12 12 12 12 16 12 14 15 16 15 14 12 19 19 20 20 19 19 28 27 27 27 28 31 31 31 31 31 31 31 31 31 31 1 7 7 7 13 12 13 24 16 16 24 26 21 17 21 26 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 31 255 192 0 17 8 1 64 0 240 3 1 17 0 2 17 1 3 17 1 255 196 0 170 0 0 1 5 1 1 1 0 0 0 0 0 0 0 0 0 0 0 1 2 4 5 6 3 7 8 1 0 2 3 1 1 1 0 0 0 0 0 0 0 0 0 0 0 3 1 2 4 5 6 7 16 0 2 1 3 3 3 2 4 5 2 5 3 2 5 5 1 1 2 3 17 18 4 0 33 5 49 34 19 65 6 81 97 50 20 113 129 66 35 7 145 21 161 177 193 82 51 98 114 36 240 209 225 241 146 178 22 130 67 52 37 38 8 17 0 1 3 2 4 3 6 5 4 2 2 2 3 0 0 0 1 0 17 2 33 3 49 65 18 4 240 81 97 113 129 145 161 34 19 177 193 209 50 5 225 241 66 20 82 98 51 21 130 35 146 162 194 255 218 0 12 3 1 0 2 17 3 17 0 63 0 172 183 93 229 195 69 186 16 138 106 20 132 83 80 165 20 208 132 83 66 17 77 8 69 52 33 37 52 33 20 208 132 83 66 17 77 8 73 77 8 69 52 33 22 232 82 146 154 16 138 104 66 41 161 66 41 161 9 41 161 74 41 161 8 166 132 34 154 16 146 154 16 138 104 66 74 104 66 40 52 33 20 208 132 148 208 132 83 66 20 170 104 84 69 52 33 20 208 164 34 154 16 81 77 8 8 35 66 148 148 208 132 83 66 17 77 8 69 52 33 20 208 132 148 208 132 83 66 17 77 8 72 70 132 34 221 10 81 77 8 69 52 40 73 77 8 69 52 41 69 52 33 37 52 33 20 208 132 83 66 18 83 66 17 77 8 69 52 33 37 52 33 20 208 132 83 66 20 170 104 84 69 52 33 22 232 66 45 208 132 83 66 17 77 8 73 77 10 81 77 8 8 166 133 41 41 161 9 105 161 9 41 161 8 166 132 34 154 16 146 154 16 138 104 66 41 161 9 41 161 8 166 132 34 221 8 72 70 132 4 83 66 148 83 66 18 83 66 132 83 66 17 77 8 73 77 10 81 110 132 34 154 16 146 154 16 165 211 66 162 41 161 8 166 132 36 183 66 18 211 66 144 138 104 82 146 154 16 138 104 66 74 104 66 91 116 33 37 52 33 20 208 132 83 66 18 83 66 17 77 8 69 52 33 20 208 132 148 208 132 83 66 16 70 132 40 217 57 113 99 178 137 13 168 106 75 159 128 244 31 252 118 210 231 61 56 166 66 26 176 197 50 94 75 17 3 55 144 20 141 130 187 109 67 232 214 146 71 210 122 234 135 113 16 29 50 59 105 96 164 70 233 34 9 16 213 88 84 18 8 52 252 14 250 108 100 8 116 153 192 196 178 125 53 101 84 148 208 132 83 66 18 83 66 29 22 232 66 75 116 33 20 208 165 75 183 66 162 41 161 8 166 132 36 166 132 34 154 20 162 221 10 17 77 10 66 41 161 5 20 208 128 146 154 20 162 154 16 138 104 66 45 208 132 148 208 132 83 66 17 77 67 161 20 212 161 37 53 12 133 198 124 152 224 63 184 66 167 82 196 254 159 83 249 29 42 229 209 28 83 237 109 204 195 132 200 115 113 102 29 143 93 129 62 180 12 9 90 211 166 195 68 111 194 78 65 160 81 45 188 226 192 226 184 242 198 35 136 247 48 22 238 181 165 172 78 193 13 126 44 87 243 166 171 125 180 158 138 251 113 33 33 213 80 207 155 38 82 212 126 209 9 76 133 199 253 203 9 218 166 131 102 169 32 124 245 206 191 124 159 162 232 237 237 55 85 59 11 150 194 198 88 224 151 36 188 170 105 32 94 245 4 215 121 30 132 146 22 130 128 245 244 211 173 239 45 219 2 50 149 82 174 236 165 50 72 136 162 176 198 229 49 242 37 104 227 33 141 246 165 43 186 210 165 142 219 83 165 53 174 222 230 50 44 22 59 155 73 66 46 84 210 186 122 204 17 77 74 17 105 208 132 148 208 132 83 80 132 148 212 161 74 166 133 84 83 66 18 211 66 18 83 66 17 77 8 69 52 33 20 208 132 83 66 17 77 10 66 41 161 5 37 52 40 69 52 41 8 166 133 41 40 41 83 208 110 127 13 65 40 232 171 50 57 117 76 152 162 81 179 171 18 8 173 72 33 69 43 78 164 244 245 166 176 222 222 104 32 46 141 141 142 184 151 93 184 249 227 200 95 32 102 102 64 67 51 53 125 79 167 202 180 233 181 41 167 89 185 171 20 141 205 189 24 102 186 103 101 174 46 60 178 149 45 101 40 171 212 215 255 0 91 233 179 158 144 75 36 66 222 162 3 170 200 121 191 184 142 85 187 194 89 124 177 72 226 150 131 66 137 32 235 234 43 183 67 172 131 113 170 133 108 59 93 44 89 198 10 163 51 153 124 134 150 60 128 171 32 144 178 82 172 129 84 42 133 216 87 163 31 234 107 174 94 227 118 101 38 56 131 199 37 213 219 236 196 69 48 35 142 105 63 188 197 137 143 27 175 144 230 57 185 137 20 66 71 68 44 79 114 219 80 223 215 86 134 224 91 24 60 250 97 251 42 206 201 187 152 208 221 255 0 186 239 147 202 199 36 11 42 214 214 8 50 163 42 89 139 30 229 81 250 147 198 195 165 106 127 203 84 175 250 31 50 217 103 139 116 101 152 89 245 246 124 48 126 165 83 201 153 149 46 107 249 153 194 171 179 188 158 165 250 122 211 182 160 157 151 175 227 174 125 235 250 166 196 253 181 124 250 247 45 214 109 180 75 84 28 187 48 239 230 139 252 176 48 38 57 101 1 203 185 12 140 193 152 134 166 246 220 105 219 255 0 207 89 101 121 222 62 7 183 225 209 106 141 150 99 229 199 154 153 135 148 171 99 185 162 70 41 17 237 37 109 35 112 63 1 167 109 175 85 206 67 190 137 123 139 52 32 103 197 85 190 47 43 152 192 129 99 151 0 168 86 165 164 6 12 72 106 144 11 14 181 215 90 222 234 114 160 168 43 151 115 103 1 82 238 41 250 43 56 50 175 232 24 128 73 118 37 72 219 99 220 105 181 127 203 90 236 222 50 24 44 55 236 8 230 165 219 173 43 34 41 160 161 20 212 33 37 14 164 33 74 166 165 85 20 208 132 83 66 17 77 8 69 52 33 20 208 132 83 66 18 83 80 132 83 66 17 110 132 34 154 133 41 178 58 70 133 221 173 69 21 102 63 1 160 150 83 16 229 130 106 75 12 133 149 29 88 160 171 80 244 7 215 240 212 2 14 10 76 8 80 243 249 76 8 97 148 59 9 45 34 57 17 119 163 55 64 105 254 154 164 238 0 10 101 187 100 144 176 92 223 55 26 242 193 62 219 194 69 35 183 118 184 176 44 166 180 27 117 109 198 184 59 247 156 169 64 187 251 19 162 53 169 86 56 188 159 53 72 86 18 234 129 130 18 40 204 215 209 169 208 236 45 234 122 254 7 78 181 59 145 136 3 4 187 208 183 57 18 120 236 72 156 206 70 68 243 200 209 137 226 140 5 130 50 192 151 103 236 17 198 40 89 152 176 233 181 180 220 237 166 70 228 165 57 102 35 146 89 136 140 70 68 230 185 97 16 240 228 195 43 152 164 133 13 210 49 22 204 81 73 80 21 200 165 54 244 233 182 151 24 68 196 137 122 85 229 114 66 64 196 106 84 241 101 172 146 81 158 168 0 43 53 182 165 128 86 189 43 91 237 3 92 191 101 229 94 229 209 23 104 194 172 19 83 152 153 159 207 109 134 99 105 90 2 166 180 96 22 235 138 247 119 10 111 173 126 236 132 137 203 199 193 101 48 140 131 21 160 202 84 254 220 178 197 144 102 88 164 37 99 158 75 170 219 171 22 233 77 136 252 5 125 117 170 241 143 180 224 189 86 91 66 94 235 72 49 101 65 14 54 86 68 15 150 233 55 130 115 108 76 191 91 255 0 214 214 247 88 64 39 255 0 84 214 11 142 206 124 86 251 110 237 26 41 231 14 75 19 35 24 189 174 193 19 24 0 26 230 232 40 59 84 221 90 87 210 186 63 170 101 88 224 121 243 227 5 111 236 128 43 136 79 102 11 35 56 43 41 45 69 84 82 244 96 119 165 105 233 184 167 227 235 164 74 38 49 119 13 135 213 58 18 18 56 26 165 139 33 204 145 209 234 168 166 214 74 85 133 67 81 171 64 197 87 168 249 233 127 110 89 125 83 95 81 175 53 160 225 102 152 227 44 64 1 25 94 213 32 146 196 212 214 164 128 66 212 118 235 185 248 235 132 192 83 232 184 159 144 182 1 119 227 245 87 234 204 178 24 164 53 122 3 126 193 73 63 165 69 107 182 186 194 108 116 149 198 148 28 106 25 228 158 89 68 158 50 127 112 11 138 122 129 243 213 201 106 37 177 103 201 54 64 44 106 139 170 40 86 180 168 245 166 131 131 169 2 170 20 217 202 181 45 27 81 153 99 173 69 24 29 129 161 59 10 146 52 147 117 60 89 117 115 77 104 89 81 77 8 69 53 8 69 52 33 20 208 132 83 66 17 77 8 73 77 10 81 110 132 34 154 16 161 102 114 120 216 146 1 43 139 58 72 5 110 82 42 107 74 111 182 255 0 150 147 59 186 83 237 216 214 41 138 160 206 247 25 136 6 148 21 19 199 64 126 162 68 134 170 16 26 40 93 169 117 42 117 134 254 243 78 25 252 15 37 208 219 236 132 133 78 31 16 158 158 226 193 227 225 134 36 74 189 159 187 85 10 67 19 93 219 160 82 14 192 13 86 123 216 219 1 131 209 94 59 9 92 39 81 110 75 150 48 134 108 246 202 196 129 100 153 64 88 84 165 224 151 114 197 136 70 237 20 52 29 118 175 199 79 179 116 92 36 196 44 215 237 123 96 2 105 230 179 92 215 17 41 146 25 228 154 15 181 8 81 228 71 118 104 81 164 170 188 133 128 44 177 146 22 229 29 55 233 190 179 110 54 228 151 227 138 173 59 125 192 1 89 241 131 16 96 99 203 40 139 141 242 69 44 237 51 94 88 77 19 80 163 198 71 112 102 75 75 19 248 105 177 140 98 0 251 104 127 100 169 74 68 147 247 84 42 232 229 101 172 182 61 184 139 67 25 64 141 28 140 46 154 49 80 123 65 150 210 196 221 241 214 59 177 38 161 240 225 150 219 68 70 133 177 225 213 158 86 123 79 138 48 151 37 87 181 29 85 144 20 89 17 131 50 179 30 158 183 108 71 83 171 93 155 199 65 61 148 84 183 22 150 176 56 43 54 76 133 166 158 87 100 201 106 228 72 182 154 132 180 27 170 45 173 192 149 219 125 101 141 176 67 75 30 89 31 209 106 156 203 184 77 134 63 181 116 88 229 163 199 34 207 68 80 89 86 69 163 21 29 213 33 154 150 239 64 70 168 99 224 164 49 163 169 184 107 147 201 228 142 42 25 164 76 118 186 92 233 47 182 70 142 37 85 116 82 105 80 242 50 169 31 151 166 157 182 180 103 38 192 50 93 251 130 17 235 199 146 211 78 48 126 221 94 25 64 14 165 151 30 64 134 88 207 106 212 21 31 184 169 65 85 97 181 118 35 125 107 32 16 239 94 163 212 253 72 196 5 146 38 79 129 15 200 211 184 28 10 171 229 178 98 199 206 134 53 100 100 137 18 87 149 170 25 195 129 227 165 165 148 170 212 238 61 1 26 205 187 152 20 12 88 130 252 255 0 108 153 106 218 192 146 36 196 98 27 46 57 186 229 246 153 115 4 133 86 230 241 10 5 221 133 73 173 164 1 220 70 192 244 245 174 178 136 25 250 113 56 225 252 186 173 90 196 61 89 103 217 211 149 84 120 27 96 99 82 71 140 88 162 138 65 0 17 121 2 151 80 210 135 252 244 155 182 78 2 181 126 10 101 171 217 154 81 149 190 55 34 152 222 32 128 42 87 200 198 181 101 100 161 54 134 55 116 248 211 106 235 85 179 43 45 252 135 207 232 145 61 55 159 35 151 28 215 73 185 185 126 230 20 127 26 22 64 85 201 250 146 251 129 166 246 178 159 203 78 220 110 166 72 108 79 14 147 183 219 196 3 254 60 83 189 78 193 207 72 124 56 144 177 50 27 37 200 148 212 150 169 85 184 141 152 215 252 61 117 166 206 232 69 163 18 252 206 62 75 61 237 174 167 145 139 12 0 195 207 135 83 51 185 182 69 174 36 6 100 241 137 4 135 211 187 97 111 93 255 0 175 244 214 235 155 138 56 6 67 23 248 46 117 173 161 118 145 105 96 168 160 207 18 60 172 203 124 146 49 41 27 3 226 0 85 157 118 59 90 118 93 115 225 184 213 83 137 195 162 233 75 110 3 1 134 107 125 77 118 215 159 69 52 33 20 208 132 91 161 74 41 161 8 166 132 34 221 8 69 186 132 36 166 132 34 154 16 163 231 96 65 153 142 208 202 181 168 236 112 72 42 222 132 17 78 154 164 224 8 170 188 46 74 37 194 194 115 94 216 200 227 241 91 49 97 124 152 75 92 238 73 243 193 189 20 85 23 185 75 80 84 124 71 229 207 189 182 96 224 58 233 217 221 85 157 148 28 108 69 251 104 103 138 31 50 56 79 220 242 6 255 0 147 188 51 40 37 168 201 241 63 211 88 231 108 64 107 108 27 142 57 173 214 238 25 157 15 136 227 207 224 172 248 238 69 98 73 78 34 152 100 158 59 85 85 138 186 142 161 195 81 141 123 118 170 210 157 125 52 205 189 232 192 29 34 137 123 155 18 153 26 141 126 73 57 180 228 242 120 88 178 174 116 143 204 66 199 25 90 44 69 105 37 219 94 229 151 208 154 83 229 173 18 51 157 184 158 103 46 75 48 140 33 118 67 144 207 23 84 83 101 102 96 241 144 241 248 234 23 7 34 123 177 157 188 109 44 114 171 7 145 54 237 146 54 145 5 155 250 31 77 34 87 37 27 108 201 176 183 25 77 193 86 97 198 41 134 49 132 100 132 27 160 242 84 68 198 65 105 170 181 161 204 132 155 143 169 235 242 9 49 150 166 120 191 201 138 179 3 29 46 197 153 66 18 60 153 49 226 146 33 195 103 43 40 146 133 29 34 78 228 36 15 93 148 17 232 126 61 83 7 50 197 171 135 30 29 83 174 17 17 207 234 186 204 227 55 147 50 5 181 100 120 210 231 144 85 90 104 203 198 138 177 212 218 24 88 131 254 160 14 139 182 77 201 114 227 229 228 169 110 232 183 26 133 3 62 50 216 176 177 141 23 38 50 111 141 213 146 90 37 195 38 54 81 250 139 0 84 215 168 3 208 232 0 70 156 148 235 118 35 53 51 15 146 146 44 97 35 50 9 202 69 26 48 4 41 88 251 217 137 90 209 140 141 209 122 142 186 205 27 145 20 4 242 253 214 131 2 69 112 249 253 84 137 159 15 34 41 103 159 33 0 146 57 30 72 200 98 238 17 124 168 145 253 97 18 170 20 126 7 240 214 162 215 5 78 35 30 125 59 146 43 7 97 250 117 85 144 21 240 137 60 140 217 46 136 242 5 61 11 5 172 106 31 181 68 97 173 3 243 249 235 157 114 225 36 56 112 41 244 91 225 0 196 199 19 193 82 228 151 34 55 17 195 83 145 145 34 8 177 190 128 247 85 139 57 170 253 43 249 211 75 0 224 94 41 132 197 156 49 193 92 112 156 113 139 142 49 38 89 120 229 159 199 36 76 162 66 225 86 230 216 142 208 119 183 173 6 187 27 75 99 67 147 89 28 59 56 170 228 238 174 17 42 3 164 4 179 79 131 200 98 202 68 106 185 79 29 33 141 216 7 5 0 238 143 98 173 106 178 246 211 122 157 181 105 202 12 236 31 183 207 244 85 128 152 56 159 15 47 213 81 206 36 102 172 16 200 21 145 148 249 28 168 10 104 60 146 169 27 42 150 180 211 173 127 167 62 149 32 116 234 183 200 17 233 37 89 225 202 113 99 73 162 196 86 117 98 208 187 214 53 238 20 98 10 179 73 80 104 64 232 62 58 155 87 227 6 144 143 239 207 154 46 216 156 222 46 195 159 201 59 50 72 165 197 121 171 39 220 178 167 133 106 74 200 204 84 121 40 13 192 84 211 126 159 15 93 110 184 98 98 78 39 229 205 96 128 34 92 98 163 136 162 141 177 162 43 125 210 48 149 222 162 70 216 125 67 165 128 181 71 207 227 164 202 45 33 207 192 248 45 0 188 74 244 226 53 232 87 152 69 53 42 81 77 66 17 77 8 75 77 10 81 77 8 73 77 8 69 52 33 20 212 33 52 210 180 59 116 255 0 19 65 161 208 203 147 228 227 163 216 238 20 214 211 83 74 26 87 85 50 3 21 113 2 112 89 143 113 115 147 73 2 136 34 147 30 52 107 239 157 105 117 163 213 126 13 118 223 215 92 253 213 243 145 101 210 217 237 128 119 14 86 67 31 39 60 228 6 89 83 26 102 14 65 88 193 114 242 2 28 217 80 190 180 59 3 174 108 117 56 115 164 191 53 211 155 49 97 168 51 167 253 236 88 184 239 52 159 185 122 248 194 2 4 114 42 155 234 195 105 49 201 90 81 250 31 90 19 171 68 8 135 163 225 243 117 18 145 149 42 220 199 130 208 240 240 242 19 44 10 209 22 142 32 76 57 17 173 46 12 5 93 161 170 146 25 92 2 71 77 168 53 182 206 183 28 135 199 232 176 223 208 34 91 238 234 112 239 230 171 189 197 194 100 166 76 143 26 164 56 141 60 114 46 59 209 66 179 57 12 84 143 210 45 244 222 134 190 186 70 252 1 25 244 236 242 78 217 15 92 71 60 215 92 140 156 86 196 198 138 39 147 196 238 12 173 33 119 22 70 161 123 87 101 66 26 189 171 183 250 214 230 226 216 17 21 230 245 236 167 159 69 120 109 238 153 74 76 57 55 154 129 54 96 131 148 146 88 214 121 96 130 16 10 117 96 28 182 241 80 42 161 3 113 77 182 210 109 223 121 56 115 17 135 62 244 219 150 90 44 204 78 63 85 67 54 102 119 221 207 37 233 44 182 164 217 12 22 201 110 128 130 209 161 22 133 20 21 219 212 105 147 186 199 171 164 219 180 72 96 175 48 226 108 252 140 236 179 44 138 184 76 68 201 6 229 252 170 93 99 137 128 52 40 149 185 141 70 251 84 157 58 22 53 188 142 28 185 165 202 254 134 142 124 249 40 252 103 19 145 10 100 97 101 196 49 240 241 242 102 197 124 135 52 95 35 63 107 81 126 154 249 5 219 108 61 117 146 91 50 102 73 61 58 58 209 29 208 17 12 63 81 153 75 52 120 120 184 178 64 89 242 38 10 66 8 222 219 37 181 148 128 150 181 3 131 70 6 166 148 32 141 180 217 24 194 140 231 231 133 21 0 51 174 89 246 36 197 142 8 231 154 5 42 163 14 212 121 1 101 141 1 66 192 131 78 208 42 14 253 119 248 107 13 203 50 7 212 93 150 232 94 4 80 99 221 199 106 119 27 35 204 127 184 72 63 228 82 96 138 35 81 227 20 53 21 171 131 51 173 126 54 168 21 233 162 228 38 212 3 175 199 203 189 17 148 40 231 142 229 162 226 50 98 142 73 27 16 34 25 85 94 89 46 5 85 82 134 129 69 21 173 27 237 234 14 186 22 46 60 139 105 171 120 229 67 159 96 117 138 252 40 31 85 31 188 119 124 203 38 228 229 201 38 36 115 202 168 248 174 205 10 76 123 99 71 86 61 232 213 36 212 250 26 86 158 154 46 220 148 224 11 3 143 113 81 106 2 50 32 18 229 191 248 245 228 161 240 216 16 75 4 15 33 251 167 201 34 39 133 216 43 20 38 229 84 180 254 148 59 144 62 170 234 182 161 18 204 95 85 57 43 92 145 21 52 17 171 252 143 98 180 130 78 50 24 153 177 241 23 42 51 35 143 37 26 57 5 138 160 32 161 110 210 91 98 77 40 126 90 217 106 16 17 62 145 42 156 113 88 174 202 100 131 171 77 7 114 207 207 150 137 156 138 176 149 68 118 117 102 96 75 45 41 233 181 148 59 239 253 117 206 50 246 229 165 142 60 242 228 23 68 122 226 36 227 245 73 25 204 203 95 60 225 222 24 22 144 92 85 148 208 154 3 121 188 33 167 106 143 171 81 32 236 78 88 113 203 230 129 233 113 207 31 175 111 201 122 197 53 233 215 150 69 52 33 20 212 41 69 52 33 20 208 132 83 66 17 77 8 73 77 8 69 52 33 149 127 39 36 209 39 150 22 5 144 128 200 73 232 219 10 5 7 215 74 184 72 20 79 178 1 44 86 120 231 73 220 101 111 52 134 50 201 97 82 198 92 125 149 74 131 91 149 24 208 17 211 174 178 130 93 207 39 240 91 78 150 97 74 183 114 163 203 25 153 107 36 120 172 85 32 0 180 138 193 96 12 89 172 12 242 84 171 211 244 129 165 74 217 152 32 114 76 133 209 18 14 10 167 42 105 164 48 201 46 50 227 204 150 167 237 200 76 142 193 125 111 80 165 9 0 157 246 214 91 141 32 224 112 22 139 113 49 44 120 117 31 26 87 30 73 163 199 104 213 207 132 26 135 237 233 110 199 255 0 181 126 122 200 65 142 53 91 1 18 232 172 120 126 87 59 137 152 67 4 195 196 202 222 76 89 69 234 151 18 3 199 66 29 66 159 78 159 134 153 107 125 56 135 143 130 93 221 156 36 90 116 76 121 36 203 130 123 203 23 101 52 12 72 101 103 160 187 114 109 173 170 41 248 107 9 148 204 139 245 91 99 24 0 6 24 39 87 19 30 117 156 134 56 242 16 179 89 64 104 74 254 234 220 42 24 124 250 244 166 157 115 77 50 18 241 238 72 132 136 122 212 46 82 114 44 113 217 76 118 23 117 120 106 213 62 52 168 32 20 10 81 106 13 45 255 0 77 69 168 105 6 67 154 155 146 212 192 242 42 46 84 110 248 242 74 0 90 61 171 43 84 130 72 103 72 213 9 53 255 0 109 223 151 77 57 167 112 137 179 2 225 32 152 219 137 136 199 21 103 236 204 176 146 71 148 222 84 200 46 194 92 118 23 86 58 0 10 70 246 223 122 163 37 110 236 43 241 59 244 54 197 139 196 252 233 243 237 88 55 66 140 71 202 189 185 50 180 198 159 139 43 238 68 228 65 104 225 205 145 204 112 173 20 71 36 106 213 106 90 20 212 154 237 232 71 195 79 144 128 214 252 210 227 171 208 2 206 175 33 144 202 217 175 133 44 77 60 84 196 182 213 166 56 169 70 140 49 102 46 192 213 201 95 194 154 193 122 224 137 212 104 255 0 5 178 213 178 70 145 151 197 112 200 79 60 249 24 191 106 184 248 242 70 153 82 49 100 14 2 86 7 85 23 3 87 118 94 222 191 81 244 214 120 71 208 207 133 126 139 68 164 242 160 169 167 213 94 195 199 7 201 143 27 18 56 188 37 85 153 226 185 98 40 7 122 20 20 165 24 219 210 225 109 117 113 111 220 49 3 3 16 255 0 26 248 37 202 90 1 50 197 248 100 176 66 241 220 14 66 40 12 24 177 97 104 10 64 52 183 175 212 62 31 47 150 99 106 113 36 147 16 199 207 229 222 181 11 208 144 1 142 15 199 53 214 92 206 86 119 28 79 136 73 28 140 63 184 207 34 178 175 140 18 88 93 65 89 29 143 101 5 125 105 77 111 133 195 40 157 77 164 87 142 213 146 229 160 36 12 126 236 62 163 185 7 5 112 193 57 9 246 247 119 70 200 5 163 202 164 82 238 218 49 184 21 220 236 126 26 5 147 10 159 76 185 138 227 224 171 239 137 83 238 143 94 158 46 155 157 147 54 110 18 41 120 213 99 181 14 58 19 104 11 91 164 187 174 228 211 183 114 58 124 52 223 112 206 32 30 58 215 15 26 165 155 66 50 36 83 175 203 170 143 36 144 103 242 5 201 69 195 199 106 99 33 30 64 72 42 182 138 14 232 210 129 155 254 173 169 164 146 39 39 255 0 31 52 224 240 139 12 101 94 197 40 228 72 197 212 72 180 10 22 32 20 176 74 40 45 90 109 119 119 204 117 233 160 134 4 26 112 234 112 33 176 94 155 77 122 5 230 66 45 208 165 20 208 132 83 66 17 77 10 82 91 161 8 166 132 34 154 16 138 104 66 129 200 224 172 136 37 163 92 149 45 42 176 14 160 117 42 72 35 97 233 170 202 46 21 225 54 43 11 201 227 226 51 125 166 62 60 107 51 61 145 207 34 209 100 68 115 115 185 45 228 22 3 189 180 161 111 199 88 174 7 44 49 91 109 74 142 112 83 14 36 176 71 115 48 56 178 69 227 104 214 37 68 127 25 38 193 75 155 199 45 42 165 41 81 215 80 97 71 198 138 209 157 89 68 206 92 40 248 184 32 202 95 186 18 87 237 214 48 16 6 21 46 213 27 95 98 170 173 219 211 112 62 41 185 8 128 196 63 146 117 185 72 151 20 84 10 86 73 24 196 207 140 88 70 68 50 208 33 80 77 247 19 75 43 233 77 191 10 235 54 47 136 28 98 180 253 166 61 14 63 69 199 43 42 57 33 5 81 211 29 64 32 63 123 175 117 180 27 0 187 130 63 13 181 138 118 249 2 221 188 85 107 133 210 213 42 60 252 140 129 35 46 72 154 10 44 116 167 112 186 180 55 80 178 146 118 39 127 77 83 250 236 253 114 170 183 191 133 112 205 92 150 129 160 41 141 52 98 40 208 203 127 141 197 179 192 109 104 164 86 90 135 127 208 215 111 240 174 182 222 183 29 44 14 3 175 154 203 102 244 156 147 207 130 163 253 198 78 14 38 51 195 183 146 69 71 137 154 133 205 11 18 110 189 136 248 90 45 248 235 45 157 81 46 48 111 217 105 186 196 55 29 87 88 142 70 113 49 163 177 88 88 55 217 72 42 54 0 35 149 239 173 168 172 11 87 165 41 167 74 38 81 211 29 68 62 31 4 152 200 106 212 89 249 166 174 95 135 139 143 35 27 37 113 57 76 118 13 143 44 111 43 56 14 127 113 104 168 86 195 122 249 20 182 237 77 51 109 33 24 6 53 201 223 193 47 115 19 41 151 20 238 241 47 154 139 142 23 152 230 36 89 128 193 226 185 41 18 76 180 132 85 131 178 93 44 113 212 147 87 150 155 19 233 162 23 33 59 181 244 147 199 130 139 144 156 45 22 245 55 53 215 53 221 178 146 40 229 183 194 10 50 170 176 117 40 77 196 48 248 211 186 130 155 124 247 165 250 210 56 138 50 181 129 207 197 61 56 95 255 0 208 99 192 76 168 243 66 236 170 193 1 73 16 137 21 73 31 77 253 194 164 237 249 141 82 49 192 55 171 142 228 194 115 127 79 25 98 186 102 241 179 99 45 222 54 120 163 80 38 100 163 248 156 40 96 111 238 161 10 213 4 53 27 109 50 118 140 114 45 137 108 143 111 0 165 66 224 149 28 62 29 189 203 164 178 98 225 209 164 105 50 168 233 227 22 132 147 32 130 44 93 203 7 42 198 234 3 64 61 117 73 25 137 48 46 7 104 76 183 161 157 171 226 165 112 240 71 22 58 148 145 229 104 209 222 124 188 148 44 11 177 23 185 171 118 33 190 157 187 245 223 166 170 61 68 152 210 156 187 29 255 0 215 170 182 4 9 85 143 62 214 255 0 203 162 239 151 151 6 86 20 203 148 177 171 48 86 137 80 177 152 180 43 217 72 201 218 240 162 190 160 84 107 97 190 37 22 147 54 88 187 101 226 178 139 38 50 120 187 247 51 158 62 139 137 204 228 36 76 94 59 17 66 228 110 111 53 18 196 174 8 168 98 104 88 211 178 158 164 157 182 210 236 220 153 2 219 122 201 45 216 155 114 212 53 25 189 27 204 36 79 29 36 131 141 51 73 144 28 120 241 140 131 15 30 40 97 22 156 135 125 214 52 73 30 219 26 172 199 215 90 45 136 202 7 75 154 249 117 253 86 91 178 34 67 87 7 54 253 20 28 52 158 60 137 32 201 229 176 242 177 228 55 140 88 165 34 245 183 181 90 67 220 84 173 84 168 21 52 210 196 114 5 176 248 112 19 68 131 187 86 188 117 94 199 77 119 87 159 69 52 33 20 212 33 37 186 20 162 154 16 138 106 80 138 87 80 132 83 66 18 50 213 72 161 53 20 160 216 239 161 11 45 155 151 144 114 231 69 202 150 59 73 16 178 175 144 199 35 145 220 81 136 6 157 16 244 222 186 65 53 197 105 0 105 194 170 179 27 135 137 121 140 140 156 57 126 251 9 34 148 205 135 36 138 178 16 237 108 193 26 171 120 98 215 111 65 189 46 233 170 198 216 5 213 167 116 179 42 185 39 79 237 120 238 177 78 145 194 38 18 178 175 136 151 169 86 4 53 79 97 91 94 224 190 186 84 143 164 38 199 238 240 84 185 47 14 108 113 20 201 73 79 104 137 37 144 60 135 196 104 190 48 54 182 131 215 115 242 214 121 128 66 209 2 66 229 129 141 59 162 205 144 124 113 9 234 237 32 185 1 167 194 181 37 148 219 181 43 254 58 207 48 72 90 45 176 147 46 15 131 150 37 242 70 10 209 158 59 85 188 99 232 238 37 205 84 10 16 13 78 253 52 152 218 148 177 9 211 185 24 225 251 174 141 23 27 46 52 220 107 120 6 97 30 78 63 144 87 40 21 208 121 2 168 32 50 200 212 49 186 21 93 233 242 58 211 108 64 2 40 252 214 73 153 18 15 146 233 197 228 201 202 40 193 141 28 150 69 108 168 188 133 68 235 17 22 164 100 3 245 15 172 159 77 245 144 147 233 198 85 168 91 129 251 176 136 230 180 19 123 98 44 232 37 146 20 24 238 38 242 195 13 11 16 26 189 139 21 122 143 65 85 36 84 158 149 214 175 234 234 141 78 158 131 146 200 119 34 38 131 87 85 80 49 50 49 162 146 12 230 147 140 201 16 23 137 216 7 138 126 171 251 12 157 174 28 2 41 254 238 187 211 89 206 223 219 36 146 4 152 247 248 39 139 250 216 16 241 113 220 164 225 8 36 193 146 41 227 150 20 162 140 71 70 111 40 144 158 234 80 132 97 78 230 31 26 30 163 84 218 144 29 249 14 2 190 224 18 204 51 35 247 85 92 126 57 51 78 103 172 171 123 44 204 168 66 90 178 83 215 97 117 149 187 173 78 147 34 210 118 112 25 52 69 198 53 47 199 85 187 151 131 196 124 4 150 28 85 73 17 153 224 69 164 110 177 169 29 206 204 20 208 1 220 203 218 62 29 78 187 67 108 240 160 108 87 24 238 68 102 92 191 117 56 237 85 185 152 17 97 101 226 243 81 99 150 197 198 145 97 201 141 152 81 224 153 86 49 42 177 10 151 36 136 63 85 24 124 52 171 150 109 196 235 99 165 199 122 209 106 245 201 60 28 107 99 199 106 157 149 42 197 137 4 67 33 71 39 28 43 28 216 225 132 247 200 228 221 23 149 85 149 148 18 54 27 13 181 123 243 96 209 251 128 20 249 62 105 86 32 245 147 233 36 247 119 44 140 188 140 220 135 58 242 100 74 36 138 178 113 233 13 141 229 74 154 205 36 49 15 29 25 174 180 147 77 235 81 172 34 69 189 99 238 241 91 75 56 17 56 120 118 115 86 105 192 70 210 229 69 133 158 138 49 226 243 47 154 48 38 162 253 104 82 130 140 206 66 176 173 126 71 174 155 61 164 28 135 114 222 35 234 147 29 212 136 5 189 36 176 237 230 162 77 72 11 92 80 58 45 212 66 205 105 100 46 168 100 2 190 67 244 215 233 249 235 12 246 250 125 38 67 142 59 22 248 110 53 29 64 83 14 62 171 148 25 243 172 83 65 2 211 43 200 12 249 170 88 196 134 68 80 21 159 253 202 63 218 54 27 87 125 94 221 178 209 2 149 199 161 253 149 46 220 14 94 175 242 79 92 46 55 11 33 87 62 22 200 201 190 220 138 33 144 181 40 99 69 138 143 29 149 223 127 90 244 59 233 214 225 166 77 139 121 165 202 122 162 226 136 104 206 95 236 166 50 98 196 172 213 251 214 10 64 161 111 35 8 193 63 3 67 176 232 52 205 47 133 7 84 161 54 169 169 232 189 158 221 119 215 157 65 26 20 162 221 8 69 52 33 20 208 132 91 161 9 45 208 132 91 161 8 183 66 21 111 43 192 227 114 46 178 59 180 83 34 52 106 227 184 81 136 173 84 145 90 138 130 58 31 93 84 197 213 227 50 20 76 47 104 241 88 184 182 205 7 221 204 22 198 145 26 72 89 214 187 118 171 170 139 125 0 232 62 58 168 182 2 153 93 37 81 71 237 126 54 78 67 38 16 51 49 81 217 14 98 97 203 43 70 24 184 104 174 50 9 88 16 19 185 122 110 9 174 151 237 135 205 55 221 32 100 170 61 223 236 252 236 55 76 174 38 60 236 188 148 148 39 238 136 178 150 90 42 216 246 162 199 98 117 29 223 0 41 221 164 94 177 152 116 251 23 159 22 85 81 251 123 159 199 137 162 28 118 94 119 27 41 169 150 68 92 89 20 41 4 183 133 228 171 31 29 55 20 161 237 248 105 81 179 32 51 110 84 78 149 232 147 136 126 242 167 241 63 217 188 227 21 148 98 101 101 204 98 147 142 204 191 9 151 29 3 34 172 114 203 68 36 150 169 85 110 159 245 106 246 192 195 244 162 164 228 113 110 241 90 246 114 93 121 143 110 241 92 124 82 207 152 203 139 9 111 6 36 200 204 211 150 140 33 189 35 37 89 214 48 245 171 15 244 213 47 90 183 16 242 160 127 79 53 107 23 46 72 180 106 90 171 60 22 44 159 57 198 150 47 238 60 120 121 193 136 136 227 203 69 1 104 177 147 188 130 226 222 34 160 238 65 249 100 22 129 118 62 172 127 101 172 220 33 181 62 156 59 21 183 3 239 41 99 194 131 199 139 28 105 228 240 180 32 57 13 81 220 242 238 245 163 17 182 255 0 80 244 26 116 55 82 132 90 140 147 115 108 38 75 187 171 223 116 175 31 159 192 102 56 38 70 198 130 76 146 104 11 36 214 134 18 9 2 219 104 140 208 34 219 183 212 9 211 239 24 220 137 0 187 7 100 171 34 80 33 232 242 103 233 245 89 220 41 15 25 194 164 185 248 96 199 145 4 82 199 200 194 197 75 2 25 188 51 177 184 35 19 109 77 0 52 216 250 235 23 182 35 10 138 26 134 91 4 204 165 67 80 238 248 118 174 156 28 220 174 46 46 35 230 186 46 47 37 117 153 52 140 199 88 212 144 172 230 230 88 200 82 65 161 31 247 26 233 118 173 206 1 195 70 18 231 159 111 235 68 219 151 99 55 174 169 199 150 93 159 165 85 238 110 30 89 121 120 249 241 131 102 102 193 255 0 134 176 200 211 7 46 226 244 119 186 247 177 40 22 245 42 119 61 58 237 48 144 161 3 253 113 52 205 243 88 61 200 202 160 159 246 192 87 38 86 57 156 94 78 87 11 159 140 217 113 190 42 223 17 227 241 156 205 28 17 39 114 162 51 181 123 81 1 21 94 211 191 77 105 54 164 98 65 35 171 100 22 97 122 34 224 49 7 180 230 121 170 60 110 91 52 127 31 226 115 120 9 12 89 253 145 75 26 161 105 231 203 188 196 140 11 1 70 54 223 85 175 210 106 106 0 214 121 69 173 106 12 50 253 184 197 105 132 158 238 130 228 99 211 189 84 101 98 55 18 176 60 55 190 48 13 24 103 96 159 249 17 19 230 168 65 112 30 71 222 173 113 235 233 172 83 183 233 18 115 94 120 254 157 235 84 111 23 49 12 15 78 57 46 112 114 241 195 150 210 67 143 4 19 198 202 65 171 57 102 85 98 236 110 54 248 201 29 212 233 182 222 186 145 184 44 102 34 210 199 181 84 217 4 136 19 79 130 131 149 159 31 219 72 126 222 41 36 144 152 135 134 161 221 54 17 198 160 49 38 213 78 148 173 63 174 149 114 90 197 40 199 238 232 159 107 208 106 113 24 41 120 210 100 225 195 31 154 20 37 75 87 2 71 239 190 113 70 218 35 112 163 122 237 165 130 99 152 32 81 149 217 198 4 117 82 49 184 223 4 10 139 34 9 5 62 224 169 242 68 236 85 152 187 55 210 40 187 122 209 107 166 232 210 92 212 154 115 101 67 48 112 160 30 106 219 137 142 25 4 80 206 241 184 136 126 210 201 115 40 155 28 249 0 64 109 87 186 166 251 152 93 185 211 236 0 69 42 126 156 85 35 112 72 199 135 94 161 110 187 203 207 162 221 10 81 110 132 34 221 8 69 52 33 20 212 20 34 221 8 69 52 33 37 52 33 22 232 66 41 161 10 54 76 146 163 89 12 110 88 209 217 213 69 167 112 167 127 87 180 116 245 30 163 80 172 42 160 73 25 202 149 177 236 101 153 208 19 145 27 88 235 31 144 22 42 24 131 111 211 95 245 166 160 214 138 194 149 75 3 67 22 100 176 99 41 200 199 141 208 74 138 12 150 53 59 168 221 11 92 3 53 122 80 252 41 168 12 48 82 65 53 43 143 35 196 224 36 89 49 229 97 97 205 196 129 231 101 153 60 139 27 162 177 102 49 146 160 221 233 67 168 148 70 98 136 140 137 52 53 84 152 227 218 28 100 103 147 225 56 92 113 200 130 124 184 212 41 60 40 80 178 188 112 203 90 168 42 11 90 54 21 62 154 205 174 216 172 64 50 229 251 173 34 55 9 105 18 35 199 37 73 201 226 65 203 112 146 43 113 195 35 144 117 167 29 159 16 241 74 24 177 180 67 80 26 79 44 150 173 174 197 172 233 64 43 165 147 172 16 213 230 158 35 237 200 23 167 37 132 246 223 32 241 231 12 41 89 163 154 114 108 104 197 205 35 214 208 136 1 90 84 130 166 135 122 83 215 88 165 108 213 188 22 177 112 81 235 213 122 71 218 55 37 141 253 178 21 76 135 24 234 65 81 98 88 85 226 144 137 35 185 155 189 131 16 64 82 64 175 174 181 74 78 68 69 78 61 192 85 102 1 129 145 244 199 230 86 83 35 42 33 252 127 139 196 176 145 121 28 186 70 246 130 97 104 16 140 157 216 48 53 102 84 6 229 219 244 237 93 102 142 234 34 217 98 229 243 237 201 104 150 222 70 224 113 78 159 52 254 89 49 184 231 226 224 131 49 4 5 113 167 104 39 23 77 3 160 70 101 106 169 6 23 189 217 118 235 214 187 86 46 233 139 144 228 124 59 59 213 236 19 35 86 122 247 240 22 206 89 248 28 158 66 113 149 138 248 147 73 19 207 40 10 225 161 73 10 179 49 100 42 40 196 213 86 138 118 235 83 77 108 62 220 166 104 99 35 228 235 11 204 64 87 84 70 25 186 144 188 27 97 112 242 226 190 92 25 88 233 55 147 2 104 209 110 140 2 3 249 193 100 4 200 123 13 162 160 244 234 70 173 43 102 221 162 9 112 60 149 97 119 93 209 32 52 252 10 199 241 159 113 15 57 141 199 180 79 54 15 25 149 46 108 24 13 50 165 146 72 9 134 224 109 165 129 238 162 158 189 122 235 5 155 196 92 98 14 151 118 61 58 174 133 251 81 48 18 12 36 204 227 232 159 60 162 28 226 175 2 54 34 9 26 37 105 30 96 134 161 128 64 193 9 177 155 230 24 143 128 221 178 182 242 58 131 247 191 151 46 137 26 142 144 34 124 155 14 170 155 61 224 198 57 248 166 59 203 187 62 56 199 11 69 116 36 173 197 135 106 90 227 97 185 254 154 73 208 28 30 63 68 232 234 36 17 230 184 225 113 169 247 200 243 220 147 49 190 34 138 110 93 232 87 122 245 248 239 172 226 58 189 38 143 146 209 168 10 138 171 92 72 227 197 1 178 33 70 243 168 141 18 50 165 124 142 149 83 112 0 158 160 154 31 192 237 171 71 209 247 61 85 100 243 193 148 225 159 44 80 24 196 44 235 27 42 179 202 105 51 214 137 35 42 47 109 215 10 130 13 72 252 107 166 25 159 182 56 133 81 31 228 112 228 182 92 68 88 9 29 60 151 125 193 243 129 19 210 146 146 1 85 180 218 90 226 79 199 208 107 167 96 0 25 220 99 245 227 53 205 191 34 77 41 243 28 120 45 125 53 185 115 17 77 8 69 53 40 73 77 8 69 52 33 20 208 132 83 66 17 77 8 69 186 16 146 154 16 139 116 33 37 191 42 250 234 16 162 229 203 246 144 77 56 42 40 140 197 216 22 55 10 218 88 40 171 40 233 182 255 0 142 160 209 88 85 102 100 247 14 50 75 231 196 132 72 96 105 30 65 220 234 211 81 98 106 191 101 131 112 75 55 225 212 145 164 123 195 37 167 217 57 230 161 100 243 73 200 228 100 156 180 51 96 21 71 195 120 129 89 130 150 100 102 218 219 0 111 164 200 106 63 35 164 202 235 190 175 183 205 54 54 88 13 47 169 69 159 148 193 170 100 72 165 39 154 16 220 112 201 45 29 98 180 199 107 185 5 86 138 59 141 62 71 106 104 149 224 107 207 5 104 90 34 156 177 84 88 25 113 203 203 231 101 226 71 147 203 242 16 45 220 73 140 40 72 223 244 200 215 53 168 195 253 222 128 82 149 214 56 144 102 241 90 200 211 6 151 122 170 207 246 31 47 139 7 31 22 62 72 204 146 35 247 25 24 242 39 142 88 37 98 171 52 104 196 213 251 187 148 6 253 36 141 235 167 220 183 38 96 92 242 234 145 110 232 6 180 234 151 27 221 130 28 57 115 151 42 86 205 201 137 194 196 204 208 71 126 226 172 137 218 201 185 106 53 1 254 163 88 237 93 144 36 23 238 56 173 119 45 194 64 54 29 114 80 248 137 226 110 99 138 196 158 127 218 195 138 238 79 45 218 245 45 37 27 233 98 23 246 227 241 165 54 220 29 95 217 182 113 12 49 42 130 244 241 6 171 65 199 240 88 210 180 244 149 29 113 210 233 64 33 252 172 142 10 190 57 109 235 29 81 136 4 250 129 81 168 133 137 86 46 241 110 254 238 48 83 43 241 164 153 139 211 151 122 111 183 57 232 56 233 206 6 124 209 228 100 36 242 67 41 145 76 200 85 232 60 168 99 53 43 34 128 0 33 150 223 204 106 118 243 246 165 164 143 79 62 239 52 110 0 185 29 64 225 151 85 127 159 238 136 39 201 154 20 227 20 65 40 10 178 170 221 59 36 2 129 194 169 117 186 50 219 29 206 254 187 105 178 221 234 36 8 234 3 199 193 38 59 93 32 19 38 60 178 89 172 62 94 44 254 127 149 125 166 110 196 130 24 149 203 73 117 151 0 18 246 175 105 5 79 167 110 218 206 98 12 201 99 234 201 105 19 104 128 255 0 110 106 39 59 159 58 182 70 70 10 53 239 124 88 197 221 174 72 104 201 121 66 196 212 3 109 181 58 81 189 25 79 48 175 27 50 17 13 138 135 129 135 15 28 98 83 52 114 150 21 156 198 206 7 144 245 253 202 41 99 189 69 167 165 70 151 114 66 69 243 248 38 194 50 136 228 62 42 91 77 128 145 163 225 54 86 67 169 17 248 252 66 72 131 43 214 195 176 32 21 161 167 83 82 52 209 23 20 212 253 82 204 171 86 248 41 121 92 148 177 227 136 164 199 228 97 154 103 38 57 38 195 2 40 232 164 90 160 92 198 209 186 168 34 154 116 237 74 80 105 59 242 100 152 92 136 147 180 91 181 74 246 222 119 17 30 106 204 211 174 78 42 133 186 121 4 102 69 177 86 189 164 212 250 213 107 95 233 165 237 200 132 220 224 220 118 171 95 137 148 25 156 173 134 2 99 195 28 174 146 9 149 203 36 153 234 106 210 177 112 16 176 10 245 5 104 162 135 231 190 250 233 198 33 159 31 246 88 37 34 236 113 228 183 52 214 229 204 69 53 40 69 53 8 73 110 132 37 166 133 33 20 208 132 150 232 66 41 161 8 166 132 34 155 104 66 137 159 150 216 209 31 20 70 89 202 51 198 148 54 16 148 184 23 27 3 67 176 245 244 213 103 34 5 49 86 132 65 33 240 84 147 123 191 17 224 136 144 113 28 202 134 69 145 152 72 35 82 26 161 45 171 223 210 213 175 90 53 43 164 198 248 33 62 91 121 68 243 92 57 191 114 242 16 120 113 225 142 53 147 38 85 142 35 220 101 87 37 170 12 44 160 20 11 209 137 234 167 212 141 76 238 17 64 171 110 216 53 94 123 159 152 163 62 197 197 104 194 72 162 73 25 124 83 165 181 10 5 5 182 5 90 142 223 90 235 157 122 229 72 110 171 163 102 219 128 84 172 92 187 28 62 92 81 179 72 86 6 85 82 200 231 114 67 162 144 72 144 176 237 217 70 244 219 81 110 230 162 231 177 50 236 52 246 227 222 160 99 225 207 247 88 140 191 182 29 238 158 56 218 66 226 24 247 145 136 239 169 146 213 184 15 133 15 202 177 136 51 108 107 94 136 153 34 60 185 117 78 227 121 220 68 229 229 202 151 62 73 74 0 248 248 74 60 227 34 74 246 194 80 30 208 229 232 65 219 174 231 166 173 104 105 150 169 31 14 92 149 110 203 84 88 10 113 85 211 154 231 253 199 59 68 102 16 224 228 120 214 7 138 53 121 165 88 146 135 200 210 202 72 102 115 81 64 62 157 50 237 249 118 30 74 150 173 70 163 17 205 98 242 159 34 44 249 102 201 190 72 50 157 167 89 22 36 134 172 172 111 69 64 60 107 97 106 88 187 10 236 52 155 145 116 235 115 106 100 173 120 120 241 223 140 105 227 195 146 92 137 228 82 142 132 36 116 95 173 24 236 1 174 245 174 218 205 41 136 184 63 112 205 60 91 50 98 48 228 172 96 92 172 147 2 9 252 80 67 85 42 166 224 129 137 12 55 52 181 216 83 111 81 74 234 208 184 225 201 104 230 171 114 208 20 2 188 148 126 95 23 34 99 27 188 172 153 120 145 91 141 12 200 86 73 35 14 223 180 166 32 214 154 244 190 150 159 145 211 73 7 211 246 183 31 186 80 38 53 197 112 207 228 222 44 108 152 214 35 12 145 8 236 134 196 7 247 1 42 207 183 237 208 63 167 254 218 76 53 80 31 20 233 129 86 170 111 5 42 113 177 38 76 162 236 214 13 46 206 84 135 53 85 103 112 110 234 73 219 65 188 211 122 144 20 11 111 22 204 173 7 3 194 96 228 224 153 178 230 108 142 66 70 43 143 18 144 162 138 3 204 243 48 21 221 27 181 70 193 106 222 154 152 192 74 36 179 200 154 12 131 115 86 148 244 204 68 80 53 78 103 179 231 224 180 241 156 1 28 216 188 126 49 49 185 142 72 163 72 163 138 139 28 69 8 143 111 222 17 220 181 36 110 77 222 186 214 99 25 130 34 9 242 88 220 196 130 75 14 62 60 148 184 56 248 241 225 104 99 111 185 117 81 62 63 152 135 55 6 45 34 90 165 85 93 192 101 236 34 148 83 80 117 162 22 116 196 70 52 204 63 152 233 218 179 206 246 185 60 171 145 106 118 30 229 103 134 195 42 79 15 30 202 240 247 43 203 146 26 122 42 128 143 115 92 3 202 141 109 77 219 237 93 180 232 203 86 9 51 26 120 199 232 21 7 45 236 174 42 4 67 158 33 129 154 240 185 226 71 142 102 21 182 16 25 85 127 113 152 175 227 210 154 92 172 64 125 201 176 191 38 244 170 7 131 220 56 19 253 185 228 224 24 215 50 227 203 55 98 148 144 149 182 105 97 238 138 71 52 52 100 180 250 110 8 214 114 36 8 175 164 211 162 208 8 144 195 212 50 206 159 21 237 86 235 170 184 236 139 116 33 22 232 82 17 77 8 69 52 33 22 232 66 45 212 58 18 17 161 208 155 35 36 104 210 72 66 162 130 89 143 160 27 232 116 40 25 92 222 14 58 194 124 138 100 154 64 35 131 184 72 234 24 43 5 90 3 228 171 10 47 173 71 199 84 149 192 19 99 108 149 71 238 108 142 119 7 54 212 148 228 96 206 165 154 41 85 4 104 202 110 17 150 82 42 189 196 49 31 32 117 159 115 57 64 56 175 31 5 163 107 110 51 44 104 202 175 128 192 159 58 86 16 60 134 112 27 34 76 185 195 201 84 147 104 45 117 54 36 132 169 102 114 41 240 3 109 86 204 68 141 42 120 101 107 210 49 24 48 225 209 203 112 220 166 28 49 202 2 156 176 198 65 39 150 67 52 75 26 154 149 144 151 43 29 42 35 4 214 159 142 166 249 148 64 35 17 94 58 21 59 115 9 74 173 165 98 231 195 203 97 36 206 197 92 72 17 146 71 45 41 117 5 148 49 36 202 173 190 245 249 107 151 39 106 230 124 59 177 205 116 173 128 13 40 195 199 228 185 229 14 71 27 14 64 147 68 248 50 198 142 153 0 126 235 169 127 170 215 114 203 117 190 52 61 72 27 10 117 209 32 68 105 199 205 35 80 38 161 90 113 30 217 195 199 200 76 174 71 238 114 112 156 0 240 164 66 21 146 27 190 153 13 87 200 11 129 177 96 67 122 26 234 54 209 6 141 135 79 130 55 50 49 14 15 29 66 180 148 47 13 139 30 7 21 49 137 37 253 195 2 42 32 101 145 217 66 92 244 22 171 41 176 245 173 70 181 94 151 182 0 137 242 89 109 71 89 58 190 42 183 158 92 129 131 36 252 156 94 30 80 75 227 150 123 75 59 35 44 100 134 141 123 84 208 94 160 142 181 235 165 93 5 158 67 212 153 3 86 31 106 199 242 24 243 229 216 185 88 126 71 196 89 21 98 74 164 151 32 105 29 25 88 221 80 160 181 78 230 154 68 181 156 217 147 161 165 91 241 25 92 116 112 200 185 160 190 10 199 20 216 174 177 160 149 252 110 17 145 2 158 208 225 217 164 106 138 170 85 122 233 27 120 197 228 36 43 197 22 173 196 203 68 196 209 66 203 228 32 92 152 204 12 240 199 71 34 2 106 170 178 48 42 148 173 74 209 1 106 254 173 232 117 54 217 200 171 36 221 52 212 113 82 145 167 196 194 200 230 50 55 251 111 218 87 46 100 150 246 66 165 111 53 42 16 53 8 183 125 247 219 76 136 144 38 71 23 101 82 65 26 114 101 148 73 164 205 228 228 156 149 142 38 42 162 69 64 145 42 2 42 2 11 64 160 59 234 243 201 241 81 2 197 198 106 251 131 199 28 143 40 184 246 170 226 65 33 59 15 24 48 6 23 0 226 226 25 235 69 173 122 245 245 210 99 1 41 7 195 62 196 205 90 34 74 244 110 71 147 224 27 144 108 79 110 164 75 155 38 34 207 140 34 35 197 87 125 210 73 88 178 168 75 82 138 59 107 74 154 107 168 116 63 167 22 224 46 100 76 155 215 131 213 80 113 185 60 158 124 109 151 62 92 144 201 229 253 251 41 38 72 149 109 144 40 188 168 141 77 45 189 182 20 248 107 48 137 172 137 171 253 22 147 33 72 116 94 153 193 224 195 22 38 62 76 114 25 9 140 136 220 181 244 12 106 123 168 46 109 128 99 235 79 134 186 48 20 234 185 183 49 232 172 99 130 40 144 164 72 177 163 51 72 202 162 128 187 155 153 143 205 152 212 234 224 1 130 161 36 226 170 121 60 38 124 213 134 40 84 67 159 19 199 149 42 16 38 184 186 43 50 19 184 34 51 82 71 160 233 165 76 18 91 36 219 114 0 62 106 175 47 219 220 66 99 197 39 43 140 165 153 126 222 98 43 37 82 226 85 11 118 34 139 69 73 160 169 219 115 182 171 27 65 189 67 212 175 59 181 244 26 120 45 189 186 208 235 50 41 161 8 183 66 17 77 8 69 53 8 69 52 33 33 26 149 42 179 148 231 240 120 194 6 98 188 64 188 106 29 168 21 145 218 219 210 132 150 161 218 218 84 157 134 149 59 162 56 166 70 209 150 10 158 111 228 31 111 188 176 195 140 237 144 147 54 242 197 84 49 160 34 210 86 79 25 169 222 171 233 183 199 108 183 119 214 240 14 79 69 174 206 202 100 185 96 27 197 68 127 115 99 242 80 164 127 111 40 184 222 242 202 66 200 193 26 139 227 112 233 227 238 33 139 108 61 61 43 165 91 222 137 17 18 15 106 125 205 137 0 202 36 97 130 170 228 115 177 164 231 37 146 82 228 39 146 56 81 93 39 137 145 246 99 120 46 29 238 165 192 124 183 210 47 238 52 92 212 126 210 253 131 175 92 168 157 183 176 39 108 68 98 60 250 116 237 93 176 249 108 120 240 240 161 194 19 38 102 42 6 80 7 144 109 29 132 42 138 20 75 69 205 82 197 91 227 215 82 119 49 149 98 72 35 203 187 170 136 237 164 11 73 136 62 127 178 165 229 253 197 55 33 145 35 95 73 7 145 18 80 89 73 18 2 150 149 236 7 246 200 74 145 90 10 111 77 96 187 190 184 252 194 221 107 99 109 153 85 114 49 125 213 35 19 201 227 4 46 212 163 202 197 77 21 77 8 112 77 14 255 0 13 38 55 9 145 148 190 242 255 0 63 160 78 148 0 139 15 183 146 178 205 226 35 206 146 44 137 157 185 12 120 129 130 0 99 64 22 49 251 49 22 148 42 216 170 205 112 23 10 108 6 186 226 94 128 102 117 17 69 202 48 2 100 64 105 29 170 82 166 20 92 116 6 76 232 219 42 3 35 98 198 166 133 60 146 6 184 9 139 249 1 16 154 17 221 253 46 211 103 63 70 167 168 253 18 5 179 171 75 99 154 174 94 110 19 140 216 179 1 50 199 25 16 58 161 52 145 230 73 25 135 117 234 93 20 134 80 69 118 165 14 185 231 124 195 7 242 205 116 70 200 147 139 126 202 172 114 56 233 142 240 199 130 243 230 187 212 205 231 115 2 66 84 219 108 72 111 73 5 87 184 179 83 83 106 244 68 104 61 94 73 119 172 157 88 250 71 138 139 140 94 36 124 169 23 204 128 186 249 37 0 200 226 181 102 75 154 133 143 113 77 183 58 164 227 34 207 42 241 69 120 152 135 96 170 253 143 200 205 23 46 173 44 134 217 97 158 15 40 88 217 235 36 54 168 253 197 117 34 168 5 41 95 129 29 117 180 74 48 46 104 22 89 70 83 12 20 190 121 240 26 118 151 9 139 153 102 105 16 189 169 225 81 178 253 69 152 215 169 244 7 109 40 233 145 213 21 127 84 105 37 75 201 114 156 135 42 208 225 121 87 193 25 50 52 246 152 203 146 160 51 203 234 214 14 209 255 0 199 77 213 74 165 181 104 140 155 161 104 240 86 59 47 180 160 6 224 21 135 68 165 119 122 131 95 158 149 139 148 215 200 43 190 39 59 7 7 22 123 167 141 90 74 70 94 68 142 68 73 152 246 249 35 112 100 241 209 123 173 67 67 79 142 175 104 81 243 75 186 75 182 74 108 121 248 207 194 177 203 124 105 115 41 44 72 201 148 36 36 49 182 73 172 75 172 170 181 119 1 90 131 98 221 31 1 166 44 145 50 242 81 56 254 80 226 65 224 133 34 203 10 178 5 89 34 37 227 141 133 101 161 66 108 119 237 21 0 141 169 94 181 172 100 69 49 82 64 37 240 94 171 237 223 119 226 140 1 12 184 201 141 50 18 60 74 64 101 35 101 138 88 170 36 89 45 91 69 23 160 12 122 235 117 187 148 193 98 157 186 173 14 39 51 135 149 47 142 22 50 41 165 36 20 180 84 84 2 71 234 244 165 52 209 39 74 49 101 60 198 164 130 84 18 166 170 72 169 6 148 168 248 108 116 50 135 73 227 216 208 2 199 160 61 9 29 1 252 244 58 20 218 104 80 138 106 80 138 104 66 41 161 212 164 166 132 37 11 161 11 43 201 243 30 224 57 6 126 51 16 182 24 2 41 21 221 106 74 74 74 60 99 122 222 181 187 224 41 185 214 73 202 230 167 142 11 100 45 219 210 1 199 154 173 247 70 47 247 127 24 88 14 44 143 33 141 218 102 69 140 188 104 172 123 220 172 202 168 46 170 13 170 160 143 145 126 2 104 177 61 25 170 149 226 45 80 146 4 141 218 51 14 8 200 145 113 238 89 45 119 149 25 212 142 247 161 94 148 244 220 212 162 86 162 104 123 56 237 90 61 217 15 80 175 31 37 67 202 195 204 98 77 92 147 83 144 73 13 43 197 146 225 132 97 93 153 171 245 43 10 16 20 19 67 215 88 167 106 122 128 57 249 45 208 188 27 210 48 79 206 200 255 0 193 199 75 26 144 222 206 114 20 173 174 192 52 179 34 133 91 34 245 61 196 154 238 6 218 166 128 97 16 15 143 95 146 176 145 18 145 111 14 65 118 227 56 172 151 134 114 3 102 192 227 193 14 122 71 36 177 198 174 222 82 224 221 181 204 105 191 114 245 161 173 12 194 34 2 181 7 144 118 8 153 247 13 40 113 169 103 42 12 147 67 225 105 49 193 68 90 164 178 248 232 150 194 59 197 203 71 110 251 72 44 139 248 234 134 204 100 27 174 63 37 34 244 162 92 209 51 3 58 57 28 188 241 198 145 11 76 177 171 11 84 186 133 221 212 182 237 213 181 146 64 137 138 96 181 197 140 75 150 24 246 45 62 116 60 47 246 104 242 184 201 89 37 105 82 49 141 115 7 146 212 44 223 183 72 194 81 86 229 123 88 10 239 83 174 204 173 91 17 6 52 47 135 113 227 181 113 197 219 146 145 18 194 181 239 89 88 76 217 47 223 50 150 203 82 72 102 84 45 68 0 116 106 30 221 136 29 189 41 174 102 227 113 165 244 187 230 120 228 186 86 118 226 76 244 25 46 106 145 182 73 176 68 208 73 25 50 176 37 164 87 32 175 105 93 168 205 185 20 216 122 215 73 50 113 167 62 153 240 40 157 165 165 168 125 185 142 95 85 12 67 60 45 60 238 134 76 90 44 101 84 222 210 45 72 66 224 128 8 54 154 255 0 167 82 219 151 98 72 136 167 28 210 173 237 228 9 145 170 145 237 220 28 238 91 54 60 30 57 163 19 173 29 12 179 69 18 44 235 221 183 144 209 133 54 160 233 245 124 181 174 213 163 58 14 57 172 119 46 136 84 247 172 112 39 7 149 62 63 28 135 26 87 70 136 139 226 98 172 84 244 59 134 211 165 26 16 82 132 179 93 242 115 228 24 243 92 93 102 201 116 89 153 88 41 117 27 155 145 64 22 214 182 129 170 64 209 130 153 140 202 231 10 164 24 134 103 114 50 100 23 24 89 24 47 142 181 10 24 111 83 74 252 61 52 76 57 108 145 25 48 83 120 156 19 59 156 201 163 62 90 255 0 226 133 85 97 44 160 147 227 33 152 126 128 105 241 59 104 1 232 17 169 139 149 117 6 52 89 16 71 253 214 73 49 112 74 52 112 24 145 33 186 66 221 215 179 215 178 162 132 157 251 109 160 235 167 219 139 128 100 147 114 108 72 138 102 92 25 57 57 17 50 103 71 199 204 170 83 192 203 209 86 229 237 116 50 25 209 107 218 196 125 45 81 235 171 152 215 146 88 144 110 106 116 126 220 227 85 99 155 47 49 60 139 141 247 41 155 143 25 108 104 218 172 241 140 136 202 254 208 145 148 160 167 111 169 180 236 108 45 140 94 170 186 207 42 43 12 92 252 70 149 164 154 56 194 5 142 62 64 69 37 144 64 146 70 0 98 167 198 197 4 139 222 215 26 93 177 174 172 13 85 72 42 82 242 248 248 222 17 51 166 36 78 4 88 97 101 46 144 201 140 42 89 109 189 168 230 132 173 181 249 10 238 147 112 209 233 200 140 187 86 136 196 49 106 243 28 214 231 31 220 81 65 139 10 191 32 153 89 18 66 103 140 203 25 71 117 160 10 222 37 62 85 67 243 90 150 248 235 108 110 48 197 202 197 43 110 93 152 96 169 91 249 19 43 238 27 30 124 52 48 114 17 170 224 23 99 142 85 164 5 59 195 119 52 117 253 96 141 250 105 7 116 93 136 78 254 168 103 7 15 146 244 154 107 107 172 40 166 132 34 221 8 69 52 33 22 232 66 173 231 249 129 196 113 210 101 136 31 38 85 165 144 165 1 59 238 106 104 59 64 44 71 90 106 147 158 144 236 175 110 6 69 157 121 255 0 53 238 185 121 105 151 31 13 93 29 226 236 196 88 86 55 137 21 68 140 3 185 118 34 137 113 237 83 176 219 92 217 238 165 50 192 113 207 142 139 169 13 180 96 28 151 227 5 87 131 200 243 106 178 73 228 242 77 141 33 134 47 187 130 86 12 99 167 138 55 118 242 68 59 133 22 246 173 84 126 158 148 19 155 26 225 211 201 50 80 139 128 216 242 84 217 252 215 37 155 142 200 101 149 165 94 238 234 153 140 165 131 72 247 0 11 19 245 144 221 191 170 159 12 146 186 73 173 121 241 201 105 141 176 5 50 227 197 116 199 246 223 38 36 137 161 85 240 228 188 112 44 51 254 220 151 20 186 171 28 189 204 13 69 24 26 84 129 166 127 86 83 0 224 123 82 255 0 176 32 72 196 118 113 205 76 24 162 88 219 49 103 25 49 150 180 196 86 217 45 102 36 90 187 122 18 41 93 155 226 53 73 89 119 144 60 31 146 116 110 135 211 231 216 165 203 150 158 17 14 60 41 142 179 172 145 60 232 162 52 83 34 41 161 200 32 219 33 176 254 219 154 161 249 181 6 143 118 98 58 64 244 181 91 154 206 108 198 71 84 137 212 238 29 82 243 24 56 48 83 31 135 153 242 242 99 129 16 164 145 88 39 44 194 172 140 24 210 194 104 13 54 232 125 52 179 24 26 68 241 154 184 156 193 38 66 135 128 170 62 240 227 97 227 78 97 101 13 44 146 69 27 90 169 251 130 172 11 47 95 167 240 248 1 190 146 125 68 136 229 240 77 135 164 3 44 212 248 230 151 147 157 242 38 199 24 228 37 161 20 50 40 173 74 20 188 183 85 6 208 7 65 93 35 115 113 205 25 63 111 6 24 30 138 123 205 198 188 74 169 12 121 77 18 139 241 90 64 89 99 160 10 139 33 255 0 141 205 3 87 225 241 213 173 204 219 172 171 19 229 207 205 86 112 19 62 154 24 240 221 84 5 202 121 169 27 228 69 14 84 253 194 67 69 241 138 146 254 64 253 59 135 86 219 125 82 54 201 147 10 241 205 92 204 70 53 227 185 38 27 231 97 114 45 42 150 119 75 18 50 128 221 228 110 222 246 101 253 53 173 182 212 252 70 250 189 179 17 136 230 21 110 9 75 2 206 197 88 226 242 67 15 22 52 195 197 198 142 60 179 26 207 46 68 41 34 52 113 128 93 187 136 107 187 85 130 137 21 73 167 82 107 174 133 189 197 184 208 99 243 92 217 237 174 76 57 251 114 88 78 95 17 143 37 157 146 145 176 195 154 102 116 150 74 33 163 139 192 54 128 22 181 216 83 229 160 220 7 181 79 181 32 31 37 19 24 28 220 232 17 153 98 85 237 184 171 20 1 20 179 177 10 28 250 111 65 171 8 170 18 164 242 82 230 36 166 26 73 20 234 202 236 173 85 145 30 155 165 162 150 138 253 59 13 169 168 237 64 94 197 237 63 106 112 237 194 96 9 242 208 205 16 117 152 197 108 143 41 118 255 0 140 16 123 194 223 112 22 155 95 115 94 154 215 98 220 76 65 89 111 221 144 145 10 111 43 237 46 79 16 188 88 137 12 201 59 202 242 73 69 74 34 81 163 123 89 29 124 161 168 170 43 255 0 80 249 58 80 57 36 198 99 53 135 155 219 60 129 140 242 28 171 131 40 160 57 51 175 237 201 28 104 75 36 207 85 153 93 70 196 50 208 110 11 84 5 214 127 104 226 83 132 192 44 22 139 218 124 135 16 179 69 193 242 60 92 173 22 93 198 92 98 90 76 111 34 170 42 50 183 212 3 34 18 245 106 214 160 175 74 54 217 24 37 220 7 21 51 144 246 54 55 11 198 228 101 195 229 25 49 199 43 40 195 188 144 162 68 111 48 174 202 230 209 64 173 211 243 209 59 96 2 81 11 134 69 121 222 118 70 94 25 200 195 200 133 222 41 231 73 4 33 174 180 68 75 27 129 34 243 111 107 85 126 117 26 196 70 151 29 123 86 208 73 98 57 43 255 0 111 242 188 80 159 23 25 240 160 197 147 37 149 159 42 82 91 29 209 46 72 93 241 203 9 42 155 61 169 85 232 78 218 125 179 23 0 134 60 50 69 221 76 224 184 225 215 14 83 27 132 57 241 180 15 60 120 77 148 113 14 124 197 22 86 162 129 35 216 162 129 75 154 220 75 26 124 72 53 164 227 3 210 172 233 144 51 25 62 107 223 169 174 146 229 164 166 132 34 154 20 162 154 16 200 166 132 40 217 240 43 227 220 113 99 203 120 73 120 226 145 85 136 52 180 152 195 109 125 167 226 43 210 163 85 144 112 173 2 199 21 231 254 238 192 117 194 143 63 251 106 197 20 202 173 43 14 213 144 196 151 70 13 164 210 173 178 247 3 77 183 58 193 126 221 28 14 25 116 172 94 245 52 143 14 177 25 220 63 43 147 28 32 209 50 103 103 95 181 105 168 189 133 69 139 42 177 87 45 117 77 223 212 16 195 89 229 25 51 19 94 92 102 159 3 23 118 167 205 114 24 243 227 86 97 151 24 158 25 210 34 176 200 213 73 65 21 80 10 88 88 90 65 220 129 240 166 148 108 24 141 79 95 55 77 247 245 22 106 121 43 244 150 44 60 245 204 204 201 139 34 70 195 241 101 96 200 176 193 150 157 173 228 100 169 241 76 254 33 88 153 153 111 233 78 148 222 41 61 68 196 211 189 96 119 129 136 7 187 5 215 137 203 224 242 57 72 92 228 172 16 226 163 143 190 153 229 25 94 69 6 81 49 137 214 201 90 104 157 81 67 181 181 173 54 35 85 140 162 77 78 30 93 122 186 180 196 153 192 114 120 238 237 89 111 112 59 100 229 28 140 104 36 76 117 107 175 146 158 57 76 98 209 32 137 64 68 119 218 162 226 223 26 154 107 53 217 184 36 113 220 180 219 12 64 56 252 58 117 85 109 157 157 145 140 177 200 226 88 89 42 145 185 106 135 6 212 90 130 166 235 246 32 154 111 165 106 47 165 55 70 4 149 197 102 144 55 137 226 99 11 92 222 22 35 244 147 189 64 10 25 27 113 242 219 84 156 65 38 66 138 209 145 2 49 53 117 123 137 6 38 75 42 188 68 74 140 68 240 32 101 23 3 186 219 219 184 6 191 42 141 98 211 32 86 193 40 152 132 153 47 59 70 137 227 95 237 209 171 177 133 108 66 140 213 23 10 212 146 155 209 70 219 105 251 121 196 150 56 241 94 172 147 122 36 7 227 177 53 240 112 166 42 190 11 226 201 137 78 44 197 71 156 108 99 21 104 233 93 194 155 58 110 125 117 123 210 49 193 203 120 42 219 2 116 52 62 99 162 141 39 27 143 143 25 148 249 50 178 156 73 28 106 224 199 18 185 143 247 36 3 181 219 199 75 205 166 139 109 61 116 219 62 170 0 18 111 122 49 37 114 140 69 12 48 249 227 138 95 34 198 25 50 21 252 143 27 18 28 249 9 101 137 133 247 42 132 219 99 190 166 220 227 82 216 34 228 102 224 62 42 7 185 56 159 237 249 45 44 41 63 219 177 171 153 214 53 101 146 230 61 232 132 133 5 126 145 183 174 154 101 3 45 49 74 17 152 142 169 42 108 44 211 143 148 50 33 93 133 221 104 192 163 171 35 139 79 197 24 233 128 16 150 88 133 38 39 206 159 34 94 87 38 38 151 202 197 174 97 114 150 42 109 15 90 138 40 30 186 137 76 41 16 44 189 23 218 60 174 78 30 17 135 35 34 116 227 228 146 238 30 44 119 142 43 219 36 52 108 247 121 3 67 218 148 83 67 221 90 111 167 216 244 134 43 54 227 212 92 119 175 99 195 198 242 96 24 89 115 10 33 178 95 189 187 205 114 236 67 49 235 66 41 81 173 193 150 18 168 189 212 184 188 95 24 217 88 240 133 16 70 224 172 44 145 204 68 166 141 99 73 218 89 158 151 126 166 4 245 216 106 151 40 28 43 219 169 94 105 39 184 50 176 49 165 226 134 44 16 100 101 198 138 112 167 118 129 161 150 40 209 219 38 123 238 96 182 44 150 88 224 247 127 219 76 162 233 20 90 189 161 138 176 226 189 211 238 140 172 44 136 120 239 117 172 66 50 158 6 159 143 170 180 178 246 12 120 94 65 59 179 6 21 31 34 91 126 154 108 110 19 129 84 149 176 13 71 154 166 231 56 51 135 144 178 137 161 155 15 14 121 18 105 114 48 227 196 138 89 188 110 123 36 129 161 121 110 118 96 170 20 82 130 237 134 149 32 49 24 38 66 103 53 147 155 59 42 88 144 102 69 33 153 21 99 28 132 229 168 46 46 5 229 171 26 146 20 0 212 173 23 174 147 164 145 92 83 156 61 13 21 132 208 224 98 112 248 243 60 208 77 158 36 142 52 137 30 54 137 98 140 223 34 178 253 108 207 114 216 209 154 48 175 194 186 26 152 185 80 13 112 162 245 232 127 155 253 157 37 46 131 45 26 155 133 56 207 190 219 127 202 186 217 253 168 172 127 213 146 176 197 254 90 246 68 238 136 102 201 128 49 0 201 44 21 69 169 165 89 163 121 40 62 58 176 220 192 230 170 118 211 25 46 249 31 201 158 205 76 105 100 131 53 166 153 21 204 112 120 39 66 236 162 160 2 201 110 254 155 234 125 248 115 81 236 79 146 194 251 119 249 163 220 143 205 162 123 131 143 137 56 121 222 198 120 163 100 147 24 19 69 146 234 144 234 63 80 35 230 52 152 238 14 166 56 45 50 218 199 77 13 66 246 28 89 96 204 143 201 133 44 121 113 86 130 72 29 101 82 127 21 39 90 129 5 97 32 140 85 82 251 199 218 199 153 151 134 78 74 7 228 224 33 36 199 13 69 18 146 64 131 204 71 140 75 85 34 203 171 249 234 178 187 16 88 166 11 82 33 192 84 158 225 227 125 193 145 26 54 86 100 176 99 201 45 126 217 168 143 108 65 157 164 150 68 103 141 10 32 185 108 90 212 122 182 149 114 39 51 220 157 106 64 96 43 205 99 114 51 120 56 68 225 166 124 140 142 61 22 68 121 130 183 150 23 241 133 132 93 70 145 195 53 87 246 192 223 122 215 89 4 224 92 210 156 214 195 9 134 141 107 201 86 207 149 140 145 73 15 219 38 75 0 178 62 83 2 60 106 183 43 227 196 182 196 174 172 71 147 160 35 117 62 186 92 175 68 135 110 56 170 183 179 32 113 193 55 2 46 59 39 219 114 100 101 65 57 16 186 199 137 200 68 26 88 70 66 138 60 67 28 189 206 193 60 118 37 105 104 185 72 161 26 116 72 48 115 64 151 32 68 216 99 90 37 231 57 78 53 51 27 31 142 174 94 80 97 102 124 40 99 19 41 64 197 39 140 23 111 36 77 80 161 94 171 221 232 116 173 205 218 83 152 170 102 222 221 107 200 209 81 156 136 30 24 138 204 170 21 138 229 120 193 86 43 117 123 227 44 47 43 233 90 126 125 117 130 55 37 19 165 168 62 107 124 173 198 65 243 250 114 80 12 165 37 95 12 134 44 56 235 44 81 178 171 185 86 20 185 143 233 125 170 84 3 189 52 224 1 5 179 230 179 200 144 221 20 140 121 34 198 71 147 51 138 124 153 11 47 142 104 8 80 173 80 209 186 144 109 99 105 54 134 22 111 186 157 50 13 0 197 82 126 179 66 162 44 153 115 228 60 51 249 38 156 200 217 1 138 51 189 35 165 24 176 52 250 84 143 133 116 130 3 19 28 22 136 202 160 19 92 149 199 27 206 113 240 200 231 44 94 8 113 86 137 152 43 130 22 217 193 40 65 27 45 223 14 181 27 106 44 193 141 67 247 211 180 43 93 150 168 226 223 28 106 157 149 238 204 25 165 108 133 140 222 224 38 59 249 21 66 176 5 11 176 68 10 35 34 134 207 136 250 187 182 211 50 53 59 122 155 229 240 89 96 36 192 3 71 167 234 161 229 228 204 139 43 193 39 150 25 8 99 28 160 206 221 224 223 226 186 128 41 175 120 235 95 150 250 197 2 8 0 134 35 5 178 64 135 47 76 250 164 129 211 178 21 114 242 171 31 44 96 177 68 127 247 61 221 89 186 118 158 218 127 82 110 64 167 234 139 100 2 67 143 162 153 201 24 179 248 76 124 76 106 87 18 67 153 54 108 162 132 26 40 85 133 35 52 109 169 127 147 253 187 83 113 167 251 182 196 24 2 253 122 228 149 27 55 12 234 205 229 76 202 197 230 68 200 231 39 200 146 41 150 193 52 100 139 153 133 204 200 164 41 32 86 141 182 199 241 26 209 108 228 204 179 220 4 23 112 123 21 158 8 204 56 114 192 184 238 48 154 120 206 92 132 178 70 17 174 88 76 141 244 40 168 102 14 118 216 244 213 128 44 149 50 53 37 143 146 130 23 72 124 105 118 41 48 145 24 65 122 35 18 140 36 137 86 242 22 149 127 213 234 104 118 99 165 152 213 94 103 123 181 177 185 28 19 135 203 52 75 142 99 144 74 178 52 177 67 148 176 31 52 131 185 203 86 91 58 43 43 1 75 143 117 110 100 121 170 8 83 5 210 95 229 238 69 204 67 145 255 0 251 88 3 25 0 185 240 221 24 237 90 192 81 93 151 114 172 87 174 250 145 116 146 143 96 55 37 151 228 125 193 143 151 200 54 94 52 18 98 23 105 15 140 202 211 58 171 236 16 202 193 92 208 108 79 83 83 93 34 110 77 19 237 128 5 106 165 207 206 240 63 104 145 98 67 151 22 84 41 15 130 70 154 50 145 200 11 25 202 170 162 150 217 173 136 147 85 249 106 228 140 149 4 75 213 79 79 125 114 15 14 60 248 220 65 86 137 94 25 210 249 14 11 140 137 9 55 35 2 202 207 84 169 242 238 84 30 186 102 162 151 237 142 106 191 11 222 190 224 193 76 184 146 105 99 150 104 188 39 202 6 65 241 176 3 198 30 123 138 45 163 98 43 81 183 77 83 220 32 98 175 237 2 93 148 92 60 131 135 150 185 248 153 145 182 82 186 177 32 140 118 142 66 183 93 29 203 66 23 161 43 67 95 150 250 128 90 170 210 15 66 190 174 200 225 248 124 170 253 215 27 135 145 113 171 121 113 161 114 78 251 146 82 190 167 93 22 92 192 74 135 39 179 61 155 43 35 73 192 113 204 99 165 135 237 98 20 183 167 210 163 85 210 57 5 97 41 115 43 204 255 0 148 15 241 151 181 177 127 183 98 251 111 30 78 107 38 59 160 177 166 137 97 82 45 18 51 172 149 52 244 30 167 74 186 32 50 116 235 90 228 113 96 23 151 251 115 148 193 194 204 73 249 156 73 121 76 38 86 71 198 92 151 198 115 81 64 235 34 86 133 125 42 8 214 26 2 186 64 56 163 57 205 122 230 39 182 189 129 153 194 98 114 220 86 47 32 137 147 227 4 190 108 161 145 141 193 81 164 140 72 21 153 251 107 97 2 222 130 186 214 45 192 135 14 176 74 115 5 138 197 67 193 229 39 185 115 248 214 157 82 100 92 124 168 76 202 32 153 67 33 157 132 164 220 215 68 164 220 107 212 6 223 88 174 89 245 196 15 138 217 11 163 219 36 228 175 121 108 156 137 248 84 145 253 207 155 149 139 58 38 68 41 59 12 136 94 85 144 161 66 223 182 200 241 29 217 136 167 194 186 116 228 27 238 75 22 228 43 161 134 14 197 100 33 92 204 140 214 17 70 178 100 212 188 146 0 228 138 130 11 187 70 92 80 252 126 99 89 216 200 246 166 187 5 55 144 198 202 135 54 78 38 127 2 54 241 168 129 222 50 222 58 5 5 69 197 124 136 111 1 186 175 119 174 151 113 227 136 240 76 180 117 212 75 30 106 76 185 153 88 184 99 140 251 21 151 143 156 174 68 227 18 87 164 210 132 100 69 243 40 86 162 179 93 227 138 136 88 126 58 101 187 160 134 141 88 84 58 173 219 70 37 229 221 69 91 141 206 206 220 178 67 138 207 4 98 52 13 128 16 248 88 196 65 140 18 26 173 185 182 130 157 105 168 55 12 98 8 230 163 75 154 226 20 252 254 67 239 114 148 230 64 193 128 44 145 120 26 50 165 5 180 74 84 216 41 90 124 126 58 203 120 153 96 120 228 181 90 26 104 98 224 102 49 80 94 104 158 52 149 89 72 141 214 140 161 163 89 28 48 37 89 138 90 143 111 78 191 29 94 54 200 106 179 124 85 13 192 237 139 158 246 90 28 172 143 104 207 20 71 23 195 8 120 44 149 39 141 165 34 82 107 48 89 175 189 81 153 71 141 135 67 85 216 18 117 170 70 5 152 227 143 111 209 101 129 144 197 241 167 103 213 112 251 158 43 5 161 199 155 58 73 160 156 170 204 216 241 137 225 119 113 107 65 57 86 142 232 66 191 108 131 126 189 191 8 140 32 1 14 64 233 230 175 41 200 200 80 18 168 253 197 146 57 119 139 144 201 242 66 254 83 140 171 227 177 68 112 11 16 220 157 161 156 119 54 196 18 125 6 171 41 188 143 1 90 33 162 6 106 147 18 105 89 131 198 20 196 24 198 149 173 161 136 37 64 52 59 85 187 118 210 238 70 153 166 66 226 118 64 136 185 148 37 177 51 214 87 140 246 135 96 119 32 145 111 114 244 209 107 145 83 119 152 78 72 113 23 39 25 36 200 17 137 34 142 85 152 53 109 71 238 23 148 14 84 170 210 209 67 221 166 49 243 73 127 130 217 243 220 85 169 139 143 137 4 152 242 100 134 105 49 242 85 67 27 163 170 136 163 86 118 5 149 76 133 9 21 168 31 45 50 238 222 37 155 20 187 91 153 71 21 230 46 198 98 238 64 18 85 139 133 173 181 39 114 160 159 93 91 78 154 43 19 170 170 218 126 126 92 92 44 158 55 5 217 70 68 56 216 243 207 139 43 164 83 69 18 53 233 36 86 175 150 230 127 169 190 26 101 106 18 91 50 162 229 240 124 230 44 113 73 159 141 36 66 77 160 86 21 102 64 77 236 128 108 108 39 187 125 137 31 29 65 139 32 76 100 186 227 241 48 201 231 56 139 54 99 192 64 49 24 217 24 49 144 32 87 180 177 181 129 222 140 8 59 124 244 0 131 34 20 236 220 126 67 141 198 130 68 195 198 133 188 205 138 178 227 248 166 45 42 208 144 107 123 22 173 45 32 219 212 110 106 117 36 158 74 160 2 165 228 150 201 92 124 204 235 102 72 35 140 9 87 33 67 35 23 85 63 115 84 242 200 16 108 246 146 71 110 250 147 92 85 64 108 21 47 51 198 54 47 36 32 200 67 19 74 158 88 204 133 80 180 76 165 162 114 163 254 47 34 208 132 109 255 0 174 168 93 211 34 67 39 224 251 147 144 198 197 203 129 143 155 238 194 137 37 146 73 25 194 43 35 149 8 73 140 223 227 81 87 83 182 167 86 72 48 6 171 97 139 196 113 124 228 57 24 233 58 195 156 112 150 69 201 157 19 237 111 162 23 120 217 21 100 142 132 120 232 224 218 131 182 183 40 12 210 10 78 162 15 138 237 131 236 239 106 97 243 185 158 223 230 114 12 147 249 27 31 14 68 86 50 152 158 40 178 227 153 150 149 141 130 150 81 110 236 123 61 43 171 70 17 118 42 37 118 68 9 12 24 47 161 233 173 46 178 38 79 44 80 65 36 242 155 98 137 75 59 31 64 52 58 23 204 31 200 30 231 197 247 79 187 37 228 210 16 48 241 212 67 8 98 77 235 25 61 199 254 237 97 191 115 86 11 169 181 180 34 42 170 120 126 50 95 112 243 120 188 116 78 184 239 155 32 138 57 8 184 70 41 81 90 117 233 165 66 21 1 62 228 192 137 43 208 125 135 207 143 105 242 124 159 179 185 249 142 43 71 51 54 54 101 237 20 119 216 202 21 205 15 237 74 26 180 244 111 152 214 152 29 4 196 172 119 7 185 17 33 138 108 184 185 80 123 255 0 153 139 6 20 150 12 168 176 229 242 74 177 43 68 18 68 127 217 17 185 140 143 36 6 58 174 197 43 182 176 111 110 198 18 140 159 237 43 163 248 189 156 247 39 217 13 234 199 177 91 243 254 215 147 39 218 227 19 143 198 17 100 199 107 8 238 30 55 180 214 139 81 253 7 77 121 187 59 147 27 218 229 129 126 229 244 79 201 236 53 237 189 171 108 116 128 221 216 172 62 7 25 62 58 228 67 151 229 198 142 190 70 99 24 242 18 162 158 49 79 170 39 54 134 244 27 116 166 189 45 170 196 17 246 252 87 205 175 52 100 65 196 22 86 71 195 129 145 137 146 243 40 203 104 126 238 86 107 139 196 178 18 35 242 196 98 49 137 45 65 232 69 172 42 213 7 81 120 122 129 37 143 20 83 100 157 38 32 103 193 92 121 37 159 238 164 197 25 13 143 54 92 197 204 16 8 227 142 37 161 43 36 150 248 237 171 245 90 13 133 126 3 83 110 68 138 208 158 159 31 154 155 128 3 74 142 111 240 249 21 95 237 217 97 126 123 23 19 53 164 179 193 151 8 143 28 151 102 200 180 8 195 208 147 99 204 171 123 45 59 122 26 138 234 47 56 136 96 254 161 216 217 170 91 169 53 110 51 90 47 112 199 6 60 203 39 219 199 246 243 202 208 38 38 50 76 67 69 115 47 155 25 164 181 24 211 165 36 23 55 213 93 201 181 200 143 113 216 49 163 103 76 194 155 82 62 219 23 212 42 255 0 34 180 184 28 255 0 11 151 237 103 195 154 118 203 89 145 76 152 201 141 227 151 33 154 232 226 198 50 255 0 197 17 10 89 139 35 26 32 55 19 93 107 132 163 161 159 30 60 86 57 137 9 184 21 28 120 44 151 131 38 40 97 197 203 1 101 227 193 139 62 73 128 49 46 58 6 241 133 114 108 37 204 140 0 183 175 78 187 114 222 82 113 252 95 79 102 126 56 178 234 129 16 65 254 68 106 237 56 50 137 202 190 55 33 145 196 201 23 31 225 159 251 146 99 100 103 44 235 26 100 52 198 229 141 82 196 69 8 221 204 77 108 173 191 29 62 82 143 180 79 66 124 178 232 179 16 68 192 203 177 65 229 248 252 222 41 26 41 242 94 41 87 33 163 105 25 169 122 209 77 45 6 72 212 80 214 149 52 31 29 36 106 213 129 208 156 99 13 20 251 214 109 249 172 160 17 89 146 70 6 175 88 147 180 143 167 112 5 77 53 171 218 11 40 146 235 30 79 31 145 37 179 197 28 78 230 223 40 186 56 201 35 98 197 88 170 142 155 219 160 68 229 138 9 170 177 198 50 224 97 96 114 111 138 239 141 40 161 191 199 36 47 99 20 241 72 160 198 255 0 64 181 237 43 85 252 117 49 36 18 114 117 89 198 50 162 210 230 251 231 219 212 138 78 31 139 110 15 50 50 211 100 8 101 18 36 172 234 6 238 67 205 227 168 78 197 113 176 235 93 244 223 125 240 9 102 195 98 93 96 115 56 229 139 43 38 60 121 99 117 89 28 42 187 133 146 129 142 204 13 22 239 251 88 141 83 82 184 11 101 252 109 199 241 216 252 236 50 229 190 70 63 36 211 70 248 57 248 179 38 50 99 67 227 98 238 198 74 172 151 221 111 137 128 168 7 186 149 5 150 103 19 218 149 124 75 185 108 102 251 124 238 71 144 195 230 96 126 66 94 50 87 104 57 156 56 140 202 241 229 164 177 69 14 72 129 109 98 243 136 234 94 48 74 131 82 234 160 151 56 46 144 205 130 243 233 120 108 246 229 229 143 20 203 135 156 210 198 216 254 72 194 71 107 69 229 189 74 19 178 129 216 85 104 99 161 35 173 16 99 84 253 84 82 91 141 228 86 105 51 178 3 167 22 65 128 100 99 170 100 239 230 99 18 180 66 214 136 23 173 36 65 177 97 183 118 174 66 128 65 162 164 56 57 193 228 227 12 249 17 9 202 228 253 172 129 252 140 108 189 26 68 173 46 221 141 72 168 29 221 53 70 42 207 154 225 159 49 147 10 36 18 197 26 36 229 218 11 13 37 161 17 137 80 146 124 138 160 154 94 192 239 235 93 165 72 12 155 63 7 203 199 151 142 162 25 166 124 238 252 22 143 190 73 99 99 100 100 148 173 165 182 216 239 77 6 37 2 97 150 223 248 246 8 87 153 198 131 149 205 200 199 108 59 21 56 165 148 36 76 212 51 68 239 58 134 141 237 150 227 226 147 232 223 186 162 154 101 188 82 110 225 65 138 244 31 119 251 107 46 108 184 57 140 28 44 156 126 94 72 162 194 228 30 9 33 71 200 128 189 22 51 37 194 63 60 34 53 106 169 85 100 22 177 21 82 25 33 201 46 36 96 85 208 225 191 149 199 79 116 113 141 255 0 119 28 127 208 106 90 124 252 145 170 28 188 215 159 127 43 251 135 222 124 70 52 92 71 53 202 225 231 67 154 9 116 192 133 241 100 10 58 220 219 118 158 154 93 217 76 12 66 101 152 194 71 12 23 149 73 153 197 164 75 15 219 144 61 2 200 224 254 117 219 88 216 146 236 183 146 0 197 88 123 119 146 24 60 190 30 95 31 134 101 205 138 64 113 98 145 188 138 206 118 81 111 109 122 252 117 32 145 37 50 137 49 53 162 245 175 112 251 67 221 190 243 197 198 202 229 120 222 45 57 9 86 144 201 18 230 226 229 198 190 171 45 85 162 219 224 255 0 150 178 238 191 40 97 73 66 103 145 210 222 28 211 54 223 143 6 177 152 241 94 117 137 196 114 60 23 187 115 56 88 99 200 94 103 22 88 224 138 37 1 239 148 74 44 240 208 11 146 69 33 151 183 112 117 107 241 148 226 34 71 221 150 120 124 84 216 191 237 72 206 50 172 78 57 83 30 229 174 203 254 66 247 44 217 19 241 18 113 126 44 168 139 36 240 53 65 66 130 173 179 14 208 160 84 154 208 13 114 127 234 96 37 83 46 197 236 173 254 98 232 143 184 35 109 135 242 50 45 193 76 72 189 205 155 199 114 57 177 225 44 48 81 163 57 73 59 70 196 43 132 147 237 218 48 47 36 155 77 231 252 53 218 218 216 54 173 52 124 202 241 159 145 221 141 197 237 114 0 19 144 84 156 119 222 227 231 67 145 54 34 101 71 124 108 113 89 162 241 49 118 7 185 144 72 3 6 42 90 166 224 79 77 206 168 109 128 92 241 209 82 55 14 144 7 36 222 95 145 205 145 166 202 203 70 241 100 75 36 50 77 13 165 37 158 54 10 92 188 101 67 200 46 221 135 212 90 238 167 68 137 214 73 253 17 1 232 0 126 170 175 27 147 203 198 229 176 8 156 172 130 57 22 56 166 128 70 25 26 39 23 95 90 55 253 189 9 244 61 52 74 50 17 114 51 4 120 229 209 17 144 50 167 34 60 179 234 174 114 253 199 149 58 181 249 115 9 153 150 64 224 134 31 182 190 58 160 161 180 160 145 194 17 244 131 74 80 106 130 229 14 162 92 171 152 18 204 5 49 80 160 147 145 76 181 124 44 201 227 73 100 63 117 141 26 202 34 114 83 199 122 162 157 164 104 246 37 72 175 211 184 173 102 87 192 129 136 58 75 42 198 201 50 114 28 113 243 86 88 153 30 224 92 245 205 147 10 103 197 199 114 194 36 138 73 25 222 11 69 170 236 182 41 136 213 123 246 11 182 196 233 126 205 200 212 125 221 71 166 156 198 125 213 79 55 237 146 65 251 124 251 138 171 229 61 193 200 100 152 135 37 199 227 190 20 25 48 205 246 74 230 212 142 23 5 233 86 14 47 69 177 202 247 31 83 182 152 34 50 45 233 100 179 61 95 117 106 234 39 53 63 47 157 31 246 241 134 179 219 37 137 152 66 173 208 37 68 9 213 82 48 129 136 115 110 254 164 233 176 184 52 4 147 2 102 77 85 14 119 13 154 135 200 113 37 101 88 212 59 177 188 179 211 114 21 64 237 218 128 106 241 184 14 10 178 137 205 38 46 19 52 79 118 44 171 225 6 70 158 36 103 101 59 133 14 13 21 80 183 95 93 93 210 137 101 215 44 100 166 14 4 232 233 149 139 134 178 197 36 177 15 219 83 247 44 104 253 26 214 185 74 177 30 160 122 106 130 46 101 220 152 78 11 158 56 198 151 23 201 123 70 133 197 210 16 10 36 134 164 41 32 84 92 160 149 175 93 245 89 70 64 187 43 137 68 209 212 76 169 110 149 149 218 244 147 118 106 220 73 53 173 78 222 186 100 6 105 114 162 244 174 63 220 222 216 197 246 188 156 108 252 91 228 230 76 224 65 201 228 67 25 92 127 188 199 199 105 82 52 82 101 42 178 173 5 20 236 65 20 186 154 181 147 232 98 51 41 87 98 117 184 57 5 160 197 225 121 108 108 153 27 143 131 47 31 16 164 166 99 199 202 49 102 76 148 86 178 54 141 36 84 161 120 216 3 36 64 84 30 157 3 180 114 72 215 205 103 189 165 195 205 145 200 242 252 134 70 68 70 110 31 45 36 154 12 232 165 159 200 37 30 25 21 212 56 86 145 81 187 148 54 255 0 167 74 135 220 107 128 78 155 105 20 227 21 186 246 207 49 144 220 86 31 17 23 183 134 84 56 145 42 221 198 202 146 202 19 30 86 11 35 164 205 11 167 238 131 209 201 255 0 109 70 180 9 30 88 114 89 204 99 207 197 80 227 226 251 27 47 249 31 150 155 153 119 227 23 15 237 50 162 198 206 139 194 195 199 24 19 98 155 164 242 92 104 12 98 218 189 79 95 85 137 13 117 162 105 18 208 26 171 43 202 97 112 146 229 204 115 51 101 228 101 201 18 12 72 223 27 38 31 221 161 75 252 101 162 253 157 232 59 139 41 10 73 34 160 193 100 7 236 85 216 181 227 178 49 57 110 66 101 135 45 126 223 255 0 35 9 140 255 0 110 99 66 140 50 21 90 228 153 130 6 22 147 70 36 27 126 144 10 43 17 170 129 122 23 182 57 46 63 63 17 253 189 39 14 156 143 25 201 74 114 225 108 105 193 153 156 42 44 209 93 122 95 44 106 183 164 142 194 189 6 227 76 5 232 145 32 213 117 188 204 195 229 178 202 71 196 75 14 50 226 56 199 242 100 47 158 6 129 35 161 141 208 254 227 147 112 161 7 244 144 199 125 93 221 80 48 90 186 105 138 139 7 252 135 237 111 227 172 249 34 155 220 249 50 99 103 76 193 112 230 137 164 50 157 234 81 99 69 112 192 211 212 126 122 92 196 78 41 214 181 255 0 28 177 94 85 239 159 227 159 108 253 210 230 251 75 144 142 110 61 34 63 125 134 243 83 38 41 20 86 170 153 30 54 96 126 2 167 75 148 98 48 78 132 231 252 130 193 183 9 203 226 73 18 100 97 206 134 96 31 25 194 150 14 14 234 200 82 163 250 107 47 189 2 236 69 22 209 106 66 132 26 175 161 120 95 114 171 112 60 87 37 157 139 50 114 104 16 114 158 113 34 248 161 81 67 41 185 146 209 65 93 129 252 52 216 152 75 214 62 225 222 179 202 50 137 48 63 105 203 153 89 254 103 59 143 229 191 152 225 155 3 40 75 131 159 139 199 42 101 196 13 192 2 162 232 238 11 222 165 5 187 29 87 112 210 185 108 245 83 182 6 54 230 15 120 85 254 230 251 124 92 185 241 143 29 38 94 88 63 115 202 38 83 52 121 44 179 200 17 82 89 76 178 220 255 0 72 8 139 106 18 110 81 233 23 34 53 97 95 213 77 155 211 54 244 191 167 140 22 171 137 204 201 143 31 251 59 101 44 216 209 98 191 135 49 93 225 135 5 197 35 43 28 162 89 22 113 18 53 22 172 75 30 226 125 3 132 203 98 233 6 1 240 111 221 66 19 251 90 30 41 177 56 172 92 147 238 126 94 36 135 35 29 100 158 73 115 100 146 69 18 165 99 38 43 104 170 111 168 179 231 67 90 68 196 250 127 151 197 213 200 144 245 127 23 89 188 31 102 229 242 141 151 60 156 132 114 75 44 210 99 224 248 150 177 248 160 42 146 100 43 204 49 202 8 254 133 83 30 219 144 5 42 8 67 153 81 59 143 128 92 61 219 196 75 196 114 60 58 23 143 55 42 28 151 135 239 33 176 134 64 59 49 200 23 199 228 74 94 214 150 221 197 196 176 210 183 145 2 217 87 218 201 228 234 16 224 140 171 226 142 80 49 34 139 205 22 87 112 163 66 173 43 196 173 69 5 251 207 226 126 59 235 24 6 114 45 86 250 96 186 4 136 68 62 39 15 170 187 225 120 172 60 148 72 39 201 17 241 188 131 203 51 57 83 18 147 138 161 218 6 123 110 91 145 46 85 141 71 201 235 219 173 27 91 35 79 171 62 62 12 179 238 111 17 42 101 135 215 198 157 202 211 221 43 20 190 219 198 205 130 92 206 63 26 50 169 147 1 68 199 79 4 142 90 37 82 229 24 145 123 125 10 222 70 23 109 184 26 38 4 162 41 64 179 192 202 51 174 39 62 171 206 121 184 184 220 133 197 40 205 153 158 246 203 38 57 115 44 106 204 234 84 94 44 255 0 145 88 213 119 35 110 234 214 138 5 163 254 52 56 43 177 213 155 245 9 121 28 60 41 223 37 40 200 124 164 12 128 21 93 106 106 177 138 247 72 182 116 165 13 126 91 107 157 11 146 13 216 186 114 132 76 91 14 170 162 104 18 3 40 57 50 227 84 183 218 253 123 1 97 163 238 24 108 198 157 119 235 182 250 232 193 136 118 92 219 130 64 178 214 123 42 62 61 96 135 55 145 143 35 150 142 87 113 34 249 64 141 60 41 228 49 178 22 73 151 233 171 72 166 214 29 159 139 35 8 182 9 55 39 39 197 112 224 56 252 116 227 185 137 57 23 92 131 131 144 171 34 200 30 57 158 174 20 136 160 3 121 36 2 130 253 151 169 218 186 160 128 215 33 208 43 206 103 76 79 85 65 200 253 239 15 200 203 129 148 209 101 97 184 136 101 89 7 135 202 187 51 33 5 19 190 54 168 4 175 81 93 88 192 3 66 120 237 83 25 56 117 81 247 88 158 91 14 4 102 173 68 104 222 72 143 93 182 185 214 186 4 78 69 14 23 168 251 15 219 92 199 61 197 125 206 22 84 49 228 97 52 64 227 204 196 187 40 95 219 185 149 28 55 108 34 50 172 55 160 220 26 104 179 25 85 178 146 165 249 70 143 152 82 202 242 188 55 63 47 151 137 155 27 149 228 132 169 59 182 92 209 196 243 81 100 67 28 140 232 30 72 130 220 1 102 173 71 113 169 211 28 131 135 129 74 0 17 138 131 237 199 194 192 247 71 41 131 202 241 133 206 78 20 18 45 130 89 36 136 44 74 215 162 99 212 52 50 70 219 56 37 173 163 221 117 117 81 38 157 70 63 190 74 242 131 194 133 106 189 141 149 196 99 229 77 199 73 201 93 202 180 185 73 134 206 203 9 53 145 204 117 37 67 35 181 229 215 200 212 0 219 64 116 216 206 41 82 140 157 214 166 200 23 249 71 59 23 37 177 229 78 75 130 197 117 198 127 25 46 49 230 145 24 52 44 26 253 187 193 39 101 248 142 129 7 220 232 197 64 255 0 143 10 234 88 223 126 123 115 142 198 206 201 124 104 177 120 184 225 88 146 49 11 59 60 194 107 152 161 197 222 53 66 80 238 171 77 143 174 162 81 25 81 90 18 43 206 56 158 39 238 241 57 9 94 56 177 156 159 2 99 72 25 36 73 18 53 101 241 146 133 68 137 240 235 75 180 160 106 157 33 233 117 187 246 126 110 23 3 54 60 153 112 142 12 66 102 251 179 44 206 32 144 36 94 41 99 137 8 43 119 149 67 53 174 198 237 232 189 52 216 201 177 162 207 40 146 121 175 78 246 158 66 228 240 152 249 1 238 76 144 211 68 77 0 100 119 38 244 245 42 107 75 143 195 77 116 178 20 33 252 175 236 166 21 138 76 217 211 165 209 97 76 221 223 11 118 127 206 218 124 245 81 122 36 178 191 177 46 138 135 158 247 247 180 189 199 134 216 176 98 114 114 77 141 50 149 120 248 239 51 168 216 150 86 4 188 77 215 109 142 179 95 156 166 116 196 83 51 159 114 219 182 140 109 13 100 215 6 31 50 177 252 215 219 136 70 71 27 7 57 30 100 245 142 89 50 177 90 56 102 142 130 191 26 183 200 215 72 54 244 214 38 78 156 46 235 120 200 2 58 98 22 123 219 249 252 191 25 154 144 192 50 22 196 54 195 142 146 121 25 20 143 249 21 197 140 171 165 123 16 184 239 234 249 45 51 220 74 49 0 13 63 53 232 89 254 233 228 57 126 8 96 255 0 96 206 147 200 149 124 136 222 16 73 2 181 91 24 181 54 232 117 93 191 162 38 57 20 187 190 169 9 231 21 231 57 60 191 47 139 238 252 156 188 188 233 71 47 128 168 177 44 221 210 65 246 206 134 53 118 250 100 0 19 183 245 211 231 168 8 190 32 226 146 52 29 68 97 37 234 28 172 190 241 247 60 209 54 95 7 30 63 219 51 36 113 125 222 28 78 37 149 86 78 193 145 127 85 66 192 90 122 159 158 180 106 55 49 30 107 46 145 111 3 138 203 115 121 89 24 184 71 143 159 138 147 23 43 6 53 92 217 211 48 73 12 160 176 88 194 196 209 149 160 241 128 129 27 167 196 83 74 187 60 64 163 117 78 181 26 130 239 228 184 231 99 242 152 35 11 47 51 10 49 140 81 86 54 76 181 118 89 60 127 183 54 68 145 119 131 245 72 136 71 199 109 128 213 39 38 0 156 15 83 220 83 32 228 200 3 81 205 187 194 221 100 112 126 237 229 33 193 196 159 23 136 147 9 1 200 159 0 103 205 246 211 32 43 49 108 136 252 119 70 90 70 14 119 27 237 211 91 128 147 12 27 189 96 38 46 113 126 192 188 247 249 67 157 147 47 153 226 49 231 92 40 142 51 162 87 138 86 56 236 75 5 62 71 116 140 220 34 165 161 5 182 211 89 239 72 144 93 176 56 45 22 98 3 99 85 34 81 153 149 193 241 124 124 216 120 113 96 99 172 185 75 44 206 209 74 242 206 224 187 202 236 65 47 43 5 104 232 167 97 177 0 105 32 72 198 52 20 175 39 227 205 53 192 38 165 205 63 94 238 106 23 12 252 139 228 99 225 19 119 216 151 200 9 59 42 0 172 60 114 85 209 92 167 90 252 253 1 174 245 181 168 150 7 205 90 227 10 183 29 87 161 243 88 126 251 111 107 55 27 62 20 51 99 165 24 114 205 148 101 251 120 162 74 94 81 160 69 241 132 175 65 189 221 40 54 218 53 128 204 60 127 69 136 232 119 114 188 103 220 60 188 127 104 152 144 99 201 196 195 20 96 199 10 71 113 96 192 50 187 51 159 39 125 161 129 63 143 173 116 146 36 101 130 209 6 0 178 152 37 195 151 54 37 146 57 178 32 105 18 92 140 53 221 157 5 166 215 36 53 167 254 171 72 249 107 12 98 199 81 192 113 138 221 172 145 164 119 126 202 202 108 164 16 206 113 99 146 30 56 227 198 128 145 28 165 34 73 149 196 213 12 3 59 4 85 37 170 9 244 233 171 198 90 100 195 21 73 71 88 194 159 19 154 178 254 58 246 191 49 30 111 147 236 228 202 199 157 154 197 138 76 108 124 177 147 133 222 36 79 186 34 190 56 242 119 95 165 149 174 238 27 107 125 183 25 124 23 54 225 137 207 226 184 123 98 15 112 55 242 38 126 19 46 92 217 176 103 25 121 60 108 104 227 76 150 138 48 68 160 213 146 16 244 85 33 145 173 169 170 212 109 170 141 90 197 42 153 54 246 241 91 47 119 123 91 139 228 125 161 202 99 100 240 220 215 247 166 70 203 131 147 155 20 216 153 16 173 87 104 230 157 34 132 198 165 24 14 208 9 62 154 116 141 48 41 16 112 69 66 240 5 227 178 40 10 201 142 244 32 139 103 143 241 245 35 74 19 28 5 171 65 91 46 19 159 230 248 174 59 238 56 201 2 100 135 9 38 43 120 158 58 199 33 120 165 36 214 180 242 50 159 197 125 122 46 23 4 73 108 203 168 156 28 7 94 165 237 223 113 113 190 224 227 241 198 119 36 248 57 44 88 229 195 145 50 196 208 9 8 40 240 76 77 24 161 142 212 3 208 209 212 26 29 105 23 1 11 44 173 200 20 185 156 159 23 198 255 0 48 251 125 161 203 135 193 145 194 28 80 248 172 30 37 34 73 196 67 98 195 117 59 10 255 0 65 170 200 250 193 226 161 94 49 123 100 21 161 225 248 156 14 74 94 112 114 49 69 159 36 249 144 229 75 36 209 134 175 151 22 22 5 85 191 74 178 48 30 154 101 8 73 36 249 42 62 83 218 156 46 55 242 175 183 142 42 63 31 22 119 29 149 251 120 12 113 71 220 99 177 239 67 30 232 74 200 42 6 198 148 245 58 84 162 4 195 115 249 20 248 200 152 23 226 170 87 188 125 185 201 101 99 167 143 144 254 231 28 64 172 105 201 67 11 16 30 168 232 217 16 136 28 125 85 238 83 235 191 166 174 65 200 165 137 14 75 207 163 49 255 0 249 119 39 141 149 198 180 45 145 30 46 84 199 5 100 153 221 209 3 72 241 6 29 190 75 25 137 84 185 24 17 210 186 94 18 168 200 167 16 240 167 53 111 205 242 220 94 103 23 204 112 92 115 249 112 228 198 144 98 193 35 148 91 217 22 70 6 54 238 73 22 72 139 49 111 128 169 59 233 154 133 82 132 72 32 246 43 143 101 55 159 142 227 34 224 249 9 120 236 185 112 225 155 55 24 159 185 196 61 130 175 52 18 183 97 107 186 69 34 124 122 232 128 160 100 92 196 186 244 200 61 203 195 202 65 135 154 195 147 225 110 100 39 252 159 76 214 57 164 232 60 150 87 219 146 193 15 186 57 241 46 68 81 230 102 100 167 218 136 229 71 50 161 132 90 86 194 202 88 216 219 117 219 74 55 0 155 61 72 162 208 32 77 167 98 194 74 151 149 228 113 185 9 31 136 202 195 243 58 95 226 108 158 220 87 0 10 179 221 251 136 71 197 65 235 164 157 192 247 52 59 144 86 136 237 207 183 175 7 29 231 177 121 167 51 7 35 237 142 99 14 236 85 197 89 219 199 22 111 19 157 229 139 194 236 40 141 34 33 20 31 236 112 43 165 232 211 41 16 65 166 9 162 230 168 128 65 29 74 247 62 35 137 196 149 112 242 30 20 105 113 148 120 194 128 132 134 95 128 165 118 174 185 187 27 186 110 135 56 173 187 219 111 106 68 100 188 79 249 3 33 113 255 0 150 121 48 170 15 218 69 139 85 101 21 62 24 226 147 187 242 216 235 173 185 192 116 92 173 190 7 170 247 217 113 177 207 185 19 61 80 58 230 68 9 184 84 18 59 227 125 253 104 221 70 156 102 211 29 82 132 127 245 203 253 86 111 222 177 113 112 197 38 22 106 182 70 84 242 9 113 27 35 49 33 146 108 198 101 241 177 68 32 248 161 80 170 28 168 180 118 250 212 174 230 144 24 243 167 106 189 157 68 211 129 154 198 231 240 60 214 89 198 146 76 108 220 63 178 133 226 197 204 146 35 147 38 76 192 153 92 200 201 35 47 113 67 65 189 71 244 85 24 146 6 35 185 56 72 2 112 35 229 198 74 218 15 118 227 241 49 74 156 166 84 208 8 241 218 8 225 156 25 164 200 40 163 203 59 8 139 39 142 73 217 148 51 154 53 191 85 8 166 129 113 130 205 43 102 69 121 159 191 50 125 187 134 188 78 63 23 33 151 44 102 73 149 153 32 127 36 80 33 17 136 225 130 85 162 72 148 220 255 0 177 187 70 218 80 17 32 183 122 209 80 67 224 48 90 60 25 48 19 219 249 188 124 241 228 228 114 217 87 14 43 27 17 150 213 120 214 130 121 217 43 41 85 47 178 82 210 0 165 205 90 82 200 244 183 242 81 116 157 78 244 227 193 94 30 83 143 198 88 241 178 34 134 14 31 137 72 154 38 199 68 142 113 32 64 92 196 182 202 161 165 114 165 124 131 184 49 162 141 60 144 3 28 146 88 146 227 53 111 149 252 143 43 224 114 143 197 54 52 56 56 145 125 174 28 19 8 242 50 141 132 70 211 201 140 37 82 177 20 112 197 45 36 87 228 64 182 183 14 169 237 177 101 224 254 226 196 92 98 233 46 97 204 157 177 226 20 18 172 198 57 111 163 70 206 42 180 85 83 64 132 218 40 15 195 74 3 212 22 152 125 165 213 246 0 195 76 44 60 246 201 200 76 153 34 1 146 39 142 53 72 252 106 164 213 195 85 155 117 42 69 41 164 0 24 140 83 53 16 65 9 220 135 29 145 34 50 224 93 231 194 73 167 18 67 29 28 25 25 217 190 131 119 210 6 247 81 122 45 119 172 217 137 210 229 23 238 13 76 23 177 255 0 28 123 74 15 236 252 111 51 198 243 25 140 153 81 94 216 40 229 224 92 131 10 68 170 241 54 203 36 52 96 233 75 91 183 96 0 214 200 6 11 12 205 75 172 95 27 238 238 63 23 249 251 154 203 124 180 56 18 176 194 201 201 21 88 203 71 2 99 59 133 171 81 68 203 94 167 109 42 69 164 15 119 138 112 139 193 151 181 114 88 238 112 115 34 116 32 24 38 87 219 211 198 193 180 231 89 227 146 248 154 50 60 96 109 184 29 126 90 91 173 107 111 252 127 141 153 149 246 227 10 89 68 184 153 130 67 137 3 5 105 214 171 37 166 189 189 161 9 184 244 213 112 185 218 162 231 218 189 183 218 222 209 246 50 243 83 231 241 144 177 19 65 42 199 133 144 151 193 79 53 146 203 27 50 132 114 191 241 176 244 216 233 130 35 146 204 100 121 172 231 242 150 47 1 197 251 239 216 211 201 135 2 99 78 242 167 39 4 106 35 142 88 86 84 85 105 35 75 84 255 0 200 253 212 169 233 233 170 78 35 146 117 178 88 213 109 96 246 215 19 141 238 158 67 7 17 178 184 240 48 112 242 161 251 44 185 225 95 249 178 32 122 11 221 72 236 77 136 160 244 213 216 37 106 52 89 31 228 142 63 144 227 189 225 236 124 216 121 124 137 101 151 38 108 72 37 204 104 217 160 126 195 85 40 145 163 43 249 40 222 64 122 13 233 170 200 30 124 58 100 8 98 175 114 51 189 206 32 25 63 248 217 145 197 45 153 136 129 240 178 73 173 165 25 95 205 21 219 209 168 69 71 229 169 175 106 88 17 94 127 63 37 31 29 252 148 101 155 17 241 227 201 197 138 92 156 114 67 120 138 51 92 233 226 105 110 86 169 36 212 84 147 176 210 204 189 64 247 120 167 1 232 100 239 118 174 15 41 203 113 163 203 11 193 145 6 82 190 76 114 22 72 203 178 24 156 200 132 186 139 251 74 208 183 167 234 213 164 4 149 96 241 30 10 95 241 226 114 17 251 119 142 139 140 228 21 57 12 213 183 237 101 137 100 140 50 49 46 88 165 146 66 148 82 187 22 6 157 53 16 195 188 169 187 139 149 237 211 112 216 82 143 223 227 113 228 248 153 49 162 111 254 228 214 133 149 150 7 152 225 125 183 199 127 32 241 241 100 113 248 41 198 115 16 200 100 140 164 73 0 201 198 29 166 69 82 168 172 3 246 146 55 214 91 177 30 228 37 218 15 120 91 44 200 251 83 134 116 35 184 213 119 228 189 191 252 108 153 8 234 156 124 29 70 67 193 149 10 155 126 106 242 210 159 49 168 152 182 89 200 162 181 163 112 2 192 172 150 79 179 255 0 138 178 185 57 68 121 171 137 6 50 249 177 242 14 108 32 60 231 113 86 84 155 200 160 142 154 53 91 114 231 17 205 89 175 105 12 48 60 148 94 51 249 47 220 175 200 98 197 153 139 30 30 38 44 212 108 236 72 153 228 241 166 193 128 119 42 234 244 238 90 110 167 92 200 219 183 9 184 150 107 167 41 74 112 32 199 16 176 120 120 62 231 228 125 199 151 206 242 246 199 147 154 102 151 34 121 88 16 210 75 189 2 71 121 11 232 7 64 53 174 254 242 13 67 85 150 206 206 121 133 233 222 222 247 239 37 131 131 129 7 33 140 50 230 227 145 225 132 150 146 54 120 191 253 181 105 21 92 2 171 218 27 224 55 248 233 112 223 135 15 64 19 39 248 243 160 177 15 201 63 219 254 245 225 112 57 105 178 114 120 39 131 28 197 100 12 179 174 94 75 200 213 51 156 151 149 81 90 242 196 212 80 252 106 54 213 198 254 219 187 37 31 199 220 102 112 173 121 47 228 168 242 113 159 19 3 25 241 35 16 248 224 150 240 190 57 0 253 182 8 181 70 88 202 169 85 213 103 249 65 144 42 208 252 89 204 133 136 200 124 137 227 135 30 44 153 97 183 203 229 152 91 28 143 230 107 205 124 2 37 94 237 201 220 159 233 76 215 55 239 151 154 211 111 97 164 151 62 74 150 111 98 99 114 153 158 121 179 29 11 18 45 134 52 141 1 173 77 171 220 20 84 244 213 127 236 204 65 104 138 166 15 199 2 213 42 237 56 44 100 228 66 73 36 138 204 142 170 99 109 252 115 130 146 53 212 37 89 69 105 111 226 55 214 120 111 167 16 241 100 217 236 33 42 23 86 25 30 218 227 114 241 254 214 80 91 22 73 204 238 130 74 153 26 128 119 72 192 185 11 109 85 107 77 207 93 169 18 252 173 198 201 17 252 101 160 94 171 170 251 119 134 198 197 155 18 49 42 66 231 201 227 50 189 42 77 221 149 255 0 140 146 55 41 66 125 122 105 127 246 119 176 118 238 87 63 142 179 139 63 122 166 155 218 158 220 42 204 248 105 36 141 37 110 102 145 193 118 171 49 34 226 55 245 212 141 245 222 106 195 103 100 100 166 191 5 192 186 166 58 98 196 208 144 21 34 250 148 15 133 77 106 0 248 234 131 117 55 39 81 87 150 218 219 125 161 89 191 21 196 205 36 2 85 140 182 50 167 141 146 225 70 143 254 50 164 116 97 64 107 165 255 0 122 239 249 21 63 212 180 63 136 93 165 229 33 227 230 150 56 167 153 76 206 36 157 146 103 66 210 19 66 239 70 23 54 212 169 223 64 220 221 63 200 248 160 237 237 15 226 60 21 83 228 251 118 57 37 153 160 130 226 197 252 172 17 27 115 250 155 174 253 78 129 114 233 204 249 171 104 183 200 120 5 43 7 220 114 72 147 145 203 101 180 114 19 107 28 169 28 0 125 5 94 164 117 27 245 26 108 247 55 133 28 249 165 71 109 104 213 135 128 85 185 156 103 179 196 42 113 248 252 68 101 0 184 49 70 170 14 219 6 53 58 92 119 87 95 25 120 148 195 182 183 200 120 4 216 163 224 240 38 43 140 96 198 148 143 171 26 196 38 241 107 11 227 35 234 66 84 233 145 191 119 23 146 169 177 107 6 30 10 241 61 211 149 28 7 237 57 89 226 44 224 189 242 147 244 168 4 212 246 150 160 0 31 128 212 255 0 110 240 63 113 85 59 59 36 125 161 83 243 13 196 243 217 209 101 115 150 242 25 248 234 177 195 150 210 21 43 26 177 112 130 210 160 139 152 245 30 186 177 222 94 99 234 84 27 59 63 226 175 120 111 115 228 166 116 114 226 231 197 33 197 196 254 219 18 180 104 236 184 209 63 145 20 210 151 27 134 204 119 235 166 159 201 94 136 31 68 159 250 219 50 253 212 47 120 136 253 215 153 198 182 126 116 152 211 241 76 95 8 227 4 141 76 142 234 205 33 4 49 45 216 160 80 138 83 83 255 0 109 117 156 129 224 129 248 187 66 128 159 21 107 31 63 34 101 219 44 113 207 30 72 88 242 204 111 180 140 20 5 155 198 224 0 204 149 86 163 83 97 74 83 90 97 249 96 222 168 172 183 63 16 127 140 150 99 221 19 115 83 123 183 142 230 184 100 146 52 198 196 251 124 150 200 49 121 36 145 221 140 207 96 63 184 143 74 110 107 93 60 126 74 209 204 132 147 248 219 160 51 58 137 238 44 184 39 229 19 146 155 17 21 30 37 151 145 157 11 137 150 44 87 132 56 84 91 66 180 162 234 29 170 186 214 46 194 88 16 178 27 55 32 42 10 137 236 60 252 120 176 37 198 192 207 83 150 114 242 33 199 198 116 141 146 88 203 45 28 219 99 160 34 133 156 63 160 162 157 90 46 48 85 185 82 173 19 18 60 172 120 76 211 77 53 69 10 188 146 56 63 245 110 117 230 229 185 155 226 189 36 118 241 196 5 30 94 59 143 165 171 10 170 157 246 0 146 6 222 159 61 84 93 151 53 115 108 46 120 184 120 54 26 219 21 64 37 77 43 191 165 52 74 225 68 96 18 113 243 241 73 52 207 44 165 33 115 64 60 101 171 74 250 245 29 0 212 203 83 34 34 33 43 201 27 228 159 182 18 24 130 212 179 80 22 42 58 247 83 183 252 117 15 74 170 181 104 164 36 102 37 118 154 84 85 42 65 12 202 54 61 14 168 239 130 96 138 137 231 14 202 139 144 133 136 160 2 165 91 225 77 186 234 236 121 42 247 166 248 167 145 164 105 32 149 212 86 241 26 110 134 239 90 145 189 42 53 47 200 133 93 60 215 92 100 156 189 177 97 228 179 145 68 218 53 44 58 109 87 223 174 169 38 255 0 32 175 24 158 69 79 196 224 121 156 134 251 133 197 146 60 112 55 121 29 66 245 2 151 11 133 107 182 169 41 196 12 85 163 9 58 158 190 223 228 175 80 76 95 117 56 50 227 99 153 28 25 144 10 179 33 10 213 181 119 174 151 168 17 155 43 233 33 119 139 217 222 232 105 78 67 4 88 88 4 86 182 91 80 13 247 98 163 175 227 170 155 240 102 14 164 66 78 151 47 130 230 49 162 73 165 146 0 36 119 91 21 30 170 201 109 55 38 134 183 84 106 162 228 78 73 145 182 74 72 248 153 36 102 89 178 26 58 244 181 16 84 239 80 110 173 62 157 14 6 74 198 209 230 164 167 7 199 196 44 151 207 59 56 59 180 129 7 125 61 16 14 191 142 160 204 229 68 11 41 145 112 92 64 102 111 179 168 232 47 200 155 112 106 5 106 227 213 122 106 77 201 28 252 130 183 177 21 217 56 172 63 36 114 140 120 133 181 2 48 77 9 63 54 44 58 16 117 26 139 98 167 219 138 153 7 23 26 180 118 69 18 203 11 181 10 44 102 164 212 159 235 77 65 145 65 136 25 36 131 138 140 22 67 141 228 64 71 144 120 149 214 181 39 210 163 208 104 50 61 232 211 19 201 18 99 120 203 177 142 139 66 67 24 22 170 9 216 147 77 66 144 35 200 46 89 248 108 10 132 188 186 61 25 81 162 168 32 244 160 35 115 190 164 30 106 88 114 92 241 241 228 67 42 81 232 172 7 118 202 0 0 141 254 159 207 82 193 20 116 136 89 184 135 6 82 88 165 192 9 145 170 232 104 105 67 163 77 85 92 50 149 139 134 103 112 134 43 131 86 226 105 104 21 250 153 183 160 21 26 137 81 64 101 166 246 239 179 184 92 131 126 108 43 145 81 177 101 85 141 93 88 169 237 160 115 77 143 119 93 246 210 46 93 150 69 86 71 162 200 71 192 174 20 57 241 102 225 194 114 146 105 151 33 164 85 173 0 91 93 26 157 163 234 63 15 134 180 155 142 204 104 193 44 68 84 170 30 35 132 197 204 228 35 129 96 48 202 215 91 99 184 13 245 247 3 90 83 179 79 187 112 196 99 226 149 24 135 86 19 251 97 230 199 134 92 124 156 133 146 198 99 9 9 37 190 39 49 74 202 40 164 168 144 127 186 186 84 110 243 1 59 219 7 53 72 220 87 53 19 49 142 88 114 148 253 55 6 129 135 167 95 220 83 253 117 163 84 15 49 230 148 108 204 96 66 229 20 217 88 57 18 190 70 1 138 225 110 68 171 24 49 200 160 253 37 226 186 187 129 245 126 122 209 106 236 163 246 203 207 228 86 91 155 113 47 190 60 118 174 80 207 153 17 160 146 43 124 97 133 190 70 36 82 238 134 207 207 74 49 137 230 158 9 20 72 124 179 125 194 174 95 140 194 162 130 197 85 96 25 131 45 73 115 181 187 106 192 1 146 130 231 53 210 60 124 57 113 151 201 12 211 73 34 178 172 130 102 66 25 111 40 85 34 180 154 248 200 166 162 160 209 135 114 24 17 154 128 248 56 178 228 172 73 27 173 28 161 127 36 172 89 84 133 102 23 49 249 147 166 137 73 159 228 21 52 133 219 27 141 129 68 163 194 31 198 190 69 145 170 106 160 117 238 38 189 117 73 76 166 70 33 92 241 188 70 84 147 7 199 133 98 44 229 3 0 16 14 255 0 247 29 189 53 158 119 0 21 41 130 11 71 15 183 162 199 76 152 179 179 95 35 236 35 91 176 49 164 219 188 49 181 137 29 189 104 40 52 131 117 217 134 42 250 85 20 237 144 252 111 33 52 120 226 28 136 158 35 24 106 55 142 23 98 9 102 253 108 59 70 156 0 212 1 193 80 146 197 148 188 216 178 151 49 14 64 150 7 201 134 57 241 99 74 51 2 21 92 48 21 255 0 124 117 248 208 234 34 205 69 98 106 173 223 142 141 164 194 226 222 87 251 41 21 166 134 81 220 194 105 80 50 154 26 10 51 129 165 30 106 203 151 181 56 124 188 15 125 97 190 98 76 126 221 102 89 35 101 102 9 36 145 62 244 53 182 231 97 191 77 77 203 160 219 101 65 31 83 175 77 228 56 165 228 125 191 28 44 236 144 182 76 145 202 84 208 218 29 152 143 158 199 88 65 211 23 76 5 230 71 122 166 230 56 4 242 46 62 57 17 225 99 196 162 146 19 98 221 218 3 26 84 130 23 175 166 139 82 116 205 76 178 217 51 131 115 249 154 96 68 158 97 10 60 198 38 245 242 88 9 21 11 245 116 63 29 106 140 75 41 55 2 232 100 9 224 83 51 148 163 25 157 35 148 149 36 13 192 241 53 118 233 191 199 80 2 36 115 70 116 167 31 237 212 66 39 243 85 221 10 154 46 244 250 132 45 234 64 0 211 173 117 104 69 221 82 83 100 242 49 218 9 9 6 38 10 190 57 21 1 36 213 110 168 80 182 155 110 35 64 29 84 74 101 79 193 192 224 166 153 48 223 42 84 141 209 222 102 105 254 139 37 101 181 213 221 213 149 86 210 105 215 125 4 148 186 167 55 180 248 56 151 33 223 42 197 196 113 62 69 108 44 248 102 56 216 144 170 25 111 30 95 195 83 238 23 193 85 148 105 57 30 3 11 2 121 240 12 170 100 199 76 92 200 164 106 9 146 117 185 101 5 0 10 203 32 161 85 218 159 13 244 105 147 178 179 58 160 200 247 60 217 152 112 132 47 228 138 168 226 86 145 251 208 1 85 250 171 109 42 22 187 159 199 77 246 192 40 4 228 184 71 204 77 231 113 49 104 177 39 11 28 132 162 90 90 219 79 99 32 34 241 235 117 6 250 141 20 87 148 147 241 56 44 183 226 50 243 22 178 140 121 18 59 201 163 3 41 181 62 128 59 122 245 219 109 76 164 197 84 73 195 20 232 97 78 51 195 26 149 149 130 95 52 203 65 228 32 169 160 160 21 80 58 87 85 125 72 11 175 21 252 147 54 10 101 199 135 134 121 60 236 89 218 57 243 89 210 28 40 32 117 2 233 101 118 79 165 146 180 168 7 165 107 171 203 98 224 25 22 124 51 39 176 4 175 124 57 0 63 62 158 43 17 238 111 228 163 157 202 207 52 252 164 89 50 153 138 187 113 248 242 46 52 176 128 20 39 238 21 122 117 220 54 245 248 107 125 143 199 144 41 26 127 177 175 146 203 115 120 5 53 120 84 42 238 23 222 166 12 252 71 143 158 251 38 142 230 57 57 56 206 225 137 90 89 33 66 198 159 2 41 74 239 166 220 217 157 39 208 253 133 82 27 160 227 214 221 161 107 240 253 241 36 88 248 24 94 232 132 241 232 94 83 133 238 60 50 91 30 98 238 146 248 192 93 151 184 6 97 118 213 233 77 115 206 204 73 229 104 187 99 19 136 90 70 224 198 151 41 215 37 97 207 231 201 15 37 144 240 196 140 36 186 116 3 96 209 184 13 85 17 209 69 43 233 215 174 147 110 20 90 141 194 20 56 249 104 100 159 198 202 170 31 189 93 106 72 184 13 173 59 245 211 61 181 30 234 175 137 240 151 140 5 99 242 78 190 83 107 247 11 16 78 64 97 248 68 58 105 140 93 40 179 42 249 222 37 19 42 228 164 70 39 112 183 43 85 12 158 66 21 152 35 15 212 61 78 154 201 100 174 207 153 142 99 144 69 159 18 70 133 137 42 100 22 153 68 139 112 33 62 50 46 160 68 190 10 197 185 174 81 176 201 158 216 165 138 105 133 76 106 133 250 177 53 59 168 248 138 215 65 13 146 140 85 199 13 141 133 137 149 8 200 43 144 197 191 120 48 45 18 40 161 11 104 165 196 149 220 235 53 217 146 40 159 8 54 43 209 113 228 135 63 135 203 142 16 172 235 0 11 18 173 177 173 30 245 181 69 41 186 238 122 215 92 246 32 213 52 169 75 129 23 219 201 152 80 101 73 152 169 43 32 20 6 160 26 10 110 72 175 93 88 73 84 133 31 221 152 216 48 123 123 54 241 28 120 169 30 197 130 70 149 184 83 115 65 212 106 214 223 85 20 100 188 223 51 223 94 218 197 40 39 150 185 48 40 65 98 179 244 233 245 0 58 1 77 245 210 142 202 236 141 5 58 172 243 221 219 142 37 73 192 254 81 227 176 101 226 51 34 192 151 147 128 121 17 99 133 213 178 106 84 128 172 128 61 45 167 67 168 59 2 117 9 16 59 112 80 119 66 132 12 85 236 255 0 204 88 76 100 230 165 224 50 112 165 70 177 241 114 46 71 200 137 154 48 89 27 198 160 178 168 97 215 111 243 79 244 30 90 117 68 246 41 142 225 162 236 66 176 226 255 0 154 189 169 200 225 77 11 164 216 89 48 25 179 94 25 60 101 4 100 26 0 215 6 46 7 81 111 250 105 87 255 0 27 112 0 5 65 42 214 119 17 37 249 5 55 255 0 203 240 57 159 111 100 77 198 231 195 60 178 184 185 81 199 145 2 196 13 25 15 112 222 190 154 79 245 167 110 77 32 158 46 70 85 5 214 50 92 213 151 145 92 192 90 57 162 237 50 3 71 1 148 130 1 29 119 248 235 86 154 50 163 213 93 100 112 203 46 60 146 195 20 97 133 10 81 35 11 227 69 173 234 4 82 27 191 233 233 248 107 60 102 197 138 105 145 106 213 64 150 71 194 194 15 44 86 45 193 148 73 16 82 22 65 221 74 99 15 136 248 159 233 167 179 158 62 169 120 4 201 228 145 2 46 50 59 218 73 243 0 65 253 85 46 60 11 112 245 219 224 62 58 136 243 87 144 201 113 8 42 235 99 168 222 239 26 58 215 166 213 104 193 245 252 181 33 65 10 84 185 153 241 96 77 20 13 41 92 216 204 15 122 182 200 204 164 209 170 89 77 99 248 106 64 14 168 66 166 133 164 144 140 118 198 200 101 141 81 96 75 36 171 198 132 133 46 160 142 165 191 13 50 68 98 162 1 76 143 136 200 120 133 49 86 57 36 23 25 92 185 160 62 148 53 35 255 0 67 231 165 27 129 54 54 203 174 50 64 17 230 138 81 226 123 85 168 40 203 85 110 203 73 62 163 215 231 171 59 168 34 169 240 103 203 141 137 38 50 201 43 14 65 188 172 172 107 85 140 176 93 191 250 152 122 104 148 117 87 146 168 45 222 179 190 252 247 12 237 1 192 192 12 95 14 31 39 35 147 16 169 130 6 180 34 154 116 103 62 190 128 252 245 187 99 183 15 174 89 224 57 149 139 119 124 129 166 56 231 208 47 46 229 57 79 188 117 142 56 206 62 4 102 176 97 6 189 99 168 1 183 32 22 38 158 189 53 220 183 111 78 53 151 53 197 185 115 86 20 138 136 211 157 133 67 40 232 79 81 171 178 94 164 225 144 204 58 236 61 43 163 74 53 58 179 225 189 205 159 197 93 142 45 202 226 166 167 221 113 179 11 161 145 73 5 187 127 75 26 117 90 105 23 246 209 185 95 182 121 75 146 125 157 204 161 79 186 57 142 107 91 198 251 163 7 138 204 73 240 94 70 246 222 67 86 53 145 188 153 24 76 235 107 35 54 197 144 18 127 31 241 60 235 155 105 92 13 32 215 7 132 151 66 27 129 2 12 75 192 255 0 245 94 130 37 227 243 248 206 63 13 60 75 227 108 159 180 200 140 128 47 145 30 68 238 4 85 91 182 158 155 126 90 230 7 4 190 43 160 89 156 44 228 156 236 226 55 133 38 204 80 20 249 16 242 81 138 141 141 90 216 254 93 78 180 139 67 26 120 37 155 148 66 123 151 54 19 142 60 153 50 172 117 17 161 228 148 137 16 177 165 244 77 250 208 126 90 159 100 23 195 193 87 222 61 124 87 94 57 242 114 132 89 80 9 138 196 106 92 242 126 86 11 181 68 168 177 214 130 159 13 235 170 204 1 79 255 0 42 241 47 95 154 126 121 200 227 23 22 40 139 1 58 12 156 119 114 90 102 7 184 9 1 250 71 193 64 252 116 191 187 185 75 178 130 249 222 60 161 60 105 72 102 82 241 6 52 160 112 69 65 219 117 96 64 252 53 34 221 25 6 108 86 199 129 230 97 226 151 23 147 229 114 99 196 195 155 203 14 75 181 85 89 89 63 110 213 29 196 212 14 130 167 89 39 104 204 233 136 114 157 175 72 121 22 84 248 223 201 156 191 35 44 156 63 4 243 67 127 116 57 173 3 79 42 6 95 18 199 28 17 131 227 12 205 120 103 61 71 229 173 195 241 241 183 234 184 221 152 121 172 167 119 175 211 1 134 106 179 149 224 99 1 57 127 228 15 116 49 204 32 75 15 25 27 223 56 218 224 40 195 179 122 108 145 138 124 116 216 110 9 244 237 237 211 159 31 84 169 89 254 87 102 178 252 135 187 56 57 51 31 33 99 147 54 66 160 54 68 128 25 13 42 77 89 234 125 116 248 108 238 152 177 44 147 45 205 161 39 1 213 191 15 252 183 39 21 58 201 141 194 196 242 196 65 86 121 66 56 96 24 2 74 173 118 189 191 35 165 207 241 90 133 101 228 152 63 34 63 199 205 95 183 255 0 244 86 126 74 120 185 30 17 68 27 169 146 41 252 164 3 75 168 178 45 166 180 245 109 32 254 12 15 182 126 74 209 252 152 206 39 203 232 147 157 254 87 246 39 184 56 24 56 156 158 58 201 82 111 60 249 25 80 36 142 206 71 84 150 27 152 6 44 75 84 234 176 252 110 226 209 120 159 53 99 187 177 51 95 130 129 137 237 254 38 92 72 121 159 104 242 162 46 82 48 193 160 149 150 104 138 159 211 70 30 88 191 50 127 13 88 238 103 19 162 244 92 116 161 250 21 127 96 17 170 217 249 143 168 85 220 47 185 178 240 185 56 112 249 226 34 73 153 144 207 62 226 170 13 13 232 8 112 196 83 112 14 157 115 109 25 192 202 221 89 42 221 249 70 90 103 159 29 235 209 56 62 97 115 120 131 54 14 82 201 0 148 70 25 58 134 102 6 140 15 114 237 232 70 185 87 173 24 73 164 42 183 219 152 144 112 185 114 60 146 204 147 97 229 69 16 87 112 216 83 181 160 151 83 111 137 153 210 65 86 36 133 99 241 161 212 91 143 37 98 114 42 182 88 50 224 146 57 114 96 88 247 13 108 169 10 150 183 244 238 166 135 250 105 128 140 2 147 18 206 187 99 188 121 249 226 49 20 86 0 36 148 184 137 170 42 46 174 221 125 63 61 18 44 17 24 63 31 162 181 155 3 2 72 155 29 151 235 59 144 35 29 191 146 158 239 81 165 251 133 92 217 28 126 203 183 29 196 226 225 153 156 84 180 196 49 46 81 218 128 157 129 96 189 73 233 170 78 225 41 144 128 28 126 138 89 141 46 117 5 106 9 39 116 27 145 77 244 180 206 56 162 129 155 139 20 249 24 232 103 17 209 194 184 33 59 129 232 14 224 218 40 116 200 150 75 153 124 214 67 223 60 172 188 86 107 242 1 47 241 202 97 196 131 173 197 1 137 35 160 253 52 62 157 69 117 191 103 103 221 244 189 10 231 110 110 251 99 87 37 228 252 222 67 9 149 19 52 228 201 50 25 51 216 6 79 252 135 99 228 71 174 207 75 71 77 181 232 173 70 152 55 46 197 192 191 34 248 212 212 246 170 146 116 229 157 55 82 132 245 27 84 126 27 234 10 148 166 167 255 0 109 8 83 184 94 89 184 220 178 204 130 108 73 151 199 151 142 219 172 145 157 136 252 71 166 147 122 207 185 26 125 195 4 219 23 189 185 116 56 246 45 255 0 178 231 124 126 73 56 137 230 18 97 205 8 159 136 145 183 5 47 14 80 26 17 84 238 235 243 248 235 145 187 26 163 172 98 37 234 237 93 141 169 210 76 63 137 30 149 114 57 24 109 197 105 49 86 57 161 87 147 35 33 78 42 25 47 3 180 237 218 160 45 162 159 19 164 136 154 167 150 162 233 17 131 61 218 123 70 52 48 143 36 140 141 3 8 64 59 154 132 189 174 3 180 127 243 212 18 69 51 81 165 207 64 173 211 61 159 32 241 113 33 142 60 152 227 146 6 160 6 88 158 48 67 72 219 125 68 239 78 154 68 163 71 76 140 156 178 141 204 241 206 49 98 121 140 141 10 35 28 104 227 96 140 178 39 97 14 228 85 67 133 175 79 233 168 183 114 170 103 7 21 88 126 83 150 199 131 7 31 29 109 151 54 55 144 125 173 79 237 70 80 53 210 31 246 180 132 144 43 81 221 232 70 186 150 54 230 101 206 28 214 43 219 136 196 1 159 12 137 114 48 71 29 23 35 238 76 156 153 51 219 187 13 149 212 221 13 84 5 135 28 238 138 123 187 218 128 154 117 222 182 2 90 140 109 0 217 244 61 185 165 146 52 137 93 53 229 198 10 175 63 249 15 148 92 102 194 224 227 94 19 143 38 230 92 102 63 112 231 253 210 79 245 49 255 0 182 154 125 173 132 65 213 51 174 93 112 238 11 60 247 210 102 135 160 121 172 179 73 43 51 49 98 93 205 93 197 110 98 119 169 36 212 239 173 212 88 137 37 53 153 158 208 204 89 84 108 118 168 31 61 8 36 148 248 229 123 203 32 239 253 85 59 159 235 168 33 72 45 130 236 36 149 170 213 34 74 237 78 159 48 125 117 86 10 206 253 169 90 97 90 208 22 253 84 52 223 67 41 212 155 247 121 49 76 179 64 205 4 171 210 88 152 171 127 81 77 78 128 67 16 225 71 185 32 92 80 171 140 31 116 201 30 60 184 124 156 11 147 143 144 84 202 236 46 99 77 247 31 157 106 55 214 75 155 55 245 64 177 11 77 189 222 83 14 174 184 236 217 56 76 152 121 142 21 190 251 13 193 18 225 185 114 235 83 93 202 17 228 85 111 142 235 254 58 205 49 238 131 11 158 153 115 230 180 196 155 126 168 122 163 203 140 66 191 202 247 38 63 55 193 59 130 163 41 3 52 241 47 66 73 21 116 62 171 81 249 107 15 245 141 171 157 22 207 236 11 144 166 43 121 199 199 55 49 237 218 100 208 78 150 82 99 66 79 70 87 96 93 5 126 59 239 174 116 136 140 168 183 192 184 170 79 237 88 216 74 38 150 103 100 97 227 243 94 98 59 141 129 182 82 42 64 254 186 183 184 74 147 109 131 168 185 224 164 43 54 28 178 56 167 112 87 153 195 137 43 66 180 103 32 239 233 241 26 180 13 88 170 77 178 86 94 223 154 81 128 86 99 34 186 179 92 146 249 47 85 234 42 92 87 125 42 232 170 117 179 69 56 205 142 159 84 130 171 189 46 27 221 184 244 245 166 169 164 166 63 21 84 137 155 22 87 33 46 98 181 99 197 128 4 83 234 242 145 67 74 108 109 187 78 49 96 220 214 105 204 154 175 60 254 66 230 112 223 159 198 199 204 242 28 62 62 35 44 235 9 81 39 155 32 82 42 93 85 170 168 13 191 166 187 63 141 178 125 178 70 50 160 236 11 145 249 11 163 88 137 194 53 61 171 204 226 75 205 9 232 42 126 122 237 202 89 174 42 50 97 104 156 41 253 64 48 30 180 61 6 162 37 208 87 50 15 244 235 182 172 161 37 119 208 132 224 8 244 216 234 10 18 158 155 104 82 174 120 126 66 99 4 105 29 78 95 22 231 47 15 127 169 5 12 177 215 208 80 87 109 101 189 108 9 57 251 103 67 242 90 236 204 152 183 242 141 71 205 110 113 36 139 144 201 174 4 81 34 78 205 26 67 20 81 5 4 86 227 115 150 52 93 201 187 160 215 42 96 196 122 151 90 13 47 180 167 114 92 140 99 199 135 140 229 240 226 109 230 112 21 231 113 214 66 22 157 160 108 131 208 124 206 162 48 205 170 171 57 229 146 119 50 236 252 118 52 170 110 124 66 12 57 1 168 194 53 3 179 255 0 211 109 195 215 174 171 107 18 57 169 185 128 60 149 103 35 252 129 159 54 52 152 56 22 59 249 29 227 203 244 142 55 20 176 3 90 144 88 144 78 181 91 252 112 7 84 252 18 46 111 220 52 42 121 170 94 98 79 111 241 94 72 112 94 94 71 45 238 184 229 32 65 19 95 245 202 161 155 201 33 27 216 118 95 91 181 178 216 157 204 125 49 248 246 114 11 29 195 11 102 158 169 117 203 183 170 205 79 145 36 243 180 211 57 146 87 250 221 205 196 250 13 245 172 69 131 5 146 82 36 185 170 101 72 29 41 90 83 66 132 165 247 39 215 225 240 26 16 233 174 222 128 131 93 200 249 234 89 67 166 22 61 61 61 116 33 211 196 173 66 14 228 244 106 144 70 134 67 164 242 49 53 99 83 243 208 200 117 209 26 225 80 122 117 31 235 248 106 20 167 134 31 168 19 243 173 71 230 52 41 86 60 63 63 149 195 200 226 46 236 105 136 51 195 232 72 220 21 62 132 124 180 139 251 113 116 87 30 105 246 55 6 209 232 175 23 34 120 22 94 103 131 149 210 12 132 117 207 199 140 126 134 29 238 20 126 29 195 88 217 255 0 245 220 238 43 91 183 174 6 153 133 235 30 205 247 30 31 37 128 147 198 85 92 144 185 80 41 20 6 149 12 160 245 82 55 95 233 212 107 135 186 219 152 72 130 186 214 111 9 196 16 157 203 226 228 65 53 158 70 108 87 80 209 93 35 186 168 63 82 149 185 142 221 62 158 154 164 36 19 241 92 196 4 192 168 145 153 13 158 66 203 21 236 24 128 104 1 132 131 248 232 213 90 169 211 201 83 99 162 180 232 202 22 172 160 173 4 71 112 104 46 36 45 122 211 250 105 210 52 75 140 106 174 98 135 36 97 187 92 69 106 222 33 112 38 155 122 49 3 72 36 58 112 138 76 20 79 179 52 221 228 156 216 73 52 43 29 1 90 183 204 182 173 60 82 179 94 43 238 78 83 19 146 57 121 242 25 70 118 118 99 79 10 0 190 33 138 160 198 129 191 85 203 104 182 155 83 94 167 109 108 192 8 228 7 154 243 91 155 130 102 82 204 203 201 81 71 33 83 212 10 252 117 164 133 145 78 200 203 243 24 209 149 91 192 9 18 154 212 3 250 79 225 165 194 44 174 100 234 10 193 43 194 211 169 5 16 209 169 93 137 220 15 207 211 76 117 86 122 174 102 135 127 67 190 165 66 114 253 63 134 132 37 90 245 166 223 29 66 23 108 12 135 198 206 138 85 218 214 23 84 87 180 154 31 240 213 110 71 84 72 76 181 45 50 7 170 180 225 57 252 158 37 178 82 59 132 57 145 180 51 58 32 190 211 191 107 17 81 211 113 234 52 155 219 97 113 159 44 19 108 110 13 183 25 21 23 27 36 99 74 211 46 71 238 199 113 130 138 79 123 46 228 92 59 122 252 52 201 65 198 29 169 113 147 23 240 86 57 62 231 121 248 184 112 238 34 106 15 44 223 69 172 9 7 97 80 192 143 195 72 134 208 70 100 173 19 221 153 64 5 93 23 32 216 208 133 197 13 20 212 171 77 234 181 7 117 249 208 236 125 63 29 60 193 205 106 22 120 205 133 40 121 170 226 40 74 250 252 61 116 199 75 79 154 48 129 77 65 44 1 35 82 132 194 187 145 248 237 249 250 106 16 147 113 191 67 241 208 132 211 215 211 241 244 212 168 74 5 196 211 160 30 159 1 161 72 72 118 63 225 161 66 77 189 119 30 186 16 186 33 42 193 213 168 70 234 117 5 74 234 146 161 235 85 99 90 149 233 253 53 12 165 209 228 140 208 144 8 29 70 255 0 215 66 21 175 183 61 194 252 55 32 147 39 255 0 199 110 220 136 250 130 167 163 126 43 215 231 172 251 157 191 185 22 207 37 167 111 184 246 229 209 106 240 249 44 143 108 242 145 228 226 49 62 223 229 30 230 199 27 162 200 69 89 7 160 175 214 148 252 53 206 148 61 248 24 203 254 72 124 57 173 241 151 179 55 31 241 203 143 53 235 217 144 199 201 224 32 137 68 137 12 9 147 135 40 5 149 195 142 230 27 53 106 181 166 184 49 58 13 87 93 149 30 27 203 143 7 157 95 198 0 216 51 5 84 54 254 170 52 117 184 116 20 223 77 147 58 104 5 83 242 89 216 252 116 115 77 42 75 36 17 41 50 248 85 202 128 205 212 80 200 45 83 215 90 109 90 148 200 1 102 187 114 48 4 151 81 113 127 144 61 169 46 67 199 145 146 201 2 168 43 52 145 177 23 55 232 94 213 125 142 245 167 199 77 151 227 175 1 64 49 201 34 63 144 176 77 79 122 237 238 62 127 140 227 253 161 143 155 141 148 185 13 159 12 241 226 91 88 203 61 205 27 200 136 244 99 26 179 117 160 248 141 27 109 172 231 123 73 31 107 63 197 70 227 115 24 219 212 14 56 117 94 51 144 234 236 160 181 4 107 227 0 16 69 163 165 53 233 89 121 178 74 106 73 18 19 74 49 244 98 58 106 106 161 76 198 24 135 18 121 36 168 116 83 227 53 160 36 143 243 210 164 75 178 100 64 106 168 177 228 144 172 42 21 89 108 35 229 215 167 227 166 24 170 2 64 76 100 68 182 211 112 59 131 254 154 29 66 47 90 237 64 14 161 144 135 114 118 7 176 116 26 0 66 91 146 181 255 0 15 67 171 7 66 154 88 143 166 170 228 84 10 31 83 243 213 149 65 65 200 161 33 156 29 134 196 110 9 249 215 66 19 193 237 23 88 63 15 137 244 173 52 41 77 236 168 20 42 15 83 109 55 62 159 13 12 132 250 32 4 141 205 69 65 29 43 181 41 161 144 233 106 170 86 130 162 149 163 42 255 0 237 160 132 58 99 34 54 236 170 73 250 141 5 105 241 212 50 29 41 17 10 31 26 181 58 134 219 252 181 40 76 5 42 5 145 144 223 77 13 219 254 90 130 132 121 49 233 255 0 9 96 15 212 167 127 240 26 16 152 109 82 84 196 65 244 59 117 252 9 208 132 251 122 118 81 186 176 42 0 167 244 208 135 78 140 70 245 37 21 85 118 237 0 159 241 165 117 40 77 114 130 180 0 168 250 154 130 163 243 212 20 33 36 88 197 67 35 41 173 104 61 41 215 66 16 39 61 85 64 94 187 10 159 206 180 208 133 210 60 153 177 225 11 21 241 198 230 225 30 197 58 245 1 174 208 193 75 165 28 143 33 177 89 230 142 193 104 88 229 101 181 107 240 67 176 223 85 246 227 201 88 92 144 204 174 107 149 49 91 94 105 10 3 176 18 57 95 198 181 209 164 100 131 114 71 50 144 202 73 34 246 52 29 175 82 63 212 234 204 170 231 154 67 41 4 131 49 36 125 66 181 52 254 131 66 132 171 34 244 107 153 207 66 107 184 244 173 116 33 41 107 151 100 161 169 168 99 211 240 7 125 8 116 130 226 0 85 10 15 111 74 138 141 8 116 205 203 92 70 255 0 2 55 63 214 186 16 233 79 106 144 174 164 53 67 34 215 115 215 126 208 52 50 29 52 178 246 171 146 3 110 192 209 191 160 166 165 8 81 29 13 170 198 155 131 104 52 208 80 151 204 132 134 118 234 40 69 163 175 229 168 66 105 155 127 173 84 154 80 219 176 26 16 158 175 35 190 225 139 145 179 122 211 82 130 186 22 101 71 184 3 32 22 236 65 36 1 190 250 149 85 205 175 29 181 4 182 247 2 90 191 150 161 89 45 179 172 53 184 129 90 88 70 213 255 0 93 12 161 211 135 146 49 106 179 134 27 186 145 65 77 10 83 92 163 175 113 37 192 31 81 160 30 180 249 234 10 23 50 35 175 78 162 160 238 63 166 132 36 190 241 74 18 212 160 218 166 131 211 109 74 19 174 132 39 237 165 45 59 176 52 111 193 135 254 218 16 185 216 215 80 173 43 254 159 134 161 9 236 143 94 197 20 173 22 222 187 252 244 33 58 84 157 20 9 37 147 97 80 189 192 6 233 235 169 40 9 34 68 220 210 208 163 123 170 73 99 248 109 161 9 79 144 53 67 165 105 179 174 245 169 232 118 174 160 161 34 76 35 250 83 184 145 87 36 122 126 157 198 132 50 79 43 138 236 88 147 219 182 244 249 54 132 37 89 110 180 20 34 195 184 233 176 245 62 186 16 137 153 220 0 148 181 190 149 96 42 41 233 112 208 133 205 161 145 88 94 245 52 7 96 58 29 8 116 177 163 118 80 86 166 129 122 2 127 17 82 14 132 58 90 205 117 111 80 43 176 38 227 191 194 187 232 66 66 51 26 226 55 85 216 200 6 218 16 154 207 41 160 46 166 157 78 251 87 227 161 9 223 249 142 107 109 162 157 73 180 83 243 208 132 224 147 133 15 176 0 253 64 238 62 77 77 8 65 85 40 204 234 213 7 208 154 2 219 244 233 161 67 166 0 64 172 116 167 70 110 163 127 242 208 165 56 22 12 2 183 94 141 211 111 207 66 18 152 158 148 17 220 9 222 130 172 63 49 161 9 239 39 133 10 163 186 145 78 198 85 216 252 9 208 133 205 154 74 26 198 126 13 93 136 39 240 212 168 79 134 57 152 16 136 65 2 155 84 87 253 53 44 132 218 72 140 193 1 233 187 13 183 63 237 58 134 67 165 121 28 50 212 25 2 129 179 147 67 248 208 250 104 82 156 175 3 109 72 212 141 187 174 43 67 254 218 18 70 161 11 151 97 96 66 128 87 168 78 159 231 161 9 68 67 112 141 183 82 15 105 254 135 66 19 68 136 187 222 197 253 26 180 3 250 111 93 8 79 154 104 88 212 76 228 142 133 148 19 255 0 213 235 161 9 135 33 194 246 177 53 59 130 55 53 235 161 9 161 164 98 22 128 124 5 105 253 52 33 61 46 118 176 53 43 249 111 243 169 208 132 249 99 112 1 50 150 245 34 133 40 63 61 142 165 144 233 173 28 65 73 29 22 148 99 83 82 125 55 212 33 211 110 185 193 181 65 248 122 109 215 174 132 46 207 35 5 22 148 183 234 33 13 64 252 117 42 19 203 161 1 2 176 122 80 154 3 83 254 224 5 52 33 153 115 149 228 97 66 215 178 250 82 128 31 158 133 41 21 229 162 155 104 200 8 86 29 55 244 174 130 132 7 154 75 84 129 77 247 122 13 207 83 81 168 66 107 35 43 154 209 219 212 175 210 65 244 173 52 33 33 178 180 160 216 212 252 41 249 232 66 124 108 75 212 26 45 73 59 53 54 244 219 66 19 27 245 222 183 62 214 18 122 104 66 98 175 125 9 183 214 167 253 105 161 11 176 158 66 180 105 25 5 122 131 80 126 116 212 168 77 119 31 84 140 36 118 20 81 77 255 0 19 67 215 80 165 115 36 210 136 160 158 149 173 43 249 104 66 124 145 130 72 242 26 128 45 81 214 190 191 150 132 39 70 75 168 119 86 96 130 133 250 157 191 19 169 80 87 255 217) asByteArray ].
	^ cache at: 1! !

!JQUiAllTestsLibrary methodsFor: 'uploaded' stamp: 'lr 10/21/2008 20:56'!
logoPng
	| cache |
	cache := #(nil) beMutable.
	(cache at: 1) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 1 94 0 0 0 70 8 3 0 0 0 179 7 12 106 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 3 0 80 76 84 69 255 180 0 255 153 0 115 56 19 255 161 0 199 94 8 255 185 0 251 76 0 255 109 0 106 106 106 238 45 0 131 32 14 185 89 10 148 32 11 77 77 77 157 78 14 237 53 0 253 83 0 89 54 25 255 144 0 181 32 7 213 99 6 255 149 0 90 90 90 255 97 0 255 137 0 244 68 0 120 120 121 255 141 0 171 84 12 241 51 0 255 105 0 103 58 23 233 37 0 232 34 0 46 46 46 255 173 0 225 225 225 131 69 19 62 62 62 255 168 0 255 171 0 255 93 0 87 30 20 255 178 0 248 66 0 255 126 0 255 175 0 44 35 29 255 166 0 255 134 0 255 124 0 199 107 7 70 41 22 255 128 0 144 73 17 255 132 0 255 176 0 198 76 7 255 112 0 255 130 0 167 38 9 185 52 8 255 164 0 255 116 0 255 122 0 241 123 2 220 35 2 255 159 0 115 48 20 241 117 2 255 89 0 166 166 166 75 48 27 61 43 30 200 58 6 241 56 0 255 102 0 117 63 20 241 62 0 255 118 0 246 62 0 108 30 17 246 73 0 156 84 13 61 60 61 255 100 0 255 119 0 249 88 0 241 109 2 102 36 18 250 93 0 28 28 28 67 30 23 255 156 0 48 48 48 250 102 0 251 106 0 185 74 10 92 92 92 227 99 3 42 30 28 227 114 4 196 36 6 243 57 0 207 33 3 47 38 31 253 103 0 48 39 32 53 29 24 196 41 6 253 125 0 252 101 0 250 99 0 48 38 31 127 62 15 30 31 31 33 34 33 34 33 33 56 38 24 31 30 31 33 33 34 31 31 30 33 32 33 34 34 34 32 33 32 32 33 33 33 32 32 32 32 33 30 30 30 34 34 33 34 33 34 33 33 32 31 30 30 33 34 34 31 31 32 31 32 31 32 31 31 32 31 32 32 32 31 30 30 31 30 31 30 31 32 32 255 114 0 136 136 136 240 240 240 196 196 196 210 210 210 181 181 181 195 195 195 227 104 4 151 151 151 165 165 165 180 180 180 150 150 150 137 137 137 255 115 0 122 122 122 195 196 196 92 91 91 196 196 195 196 195 195 91 91 91 136 137 137 136 136 137 165 165 166 211 211 211 47 47 47 210 211 211 195 196 195 137 136 136 211 211 210 150 151 150 29 30 29 62 61 62 62 61 61 196 195 196 136 137 136 137 136 137 122 121 121 47 48 48 48 48 47 48 47 47 76 76 76 29 30 30 61 62 62 137 137 136 210 210 211 210 211 210 180 180 181 121 122 121 122 122 121 181 181 180 150 151 151 151 150 150 62 62 61 30 29 30 136 135 136 166 165 166 47 48 47 91 92 92 135 136 136 48 47 48 165 166 165 166 165 165 211 210 211 180 181 180 180 181 181 181 180 180 181 180 181 30 29 29 121 121 121 122 121 122 29 29 29 91 92 91 92 91 92 92 92 91 150 150 151 151 150 151 105 106 106 106 105 105 195 195 196 247 94 0 227 89 4 252 110 0 135 135 135 135 136 135 241 97 2 136 136 135 211 92 5 235 40 0 166 166 165 27 28 28 211 210 210 30 30 29 254 127 0 121 122 122 183 80 8 185 80 10 152 151 152 151 152 151 86 49 22 151 151 150 61 61 61 123 43 15 61 62 61 253 128 0 252 116 0 252 118 0 105 105 105 105 106 105 253 120 0 253 123 0 32 32 32 31 31 31 33 33 33 255 255 255 36 76 190 109 0 0 44 44 73 68 65 84 120 218 164 122 9 128 20 231 117 102 143 97 97 100 4 246 140 65 32 131 128 129 97 6 132 71 98 38 6 180 96 3 54 107 13 196 32 201 178 37 79 108 129 19 219 137 76 240 165 116 87 186 187 250 238 234 179 250 152 25 14 129 46 75 227 99 124 223 54 142 157 248 72 156 100 147 205 38 27 207 178 73 54 217 221 236 165 61 216 203 203 222 187 85 53 249 190 247 87 253 85 61 12 142 119 183 208 76 215 241 255 239 127 239 123 223 251 222 95 61 138 197 147 237 98 50 94 44 182 91 241 118 165 88 41 38 91 149 10 47 138 173 52 62 139 241 74 186 216 74 198 211 110 178 216 170 20 211 149 86 37 222 170 180 138 241 120 177 146 44 22 93 183 82 113 139 173 118 49 93 76 195 76 178 2 27 21 55 222 46 22 49 6 22 90 45 14 42 98 112 187 88 113 97 48 238 22 219 109 12 104 97 28 214 193 129 17 21 44 134 133 218 88 26 134 93 218 118 219 237 162 58 56 171 221 174 208 171 74 26 30 226 33 188 72 23 185 90 69 156 164 239 197 86 60 78 131 73 55 222 194 195 74 188 210 138 167 225 20 78 218 21 216 197 248 74 37 217 166 63 116 180 93 108 87 224 3 214 147 243 36 162 110 21 219 113 92 180 233 115 37 158 164 217 22 140 182 42 201 74 50 93 73 167 49 142 129 210 141 120 49 29 39 80 68 161 72 144 48 21 71 43 238 186 113 174 9 255 16 58 156 107 183 98 140 15 232 96 118 218 197 9 28 146 241 112 27 184 2 21 132 78 203 201 86 188 69 16 129 90 18 14 226 177 203 41 113 23 174 164 25 97 50 30 135 217 118 188 149 68 88 4 183 237 226 12 198 175 205 221 76 19 153 86 59 13 179 113 2 141 165 17 243 220 220 93 215 210 176 47 126 182 105 190 197 168 25 46 231 181 48 31 247 224 39 18 73 180 227 73 124 194 15 55 221 70 74 49 11 177 129 24 92 29 105 78 210 77 132 68 116 113 42 52 160 109 23 51 56 29 19 146 73 132 197 180 75 36 112 189 232 198 145 214 10 99 133 119 128 29 235 35 255 128 22 201 73 186 46 0 39 149 224 60 48 162 107 132 183 133 25 88 0 76 34 44 73 120 208 166 209 74 156 60 131 141 52 12 198 113 134 128 90 237 24 184 68 34 192 126 27 191 147 240 31 206 164 105 26 52 74 226 31 204 194 137 211 7 126 124 61 201 105 105 174 145 108 19 245 52 29 109 181 93 132 4 15 220 86 81 178 129 167 21 23 78 210 39 183 245 63 135 23 23 23 47 237 128 85 130 200 242 128 233 29 11 87 46 44 250 199 165 127 250 14 128 217 34 252 113 204 4 81 227 200 92 26 156 78 227 96 188 45 23 172 107 183 92 96 2 230 99 100 210 45 38 153 253 52 48 5 55 227 233 86 218 173 184 8 148 225 1 183 52 193 32 221 211 156 135 24 96 11 70 146 36 12 82 65 62 196 93 114 13 70 219 44 80 38 180 8 184 192 206 226 205 43 51 139 23 254 87 59 13 179 164 148 155 198 244 29 87 134 23 135 255 5 214 0 220 69 210 239 174 171 139 139 87 175 193 213 56 220 131 163 128 150 185 192 2 110 43 9 155 110 165 13 223 139 110 37 150 4 25 88 2 46 120 210 162 203 149 10 120 7 130 49 78 140 101 70 139 238 150 238 161 67 235 126 136 168 81 57 173 52 248 155 20 77 169 176 250 16 52 226 139 115 6 76 23 153 79 20 25 22 2 94 87 124 12 177 58 136 0 216 220 74 107 199 51 51 139 61 199 51 59 128 65 156 133 137 154 166 121 12 116 129 37 50 71 46 37 41 38 40 6 55 45 56 99 229 10 171 55 157 36 147 0 62 171 15 197 13 186 18 214 116 156 5 220 98 158 145 50 196 22 39 247 169 117 224 9 200 130 36 192 94 27 24 83 138 112 43 205 2 129 227 92 57 158 92 80 46 245 187 46 195 172 72 130 175 41 127 127 27 160 185 76 174 31 213 204 59 88 73 113 184 231 2 8 23 213 156 110 129 142 160 28 138 9 140 97 218 99 44 102 46 236 178 28 40 33 224 30 103 84 56 11 139 36 41 48 167 143 62 119 232 208 234 215 195 93 228 169 40 206 184 140 198 37 134 73 6 30 39 145 80 89 110 154 137 66 124 73 216 175 252 69 128 224 53 202 3 156 75 198 221 63 95 2 46 142 11 59 48 31 110 167 89 70 4 25 116 130 187 228 24 132 27 192 178 152 80 59 200 14 138 10 24 131 178 28 142 103 188 151 164 188 226 18 136 64 161 128 47 198 163 18 92 132 74 218 146 18 72 47 253 147 188 225 9 194 34 21 147 210 48 146 12 23 137 68 188 197 185 192 35 204 141 179 238 33 62 239 240 29 158 97 82 161 3 149 127 22 208 2 209 130 175 21 86 52 228 45 77 12 64 123 176 51 78 157 6 174 197 24 89 227 178 236 129 63 164 156 146 4 30 182 176 58 242 157 198 77 36 40 189 230 232 81 210 247 58 68 1 69 136 233 52 3 209 96 142 113 167 194 220 72 102 32 224 0 23 11 2 106 156 12 7 0 222 133 53 92 105 60 211 139 203 28 87 225 19 100 128 16 193 44 19 203 186 97 65 225 31 123 34 226 138 179 82 224 14 47 65 97 40 18 92 129 227 40 21 242 154 56 147 241 45 0 197 57 69 42 0 204 161 43 179 235 41 45 68 143 73 10 220 73 66 204 202 231 144 36 7 129 108 16 198 75 129 71 105 201 36 178 152 12 42 112 113 17 213 4 186 183 119 4 252 184 148 20 222 182 232 22 44 164 137 7 43 154 136 33 243 168 238 100 12 60 100 14 128 99 156 229 200 236 128 177 116 15 26 66 61 194 242 247 63 254 240 195 221 231 14 189 239 221 112 143 104 2 2 84 14 114 71 115 152 221 38 165 17 133 203 234 102 196 45 120 7 0 174 105 252 174 225 74 56 242 204 226 178 199 93 204 25 18 171 90 138 96 7 115 104 18 73 249 32 225 128 54 65 135 78 36 165 185 23 33 181 21 169 22 180 21 178 217 101 126 152 6 6 139 162 135 247 176 232 82 48 92 186 134 187 228 79 197 165 18 130 185 176 69 154 179 246 146 172 94 212 197 77 93 79 82 186 152 5 115 186 218 216 219 176 196 107 131 235 223 166 88 184 226 86 145 181 5 180 152 15 130 73 135 144 178 100 76 248 137 75 140 108 49 27 40 119 222 226 174 42 206 98 131 118 184 167 143 61 126 236 185 163 15 175 126 61 246 39 100 24 192 175 48 94 84 3 18 5 110 37 211 66 43 220 194 50 170 66 217 38 131 82 91 28 198 202 84 155 244 194 242 232 46 94 109 145 103 0 43 174 208 161 76 32 54 226 13 40 133 192 128 22 26 129 228 146 113 164 49 1 119 185 221 74 171 43 250 195 36 241 131 237 13 5 225 182 5 247 22 5 38 41 57 199 238 3 180 196 25 179 141 61 99 82 138 150 165 197 240 255 60 240 231 10 23 114 101 163 165 57 114 33 169 22 213 108 126 45 53 129 149 86 73 10 217 9 130 204 18 215 218 40 245 116 140 69 77 13 192 210 34 89 116 14 167 108 172 254 64 55 190 230 216 196 216 115 143 223 56 180 238 71 105 217 150 162 141 184 66 93 166 142 129 113 62 83 217 170 136 22 178 81 97 93 87 147 97 46 78 98 37 227 55 35 186 59 124 41 42 194 164 74 82 28 68 184 82 212 64 136 82 205 35 222 22 50 177 86 227 106 81 106 64 60 25 248 40 33 97 39 71 12 227 212 82 69 25 122 153 148 100 183 153 152 10 21 140 170 155 150 12 114 33 38 162 200 231 228 12 106 86 215 214 52 10 164 69 112 93 87 147 245 153 164 100 184 162 55 61 215 72 53 216 149 240 219 108 89 21 217 250 10 144 162 59 110 76 234 3 112 176 223 201 99 150 187 72 64 92 240 131 63 95 152 56 54 190 255 232 177 77 15 191 143 123 51 1 86 136 228 250 180 145 123 216 227 144 29 130 43 91 176 152 189 170 252 88 112 197 86 220 189 20 238 22 110 130 70 119 133 0 207 177 56 131 124 186 226 33 150 168 180 69 143 169 147 170 144 227 62 214 20 248 116 80 218 129 59 42 215 146 8 197 37 241 66 146 144 84 117 17 87 113 131 117 82 177 220 65 115 147 10 239 169 157 149 180 246 239 174 138 248 193 9 26 242 5 244 34 236 25 147 193 245 76 92 141 17 64 161 34 164 165 210 2 97 30 187 109 37 230 42 93 114 21 83 128 82 43 45 215 194 18 58 145 78 111 155 24 27 28 63 58 49 120 112 245 175 42 18 181 185 41 108 75 24 21 197 21 127 131 226 138 0 35 18 87 193 187 131 133 116 245 46 233 82 120 216 175 209 156 86 190 107 102 44 190 86 144 37 126 201 16 229 224 128 167 170 234 132 44 178 78 165 229 106 100 101 155 224 231 84 122 150 235 179 211 207 8 19 17 151 127 69 85 165 170 228 226 122 137 100 96 41 82 76 73 85 230 105 55 36 107 92 178 167 21 239 146 50 16 231 166 167 229 179 76 182 103 42 8 208 51 153 142 169 242 143 251 185 23 71 124 191 92 214 7 239 111 153 216 212 55 126 116 236 204 134 67 191 242 45 220 173 248 154 112 235 209 246 171 82 248 70 27 80 244 155 226 186 98 179 222 72 92 245 39 236 208 241 252 94 75 201 131 160 208 82 211 101 123 168 138 75 54 12 202 170 15 138 134 54 169 136 208 150 92 7 184 166 201 198 180 118 44 30 95 226 47 25 160 83 16 128 156 214 50 123 41 156 25 66 238 103 94 111 125 126 47 156 170 90 175 191 174 27 58 24 143 185 183 57 210 250 215 15 223 50 214 183 98 252 232 254 35 71 38 254 229 117 31 254 100 56 38 76 135 190 31 15 74 166 231 136 135 228 189 25 220 235 161 115 252 22 222 166 195 203 180 148 73 50 124 224 171 128 27 95 66 117 215 117 163 96 134 167 73 85 187 63 225 208 141 247 153 116 50 152 57 183 20 242 171 193 141 191 240 61 73 46 103 202 247 46 246 19 86 243 231 109 155 24 63 50 10 120 71 119 110 94 253 171 127 141 131 183 53 210 227 216 21 125 235 82 143 90 252 95 31 241 128 139 203 113 227 175 185 179 204 161 247 4 11 225 189 233 165 30 14 223 194 145 159 16 114 172 209 243 36 184 170 187 53 125 254 246 137 13 187 71 55 61 183 127 244 190 227 135 126 5 234 85 235 153 81 95 242 233 70 13 46 64 184 174 238 240 47 110 70 250 152 154 208 112 117 111 155 110 40 3 59 166 241 122 63 237 250 87 110 109 237 213 153 197 11 215 100 60 13 115 237 29 11 87 46 73 140 151 174 244 195 68 224 104 67 190 45 232 111 248 70 212 36 119 14 55 135 63 185 35 226 87 63 82 122 117 206 191 240 39 51 92 156 69 246 4 183 114 162 127 137 158 13 195 163 250 18 96 155 245 37 24 144 189 141 134 143 25 126 213 235 242 76 98 111 170 113 191 184 255 200 206 221 128 119 247 222 209 177 127 127 157 183 228 191 90 35 2 113 35 0 184 225 219 137 176 225 18 13 97 105 205 131 225 26 134 118 26 61 226 176 160 38 239 184 16 92 53 196 158 42 215 153 121 129 81 22 152 187 26 221 47 15 95 171 5 56 249 223 12 220 196 153 24 153 217 209 208 229 126 133 115 149 1 159 161 255 181 238 79 243 23 234 145 170 153 8 98 75 200 90 239 95 218 63 52 85 148 165 70 15 10 49 101 188 230 218 193 114 42 163 245 14 82 83 87 218 176 121 231 3 128 247 240 206 216 222 13 91 95 95 100 14 106 126 82 2 218 214 213 244 70 71 221 168 171 5 3 79 118 168 149 53 55 158 81 161 214 220 218 142 94 66 215 220 63 80 87 47 217 130 69 45 216 39 47 192 167 154 164 251 150 183 62 76 108 138 203 151 130 235 249 25 157 49 93 48 126 44 29 237 211 116 224 122 83 184 37 12 139 202 108 205 127 30 33 171 42 161 30 177 80 244 173 71 18 165 0 174 41 3 13 55 198 40 106 1 180 118 71 70 21 229 171 96 238 132 27 238 233 183 220 56 190 119 239 238 241 238 254 157 177 216 190 238 63 255 113 145 246 248 53 114 177 152 44 214 26 146 53 177 72 58 55 84 126 8 95 136 231 53 162 238 132 80 162 128 235 205 90 7 41 153 11 155 93 189 86 107 212 190 20 196 135 108 217 17 225 155 166 237 186 38 119 244 152 217 129 8 154 182 123 77 195 125 65 199 95 255 124 184 209 106 184 182 13 120 135 117 181 208 213 6 235 142 24 113 177 8 114 182 210 34 208 72 147 245 239 145 83 40 187 127 164 243 218 129 83 118 83 184 88 87 172 236 248 72 54 108 129 188 67 246 54 107 248 39 0 137 69 123 215 207 188 105 124 252 103 130 227 23 199 110 244 61 16 219 187 115 252 16 225 125 96 112 245 99 255 228 111 242 248 217 55 126 232 151 134 134 222 252 154 123 139 226 27 168 101 119 148 75 114 69 64 127 77 199 38 146 20 238 27 112 217 168 145 158 141 240 29 25 119 112 123 90 23 158 242 51 64 106 14 14 19 143 223 88 230 125 122 65 22 212 83 175 133 175 1 245 176 115 10 50 245 154 173 23 188 217 132 163 13 97 86 189 33 181 84 139 200 108 221 110 212 235 40 150 122 51 66 86 113 169 49 19 122 12 142 40 209 110 74 188 13 65 180 206 185 53 33 27 2 138 213 92 167 83 111 138 121 27 172 170 191 253 240 193 241 241 241 77 155 6 7 7 55 240 56 51 26 195 1 120 15 223 23 3 204 103 198 39 30 62 180 250 212 158 85 143 220 243 242 16 143 123 147 180 134 163 238 212 144 96 135 14 119 4 228 32 148 11 226 128 171 153 116 9 163 88 232 78 163 166 157 191 128 11 56 244 253 144 120 116 104 71 168 123 205 58 10 101 217 111 219 254 176 201 152 220 63 244 201 28 126 141 180 182 230 190 24 156 11 175 26 245 78 128 224 21 32 138 245 234 36 156 47 114 182 102 54 212 204 87 244 70 227 82 143 8 217 141 240 75 159 38 25 106 215 153 53 10 76 7 249 162 54 52 154 140 196 174 57 117 183 99 219 49 196 217 169 213 237 78 19 160 115 161 55 237 63 124 240 224 166 193 190 35 187 247 2 214 191 33 7 224 61 120 104 28 240 62 176 115 247 232 145 227 103 250 6 15 31 122 215 163 10 223 215 92 119 9 87 67 180 148 18 94 163 31 44 197 63 243 29 249 36 226 71 36 186 174 255 12 194 42 133 214 112 94 10 238 253 65 163 193 138 26 214 177 52 162 123 206 97 68 80 179 27 250 155 192 197 11 211 211 151 162 162 136 186 247 167 190 16 222 175 215 107 250 130 218 93 107 52 195 47 65 164 93 212 168 12 40 60 1 179 249 165 112 38 83 223 4 127 59 78 72 214 186 224 183 16 221 92 118 28 183 102 163 75 213 106 142 107 195 69 80 30 149 80 171 215 59 29 27 196 110 56 118 12 21 67 225 64 252 29 183 230 52 139 111 186 177 127 255 254 195 135 199 7 143 239 244 193 13 224 221 185 119 239 78 192 187 111 197 241 51 131 99 31 121 244 158 237 194 222 215 124 1 216 118 108 216 109 176 65 56 48 135 37 176 80 237 37 93 164 240 191 54 191 24 217 225 112 43 129 155 157 112 95 6 105 113 92 29 224 60 166 192 74 192 214 239 215 154 78 195 137 110 65 81 45 63 136 104 141 91 11 148 232 51 17 133 111 212 94 12 225 5 207 26 218 194 172 221 1 188 29 213 240 28 56 194 106 14 101 86 109 214 192 56 247 183 116 66 237 90 7 64 134 53 56 77 218 195 128 8 1 57 140 223 240 25 52 179 1 72 195 238 52 176 57 112 98 0 2 215 44 213 6 232 219 168 191 125 108 236 198 225 131 128 120 255 248 134 35 247 197 2 120 15 3 222 251 20 186 103 6 15 175 126 53 181 97 251 118 32 252 54 188 200 57 29 216 115 106 157 6 82 73 112 235 78 7 197 162 139 20 105 139 188 253 44 126 177 225 128 25 100 116 88 200 115 29 104 139 221 175 9 137 249 78 71 147 27 251 96 228 79 51 233 55 216 145 236 181 193 92 112 170 19 98 19 178 11 145 107 120 27 77 33 89 80 29 253 112 176 1 197 106 52 58 78 157 159 40 143 30 153 229 112 116 223 154 38 235 39 129 26 234 222 125 41 148 30 112 9 156 5 110 245 38 127 28 246 160 122 205 233 64 23 154 205 102 7 87 157 122 12 11 59 13 180 84 64 208 108 160 63 197 215 76 140 221 128 246 30 188 49 54 49 166 16 134 230 142 142 173 62 56 10 116 247 173 216 112 240 185 199 30 92 245 186 39 223 250 170 183 82 29 238 124 119 219 238 216 142 77 56 234 118 205 134 242 128 39 172 154 107 97 103 107 54 237 186 118 126 6 82 132 235 142 99 71 58 27 169 224 232 0 255 78 173 211 1 181 52 185 231 28 40 135 222 83 45 222 236 64 51 27 53 13 157 27 225 101 64 182 254 166 227 212 107 154 203 168 47 240 75 139 77 7 62 129 181 168 126 8 100 71 170 203 113 191 28 42 7 137 9 66 118 156 223 12 201 138 252 162 102 244 10 96 12 0 183 185 237 168 57 182 109 179 171 35 85 141 142 108 147 32 36 54 197 57 134 26 96 29 130 114 54 27 96 189 86 220 53 65 92 251 250 6 15 78 28 59 118 108 255 230 51 192 117 197 227 171 199 142 239 59 190 225 96 247 212 158 61 123 30 124 231 187 126 249 61 239 124 232 229 161 55 223 123 61 141 228 52 176 203 170 59 204 182 3 213 169 59 78 205 9 177 250 114 167 134 202 111 124 95 111 199 133 47 108 186 117 221 228 47 217 96 116 199 126 33 136 69 172 52 117 101 162 81 218 205 250 39 117 27 236 212 145 34 253 103 49 14 182 95 10 223 52 166 231 214 2 89 167 129 22 254 98 40 222 232 189 157 224 165 119 1 251 79 208 205 105 178 5 1 10 224 83 119 194 55 200 6 152 232 112 223 88 235 204 106 178 58 117 138 175 174 193 23 234 29 116 52 180 91 74 83 179 129 144 155 118 19 80 218 118 173 209 105 54 169 5 8 177 30 67 88 110 19 213 13 113 131 56 216 32 98 242 196 250 137 137 241 190 125 163 251 206 108 222 255 248 209 163 71 143 141 15 110 58 180 122 245 141 177 67 167 54 110 220 179 113 235 177 241 205 155 199 255 242 238 237 67 175 249 224 143 138 53 78 129 101 24 133 117 20 5 140 35 101 174 51 233 59 242 159 185 103 115 154 186 45 79 3 91 142 66 198 117 183 251 60 70 160 113 104 250 32 67 200 150 222 122 212 108 94 7 225 255 128 235 53 244 30 235 5 14 110 104 116 127 7 132 178 109 146 7 164 12 54 114 47 34 178 166 29 180 198 153 121 8 15 254 67 161 57 208 52 110 194 81 183 225 95 37 58 96 46 16 179 1 77 132 172 14 133 85 23 201 63 132 90 177 157 57 200 146 139 90 163 178 18 112 36 142 26 9 177 108 66 148 157 24 124 5 206 13 150 8 236 113 181 142 123 255 58 176 182 79 196 160 111 211 196 115 135 14 1 220 173 91 79 157 122 236 177 83 171 247 111 88 177 111 69 223 224 127 127 104 251 208 43 223 13 83 136 13 101 222 4 69 107 164 45 64 118 154 208 162 78 227 66 184 137 132 7 95 12 101 22 137 132 12 57 88 49 220 187 58 144 94 71 171 41 152 3 30 232 202 188 2 248 154 174 126 218 143 46 3 116 130 167 159 7 87 194 135 191 131 39 240 5 181 143 82 210 21 52 235 16 242 5 253 253 6 8 0 47 108 72 6 100 140 254 53 156 122 40 179 144 174 26 211 223 9 201 250 153 6 183 157 182 115 37 108 156 144 47 54 28 144 86 88 11 153 169 145 36 232 103 142 116 178 26 34 170 197 72 58 204 109 16 93 155 224 96 120 173 184 237 45 143 143 109 24 221 121 223 125 59 119 67 109 143 42 116 79 29 2 182 0 125 116 197 134 255 241 208 208 7 158 120 119 26 21 3 231 176 47 233 80 16 240 206 7 17 134 19 100 178 222 179 142 112 191 23 10 231 226 60 18 142 109 66 173 217 153 139 110 81 225 100 16 224 151 237 14 149 188 19 104 197 66 147 11 104 226 124 177 206 212 52 95 212 175 21 168 159 96 234 204 60 53 151 97 163 230 29 59 152 115 9 233 235 56 65 194 49 6 140 130 190 131 232 74 32 48 212 9 95 71 154 164 76 147 152 135 100 69 107 112 58 145 173 241 175 49 10 135 185 228 166 6 173 6 48 218 114 106 243 1 125 2 229 26 128 23 149 106 211 162 64 132 221 49 22 107 86 238 95 121 244 241 205 251 238 123 0 199 206 209 190 253 171 137 238 68 223 190 221 59 65 233 35 27 254 242 173 219 239 124 255 183 248 182 96 163 77 2 9 182 85 152 33 147 145 42 160 227 4 216 205 212 233 167 29 121 129 128 235 224 46 28 9 187 29 82 234 212 59 129 156 60 195 230 11 247 53 248 117 230 237 143 130 203 23 103 95 122 233 203 179 47 232 111 183 88 230 255 202 191 152 132 241 14 139 3 152 217 225 10 179 29 112 224 139 186 113 66 202 185 11 181 169 187 196 2 251 127 167 115 33 148 89 59 208 227 79 106 178 118 24 103 248 98 63 195 189 0 176 2 49 49 219 5 156 12 75 218 36 132 146 202 6 217 168 119 168 189 144 169 38 31 131 49 124 66 78 131 200 223 218 245 220 115 227 251 30 216 187 119 47 240 221 188 26 232 62 54 182 98 116 116 247 238 221 251 54 188 231 158 55 223 251 163 36 104 210 20 60 65 46 66 134 77 14 24 33 247 34 120 254 49 146 14 147 250 85 125 210 169 171 84 58 90 157 23 95 16 178 104 118 45 52 185 165 15 181 66 188 178 135 151 255 27 243 76 157 106 164 167 210 18 176 234 16 229 208 137 23 113 237 60 237 95 124 137 138 11 85 235 136 19 140 30 147 236 80 189 65 58 130 2 133 9 155 195 8 73 233 132 98 113 145 224 211 105 91 218 120 71 209 157 140 38 134 136 24 219 40 222 140 33 84 214 129 45 41 115 28 85 23 16 107 116 184 41 190 74 196 246 238 189 111 197 196 169 213 19 221 141 91 55 236 27 29 69 195 251 249 183 126 232 131 69 151 168 178 4 4 172 26 107 82 80 147 85 96 237 162 222 5 136 205 240 207 18 82 122 130 111 164 219 49 249 90 138 71 132 78 154 122 159 33 193 156 249 219 252 9 127 146 69 171 205 223 228 196 154 228 23 97 69 180 23 197 225 47 247 71 170 175 145 187 54 157 70 34 161 244 245 112 79 64 97 113 136 71 184 230 12 180 148 216 133 91 227 70 173 238 99 197 177 114 210 104 10 188 212 161 166 0 143 10 141 57 53 133 186 16 177 46 60 161 130 112 235 250 227 67 71 143 224 197 120 239 238 77 91 79 29 236 27 92 189 241 232 153 125 251 142 172 216 124 247 29 31 44 74 101 169 252 35 60 48 183 41 55 36 75 78 180 207 207 225 58 210 181 112 45 75 224 136 124 133 38 104 107 57 241 159 7 228 126 90 22 233 191 13 188 35 152 219 12 167 146 137 140 197 110 246 136 3 188 235 215 14 216 42 195 36 7 1 166 168 117 162 200 53 169 94 168 104 237 17 210 211 148 148 252 113 52 10 9 30 72 10 251 157 224 176 3 246 112 155 234 196 58 234 66 1 229 116 100 135 164 78 59 238 251 14 29 39 188 125 171 79 77 28 31 221 55 248 216 198 195 199 87 28 239 251 111 247 188 225 122 199 159 208 116 194 15 54 36 109 231 183 194 78 6 123 97 91 94 164 3 66 242 78 180 219 241 152 14 165 66 74 65 111 61 122 158 46 253 190 76 22 15 137 78 50 53 125 39 66 182 129 189 206 197 64 251 237 94 36 20 11 181 240 83 102 131 249 33 228 126 148 122 107 60 79 34 133 152 6 71 77 134 217 13 219 95 195 142 249 88 235 161 205 112 113 119 165 176 119 197 209 83 221 62 168 238 190 253 123 54 110 234 235 219 240 225 123 238 172 104 91 145 163 19 189 232 95 140 68 99 219 63 88 140 4 186 212 249 11 234 250 98 79 44 157 249 144 159 188 156 93 78 119 47 206 45 55 245 214 37 102 67 115 11 183 130 34 199 112 207 114 189 102 165 4 113 140 232 87 151 40 95 101 143 225 56 193 239 158 220 197 122 214 40 244 92 221 191 117 108 247 222 216 232 141 83 91 7 247 161 167 237 60 126 232 193 141 227 131 155 111 60 244 129 235 122 76 126 169 155 249 222 192 38 213 229 236 98 239 245 114 247 134 123 216 26 213 10 30 51 183 26 184 21 155 254 37 247 131 162 153 205 6 14 13 223 50 87 197 28 145 217 240 152 233 45 175 80 160 38 157 159 242 80 240 230 179 33 76 217 108 112 246 138 173 155 118 222 183 115 243 169 83 227 178 101 216 185 115 240 193 71 223 117 112 124 236 209 161 39 220 96 140 37 83 0 106 33 235 95 8 194 217 217 144 79 249 168 163 17 126 133 210 155 167 133 249 48 150 124 52 65 23 197 228 218 37 6 10 92 53 56 230 123 96 48 195 37 130 20 61 157 15 164 102 154 83 67 22 101 151 142 196 114 249 224 126 72 86 53 33 27 236 61 22 63 177 148 137 81 83 81 162 198 128 75 65 61 18 112 10 188 159 83 207 254 195 214 190 157 187 251 86 111 60 118 134 59 6 192 123 228 127 63 242 228 71 39 142 189 115 251 157 69 5 162 252 139 174 84 240 249 155 239 233 100 5 167 167 179 21 100 76 175 244 102 245 181 207 175 108 88 240 249 66 200 67 236 74 49 182 64 35 121 254 202 230 151 76 205 71 221 9 64 155 14 210 51 51 159 245 189 44 8 33 200 165 44 47 191 18 77 95 246 54 100 157 141 70 17 129 179 96 42 82 230 213 221 188 163 207 99 254 192 92 180 204 37 127 249 251 31 235 30 31 61 115 116 227 234 13 71 142 16 223 209 125 43 54 188 243 142 87 125 228 241 143 222 1 117 40 132 176 230 243 160 191 159 65 15 133 144 115 178 154 108 120 132 127 225 198 97 173 63 173 160 183 161 224 139 135 235 124 200 214 172 0 167 191 90 39 128 33 113 192 130 60 33 156 123 122 118 118 122 132 19 157 130 158 154 15 163 246 28 51 159 253 152 198 108 50 220 133 88 154 253 121 32 92 200 203 85 15 114 22 105 150 15 61 252 170 79 185 197 104 84 42 61 5 134 142 122 201 23 84 194 179 218 120 129 183 98 62 170 89 210 214 196 140 124 222 231 99 225 21 27 199 86 172 24 219 120 106 211 241 21 43 206 12 142 111 238 59 126 102 195 135 159 28 122 232 151 63 242 42 170 131 149 229 124 25 169 164 37 155 85 133 7 199 114 90 244 132 122 217 240 245 23 11 209 131 145 57 107 56 210 252 11 17 106 124 66 28 204 234 202 156 47 68 137 51 75 47 129 232 130 38 35 92 214 83 243 166 31 31 82 98 102 173 144 189 129 58 141 8 32 126 149 33 84 248 108 9 38 51 145 206 86 32 50 176 16 190 199 21 114 140 110 109 216 159 49 147 57 198 56 166 34 219 67 78 197 100 83 220 136 249 152 176 206 84 2 128 90 193 196 232 252 47 108 28 239 59 184 113 227 24 96 221 180 250 213 171 86 189 243 195 131 131 155 62 250 242 246 187 223 245 208 208 157 110 222 178 178 42 255 254 145 99 145 228 242 74 217 38 67 209 131 183 61 240 230 44 103 30 120 132 47 97 243 116 213 203 6 1 254 109 43 27 237 74 159 114 164 134 23 245 38 216 34 91 254 65 84 123 52 54 115 64 84 192 179 88 240 102 86 175 59 237 91 155 36 34 5 71 145 43 199 18 197 240 28 102 205 71 28 100 250 114 240 90 39 120 134 120 1 96 189 213 121 26 112 98 190 20 121 1 222 100 115 74 96 243 62 202 249 130 165 80 46 196 178 34 160 5 226 111 230 57 5 169 243 248 228 254 61 167 14 30 60 181 231 185 193 190 193 199 247 172 90 245 186 71 238 121 242 31 255 159 131 19 143 14 189 124 247 221 67 80 135 172 149 21 201 201 21 114 57 44 158 203 250 13 18 92 182 178 255 70 51 211 68 52 94 168 179 5 200 135 211 243 231 244 201 188 73 30 233 96 232 0 252 12 164 119 82 234 67 135 255 89 147 210 160 159 126 140 74 17 78 37 73 60 136 66 86 9 136 102 239 199 253 241 107 193 30 186 135 20 229 64 57 22 182 231 144 242 97 254 25 58 149 193 41 60 29 122 232 153 108 81 122 107 252 181 188 210 88 113 141 152 9 95 11 38 217 105 21 148 24 224 26 152 198 36 9 121 211 68 18 242 162 36 5 79 72 92 120 197 158 173 19 91 247 156 218 191 233 198 99 171 86 189 241 137 235 63 247 161 151 183 63 244 158 135 161 12 119 60 185 125 232 137 154 89 144 188 48 83 92 199 36 192 248 93 176 32 191 102 88 106 89 202 78 4 94 44 215 251 2 246 39 158 104 237 215 252 203 95 7 48 86 46 132 108 26 196 142 52 246 126 43 111 57 185 175 135 246 49 59 152 250 29 44 158 43 32 85 224 30 178 142 104 254 36 0 40 40 234 66 206 36 99 161 80 89 12 165 134 192 91 203 201 254 105 164 207 2 1 50 113 68 235 197 199 144 50 203 204 21 62 173 87 205 91 112 57 135 52 22 168 240 148 153 66 214 195 168 156 135 130 144 86 233 160 72 11 57 104 111 150 241 176 166 77 164 149 202 91 224 147 66 246 23 246 108 221 186 103 207 161 135 183 190 250 209 215 253 151 119 183 157 122 251 206 161 161 59 30 125 215 163 47 15 221 241 50 212 129 117 150 207 155 204 158 108 203 76 114 162 32 189 205 12 90 202 76 94 154 140 245 177 240 29 22 99 191 18 69 119 22 34 137 108 155 1 87 102 201 246 172 166 231 226 159 194 117 207 209 6 62 70 106 121 11 225 86 1 253 34 152 58 105 21 114 158 5 215 29 203 51 179 68 88 239 157 3 41 65 25 99 66 206 50 179 57 207 67 166 77 217 133 132 3 23 23 159 71 138 100 152 110 118 195 57 7 236 195 216 80 44 176 85 240 44 75 73 12 10 129 12 64 150 68 179 205 124 14 132 67 127 135 62 152 249 24 89 135 17 72 54 238 103 169 70 86 14 56 59 247 63 248 224 198 87 191 122 207 70 128 251 179 79 252 176 6 127 243 141 123 223 60 180 253 85 119 191 117 104 232 229 161 15 252 91 64 11 77 161 146 89 96 108 206 100 77 230 80 186 22 138 228 19 1 86 30 161 178 34 181 247 21 43 90 137 196 203 242 144 79 79 183 167 153 111 228 225 204 100 216 164 233 151 21 104 237 226 199 209 76 172 111 6 194 61 141 156 230 245 30 251 223 193 29 148 30 59 128 69 254 102 195 26 80 56 229 21 147 96 31 126 102 1 47 78 40 209 89 47 116 233 59 191 139 170 52 205 223 213 249 93 252 30 229 222 177 162 223 64 248 27 210 2 107 29 255 200 96 16 203 242 91 38 210 107 49 3 32 114 12 107 152 5 201 143 7 104 152 78 106 190 85 248 91 171 86 173 122 148 146 251 228 27 222 239 154 76 103 222 105 188 255 53 128 150 127 35 30 26 122 162 99 89 30 29 177 0 172 3 58 88 150 233 193 93 28 158 23 248 246 109 47 143 65 133 236 217 48 198 207 142 100 191 25 121 193 189 136 196 155 204 171 46 197 79 47 204 125 226 215 67 114 3 123 200 139 14 109 102 222 204 143 232 199 35 204 168 165 27 188 153 135 11 136 21 122 90 16 149 176 122 224 253 26 98 204 154 240 7 145 178 71 192 101 136 42 40 15 29 137 36 225 187 243 214 218 103 195 206 59 11 173 131 160 90 185 143 235 20 51 39 168 66 4 46 169 192 99 148 24 43 38 111 162 223 155 5 207 203 123 158 8 71 44 7 224 144 110 44 131 213 112 131 34 130 205 131 249 198 215 189 238 145 71 30 121 242 158 59 126 238 11 77 217 196 129 69 94 190 245 202 161 161 33 254 253 125 232 149 13 212 84 94 26 9 130 66 10 45 216 200 155 185 28 206 179 250 37 21 107 154 57 51 103 221 230 203 218 197 153 179 5 105 68 150 119 155 1 79 83 110 194 13 44 102 204 134 201 249 56 84 54 103 190 55 184 4 105 217 103 61 203 131 68 0 247 108 46 215 179 150 201 232 241 131 141 5 10 194 67 18 128 11 224 166 140 94 92 188 157 135 35 68 23 81 153 122 72 63 171 4 132 50 17 92 30 104 65 136 145 84 0 9 73 71 199 244 168 110 136 26 132 55 99 172 33 143 133 14 93 246 216 168 0 62 211 250 198 123 112 220 113 199 135 158 112 33 12 120 2 83 120 236 184 16 8 57 94 217 134 29 203 179 40 17 152 132 46 201 97 80 53 200 190 38 235 60 10 1 55 115 225 91 193 146 227 211 223 200 122 158 73 170 221 102 192 247 216 220 11 230 55 150 123 246 185 179 89 176 36 247 89 93 179 168 243 60 57 153 103 39 50 61 160 24 29 254 44 112 183 76 58 8 47 45 172 155 69 57 195 0 32 178 114 127 255 118 240 206 65 248 60 82 52 252 210 103 222 99 69 114 103 80 32 172 224 87 150 224 18 89 102 16 245 106 82 153 209 251 173 152 197 29 138 39 132 70 165 145 0 22 23 246 94 249 50 142 237 119 254 235 10 43 42 79 192 177 142 85 240 58 239 127 131 192 251 182 52 96 3 77 32 181 52 138 115 144 20 38 145 106 83 191 164 82 42 28 19 6 71 110 231 253 44 102 160 190 45 179 247 27 49 173 189 35 112 9 213 183 28 187 102 214 178 6 61 221 20 63 110 114 51 64 63 185 145 34 135 115 209 164 205 124 29 222 230 33 30 8 30 237 20 193 160 126 61 57 64 148 194 236 242 220 93 48 73 25 15 180 244 66 9 71 61 162 163 32 237 232 230 52 132 109 175 135 155 164 101 142 173 30 122 89 160 125 139 226 96 161 232 41 86 30 65 202 145 213 240 195 123 255 47 13 13 125 224 222 98 19 35 243 76 6 124 96 225 161 2 146 111 3 129 239 188 110 99 38 17 46 192 87 172 14 168 65 2 102 198 244 2 62 93 196 58 30 203 209 179 190 186 120 219 191 54 192 120 54 156 163 72 61 175 123 35 185 5 195 107 111 153 56 188 86 36 206 178 2 96 70 176 50 89 155 23 100 89 74 94 84 114 38 73 14 84 39 118 235 22 55 90 168 233 60 43 214 163 168 89 222 200 204 50 206 97 13 147 250 6 15 61 237 193 87 37 41 14 127 208 184 136 137 71 110 161 190 11 44 9 120 139 226 32 107 97 60 38 201 35 13 153 119 16 81 218 42 18 150 107 61 241 196 117 215 102 134 49 25 10 202 116 228 184 154 229 252 240 222 15 66 144 115 72 28 189 37 115 49 140 172 199 57 59 92 16 240 87 160 41 180 78 169 155 188 29 190 253 38 183 178 230 55 255 110 4 137 175 231 244 43 156 39 121 243 114 207 47 77 203 60 120 133 92 22 44 159 189 147 158 98 99 150 160 115 18 179 29 253 179 6 28 161 143 234 32 197 129 8 51 226 169 118 60 242 157 91 133 255 155 144 61 89 157 251 101 31 255 207 121 92 55 203 88 61 73 48 248 39 38 217 221 229 148 5 199 37 80 30 49 201 52 5 144 77 21 102 72 151 2 149 201 115 58 5 202 41 159 208 171 2 213 195 202 49 239 166 211 180 8 38 87 134 234 90 228 59 77 48 45 44 73 253 146 202 245 153 86 46 215 223 219 222 62 247 185 112 227 203 89 222 215 131 164 124 174 31 142 43 204 158 207 115 127 202 221 0 194 143 234 195 197 247 146 158 120 82 40 248 180 154 61 203 238 192 216 132 183 38 195 54 179 145 116 120 210 242 24 15 185 166 102 203 190 7 140 64 59 68 57 63 223 227 225 240 211 35 172 59 96 35 238 121 254 171 231 236 239 163 21 176 47 34 65 102 176 28 147 84 144 2 166 84 64 30 36 185 200 103 76 22 202 41 168 114 42 11 24 169 242 34 185 145 12 75 223 18 135 248 168 64 165 102 101 229 73 105 127 121 112 52 175 252 215 101 228 177 139 103 61 149 201 188 183 246 219 179 179 68 254 211 179 147 223 27 241 206 6 255 207 12 151 166 66 121 239 125 118 118 246 226 179 107 185 84 62 247 221 139 179 79 143 168 28 122 166 114 236 247 251 63 49 57 139 33 223 238 255 70 94 18 171 158 22 214 78 206 78 126 215 203 41 214 22 104 204 11 88 26 162 245 94 241 19 40 160 164 85 144 38 37 66 86 96 94 178 52 181 246 171 23 233 225 240 236 36 220 200 9 38 150 169 104 10 163 115 88 167 63 23 0 101 42 33 228 118 212 47 8 44 110 9 32 57 33 31 115 19 243 17 21 122 18 12 145 14 73 136 194 29 195 178 10 111 42 135 25 228 128 215 166 42 68 105 113 57 133 44 163 246 130 46 252 41 51 24 154 43 248 41 12 42 211 11 179 0 77 84 121 247 196 140 208 213 202 123 17 191 114 194 4 105 85 158 15 171 255 44 175 113 148 185 4 79 47 34 135 86 156 217 200 176 124 224 76 193 84 134 8 187 191 161 83 88 251 133 169 210 229 187 161 12 23 114 129 33 83 209 95 105 151 21 46 105 74 195 87 51 172 152 88 87 232 168 38 153 211 48 41 204 21 206 210 182 44 127 29 75 195 148 243 150 57 130 86 254 180 134 51 28 166 214 85 19 69 78 63 117 182 23 244 16 174 192 93 241 72 245 248 188 138 41 184 239 95 20 150 76 207 249 53 135 67 239 7 158 247 159 248 193 133 221 207 148 31 51 244 83 159 6 209 89 75 194 211 2 110 170 103 214 178 32 100 101 118 108 201 93 243 150 240 150 63 150 95 89 29 179 61 33 221 110 20 249 123 113 246 217 179 222 242 168 22 150 155 96 253 116 247 204 91 92 25 214 55 205 8 215 204 229 214 48 151 191 29 76 202 69 215 243 11 73 219 206 69 6 179 10 114 49 239 255 233 72 220 230 188 71 240 214 254 4 3 169 229 110 158 24 224 111 99 153 251 39 253 219 198 50 179 78 158 84 78 156 59 161 124 137 142 153 9 51 157 248 41 66 249 255 57 18 203 249 22 235 141 180 170 175 82 81 63 125 23 140 37 206 24 203 66 165 183 80 234 97 42 58 41 21 25 159 136 26 231 189 149 221 238 192 50 41 216 118 185 219 237 174 75 220 130 73 89 121 176 173 59 165 134 94 238 166 228 36 116 54 181 86 191 123 47 7 107 202 15 32 161 134 211 70 162 236 207 77 68 226 50 140 48 107 202 184 140 74 164 140 68 20 133 84 116 142 151 16 251 177 192 27 26 214 142 45 71 206 68 8 183 17 185 205 193 134 17 1 228 236 167 130 205 83 73 1 167 70 166 12 229 146 242 45 101 168 68 42 111 202 52 144 0 78 187 82 61 203 26 92 243 116 183 187 18 0 159 192 66 137 84 16 92 66 168 96 112 249 3 221 149 41 82 103 160 219 245 103 34 163 41 89 118 36 112 229 89 185 37 49 139 203 134 231 155 50 130 132 84 253 53 83 165 16 163 82 152 227 106 185 23 143 148 10 156 35 50 17 72 82 75 43 34 70 71 170 254 12 197 111 56 70 44 74 134 54 110 248 196 77 68 144 164 233 148 230 188 186 3 56 250 47 70 222 241 13 12 50 96 180 74 90 149 19 122 209 50 92 51 130 242 16 35 25 32 180 174 187 197 224 104 149 94 35 101 40 243 83 221 3 137 147 228 117 42 140 153 143 177 108 66 242 52 160 216 181 171 187 82 113 16 23 229 148 55 242 159 102 35 95 28 165 82 6 60 79 249 196 209 53 42 78 208 47 132 92 46 107 222 36 48 86 121 146 40 7 244 76 120 229 132 151 81 216 150 84 162 152 51 3 23 41 122 98 100 148 64 164 104 84 102 100 48 39 22 212 133 145 73 144 31 94 16 159 225 115 45 21 164 195 80 153 22 172 141 140 161 168 25 208 1 227 171 4 241 249 232 151 97 213 32 0 79 49 60 17 124 166 84 158 233 17 96 246 81 223 50 213 189 188 203 219 182 190 219 221 226 165 78 78 173 59 221 29 128 99 41 144 114 160 122 178 59 117 206 56 177 6 60 62 87 78 112 200 154 115 158 119 224 114 247 242 54 207 216 50 117 206 59 177 190 187 114 13 210 96 224 222 212 105 2 191 118 166 231 203 28 35 81 34 109 64 25 224 149 241 215 76 249 96 136 91 168 116 2 84 21 116 133 213 0 196 40 11 199 18 101 226 97 40 150 149 60 9 157 33 168 250 75 85 145 77 164 56 81 165 61 102 41 67 219 98 55 198 10 148 225 137 12 107 81 6 9 83 69 48 82 176 69 220 75 188 35 168 36 184 120 73 141 16 196 170 42 251 24 1 124 35 65 61 139 250 103 162 153 209 170 148 52 83 82 194 168 4 162 148 100 120 70 89 165 13 17 60 5 1 152 218 182 13 8 118 187 167 89 241 221 238 54 2 0 120 215 3 191 115 198 201 169 238 122 48 153 90 139 103 7 64 246 203 235 187 83 36 246 57 3 64 95 230 248 117 221 41 96 15 243 169 232 43 222 167 0 30 217 43 152 150 74 36 37 192 132 212 224 128 91 8 50 85 22 20 140 114 70 145 202 32 204 120 88 202 16 66 197 6 204 46 165 20 207 137 10 199 24 82 77 176 131 21 75 2 89 201 215 240 146 42 47 47 150 48 170 96 177 145 65 138 240 81 230 227 20 121 156 73 1 196 146 68 143 7 165 50 134 203 21 6 87 171 92 218 80 90 146 34 66 169 132 202 210 123 35 95 133 9 226 176 1 217 98 96 229 82 53 37 5 148 41 169 22 80 46 115 25 64 79 174 192 200 137 110 55 145 186 220 61 144 90 217 61 144 33 81 15 72 157 227 86 247 242 9 196 176 165 187 6 144 30 0 148 167 203 43 187 187 170 96 245 137 238 84 102 91 247 114 10 73 57 135 159 147 128 250 196 83 48 211 243 186 182 56 51 34 172 146 82 43 7 237 165 92 21 13 166 247 112 190 10 234 208 159 178 223 181 74 128 64 169 115 25 36 33 210 70 9 207 203 20 205 68 21 148 174 50 166 50 199 9 148 153 148 234 77 41 66 47 98 155 40 1 70 138 3 243 196 117 19 90 233 13 148 143 159 19 248 129 32 209 122 82 188 145 194 250 248 33 150 202 30 7 151 50 160 40 13 86 75 169 16 222 217 179 88 155 180 128 25 143 133 9 182 26 162 87 25 82 24 182 19 226 79 213 39 111 185 68 237 4 62 39 129 231 46 249 1 229 82 165 146 113 18 124 236 110 51 18 83 32 53 144 175 110 219 5 153 237 14 96 232 22 227 192 137 50 20 187 68 228 65 234 234 174 238 229 140 116 184 132 23 253 222 82 208 96 165 0 170 140 8 86 153 44 73 65 13 50 213 76 73 117 167 50 174 201 219 170 40 34 153 4 22 129 27 70 73 73 73 89 120 138 2 36 27 124 65 203 136 180 177 130 171 85 202 37 27 74 89 117 18 172 196 114 225 198 44 83 45 147 181 37 67 102 74 193 150 5 110 16 22 244 51 124 225 198 21 221 44 115 189 114 85 109 210 8 190 244 192 114 169 12 163 193 183 122 195 207 3 28 192 78 239 82 94 38 83 230 152 12 220 175 178 173 51 45 140 1 169 147 27 172 27 175 186 165 187 46 117 26 213 126 94 97 119 14 85 91 102 169 120 79 129 202 34 2 60 78 164 206 29 152 194 103 217 88 73 5 174 146 200 198 122 104 197 129 238 26 152 224 177 6 225 165 194 255 63 240 108 9 94 26 66 135 68 57 99 84 225 103 2 138 7 174 162 36 89 64 85 69 83 84 89 130 202 91 165 82 84 13 214 154 218 111 144 28 101 50 80 58 81 21 147 75 82 8 153 82 73 66 2 2 96 76 6 119 51 42 74 17 135 84 9 2 100 196 16 31 214 52 164 24 64 22 152 34 29 133 227 168 99 152 5 78 20 120 150 139 87 45 81 35 100 103 69 187 170 146 0 66 6 21 3 205 40 151 71 254 163 250 86 38 99 148 97 134 138 2 87 89 122 224 50 58 10 168 142 216 193 243 42 157 173 210 158 129 206 128 117 170 213 245 40 122 208 144 189 172 202 138 47 35 12 163 124 126 205 129 178 1 124 7 128 252 129 3 7 182 165 206 163 139 29 232 174 47 151 207 17 223 76 6 143 82 248 1 218 7 192 249 53 24 115 158 75 156 125 150 95 254 60 219 127 22 196 65 114 75 165 148 72 24 26 5 217 170 10 219 144 221 33 234 7 101 9 231 165 179 64 3 84 239 65 84 169 114 6 16 150 48 138 68 96 220 224 59 182 0 232 79 25 240 130 219 28 84 95 41 85 174 102 50 200 17 34 132 199 216 33 25 213 82 6 100 70 176 165 24 48 68 156 44 11 162 77 190 65 10 80 171 178 21 5 225 69 137 177 44 119 83 36 90 149 41 35 31 65 74 84 85 57 131 169 213 76 25 104 84 89 61 165 42 156 101 45 148 217 45 12 230 176 74 69 169 26 162 250 9 213 29 128 27 20 135 121 173 38 200 22 148 210 121 234 2 104 136 174 182 62 5 42 146 88 165 12 106 127 101 162 138 173 239 57 158 156 92 55 144 80 18 188 165 188 109 23 78 187 39 161 216 37 36 228 169 242 84 119 128 188 207 156 94 103 72 141 195 237 170 160 128 234 52 232 102 89 40 150 162 214 195 247 42 170 141 42 136 112 137 58 210 75 9 65 190 41 132 236 70 160 2 180 9 30 98 112 137 12 32 245 152 20 128 5 120 203 96 49 96 167 21 24 41 39 50 212 218 50 74 160 202 116 148 129 23 225 45 199 160 62 212 23 32 85 69 204 200 67 9 43 73 249 112 237 42 184 85 230 60 76 67 157 2 178 76 130 194 12 187 85 74 15 165 130 14 32 101 6 224 198 64 217 19 130 11 200 31 150 197 6 1 207 145 101 60 0 123 121 5 33 170 162 60 176 126 25 31 85 186 14 147 213 129 238 84 57 197 238 191 190 187 139 21 159 0 234 120 186 178 187 62 129 70 183 50 65 118 110 1 250 128 240 60 186 27 180 162 12 88 19 80 108 168 118 215 64 103 59 143 235 12 238 87 233 22 139 174 84 5 168 100 86 181 204 133 74 236 165 160 26 233 130 202 162 240 192 75 252 2 165 203 82 177 220 124 177 83 0 18 252 128 41 144 12 238 109 17 22 192 19 160 104 204 35 87 65 250 50 155 14 19 146 33 152 101 74 58 119 12 41 26 3 65 97 214 136 129 204 66 67 36 7 100 70 189 128 214 112 9 233 41 81 251 232 103 153 105 103 37 3 47 32 158 97 63 48 240 139 85 2 187 25 214 30 246 30 101 104 81 134 132 129 45 68 5 184 203 112 19 220 97 5 64 199 56 11 69 128 219 101 54 91 137 24 211 171 148 254 84 9 91 49 35 51 213 93 185 165 59 117 190 196 138 7 38 32 219 58 236 203 208 219 78 0 222 203 56 63 9 8 215 240 229 25 159 7 214 116 215 81 177 49 181 187 14 187 54 194 189 101 61 118 205 72 62 86 231 250 41 36 153 106 73 47 65 216 18 131 3 47 48 64 64 17 32 136 85 138 228 132 127 9 134 2 70 210 113 120 69 240 1 39 41 65 73 3 59 0 45 137 8 189 4 216 128 26 118 105 3 7 4 134 46 171 109 17 52 144 200 84 171 132 151 79 13 198 146 144 186 71 27 131 92 85 13 46 141 101 89 189 192 134 85 140 38 136 68 195 20 224 71 210 177 8 51 129 172 192 163 4 21 53 147 73 145 44 112 11 232 65 48 184 227 99 15 133 140 19 85 9 2 252 41 113 255 144 162 119 85 244 24 166 50 131 214 116 186 92 134 10 96 23 150 48 186 151 49 134 230 188 243 220 55 172 31 48 82 219 166 184 47 174 102 112 125 154 25 0 198 221 45 79 225 99 0 196 239 78 225 165 162 156 225 189 53 231 75 116 2 94 130 14 37 225 26 112 160 116 137 103 148 169 50 183 8 112 25 161 37 216 26 32 92 134 36 157 9 103 157 97 98 2 168 103 40 0 6 187 20 20 27 201 166 1 162 10 140 48 155 133 93 98 167 66 205 18 40 252 78 8 83 192 34 170 128 71 146 198 100 33 226 129 225 84 43 73 52 20 166 74 137 134 25 20 47 116 21 8 67 134 197 7 32 34 160 144 211 25 18 146 68 198 170 184 66 129 33 63 128 78 234 93 58 10 158 176 198 41 13 2 100 137 77 3 102 9 56 118 250 37 214 45 20 203 48 206 159 128 111 222 249 129 19 120 82 61 113 158 219 13 154 79 101 6 6 78 86 201 182 243 3 3 37 190 150 14 156 44 157 56 137 124 240 107 180 140 241 212 9 176 240 228 64 38 51 64 175 112 15 34 197 198 2 52 89 250 4 131 250 80 166 227 20 4 113 20 253 22 234 80 149 10 67 73 102 72 24 108 195 36 134 12 81 163 60 210 8 19 2 32 82 140 7 167 140 134 168 211 49 98 156 98 237 129 6 84 82 236 14 200 204 18 51 10 170 146 193 80 198 191 18 96 0 176 216 41 138 125 115 146 104 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache at: 1! !

!JQUiAllTestsLibrary methodsFor: 'uploaded' stamp: 'lr 10/21/2008 22:01'!
menuLeftPng
	^ super menuLeftPng! !

!JQUiAllTestsLibrary methodsFor: 'uploaded' stamp: 'lr 10/21/2008 22:02'!
menuPng
	^ super menuPng! !

!JQUiAllTestsLibrary methodsFor: 'uploaded' stamp: 'lr 10/21/2008 22:02'!
menuRightPng
	^ super menuRightPng! !

JQAllTests subclass: #JQUiAllTests
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQUiAllTests class methodsFor: 'initialization' stamp: 'lr 10/20/2008 20:06'!
canBeRoot
	^ true! !

!JQUiAllTests class methodsFor: 'accessing' stamp: 'lr 10/20/2008 20:06'!
description
	^ 'Functional jQuery UI Test Suite'! !

!JQUiAllTests class methodsFor: 'initialization' stamp: 'jf 10/26/2008 12:10'!
initialize
	| application |
	application := WAAdmin register: self asApplicationAt: 'tests/jquery-ui'.
	application
		addLibrary: JQDeploymentLibrary;
		addLibrary: JQUiDeploymentLibrary;
		addLibrary: JQUiAllTestsLibrary! !

!JQUiAllTests methodsFor: 'configuration' stamp: 'lr 10/21/2008 22:14'!
menu
	^ #(('http://www.seaside.st/' 'Seaside') ('http://jquery.com/' 'JQuery') ('http://ui.jquery.com/' 'JQuery UI') ('http://docs.jquery.com/UI' 'Documentation'))! !

!JQUiAllTests methodsFor: 'configuration' stamp: 'lr 10/26/2008 20:54'!
tests
	^ Array
		with: 'Interaction' -> (Array
			with: 'Draggable' -> JQDraggableFunctionalTest new
			with: 'Droppable' -> JQDroppableFunctionalTest new
			with: 'Resizable' -> JQResizableFunctionalTest new
			with: 'Selectable' -> JQSelectableFunctionalTest new
			with: 'Sortable' -> JQSortableFunctionalTest new)
		with: 'Widgets' -> (Array
			with: 'Accordion' -> JQAccordionFunctionalTest new
			with: 'Datepicker' -> JQDatepickerFunctionalTest new
			with: 'Dialog' -> JQDialogFunctionalTest new
			with: 'Slider' -> JQSliderFunctionalTest new
			with: 'Tabs' -> JQTabsFunctionalTest new)! !

!JQUiAllTests methodsFor: 'configuration' stamp: 'lr 10/21/2008 22:04'!
title
	^ 'jQuery UI for Seaside'! !

!JQUiAllTests methodsFor: 'configuration' stamp: 'lr 10/20/2008 20:29'!
url
	^ 'http://ui.jquery.com/'! !

JQFunctionalTest subclass: #JQUiFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

JQUiFunctionalTest subclass: #JQAccordionFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQAccordionFunctionalTest methodsFor: 'rendering' stamp: 'lr 10/27/2008 09:28'!
renderContentOn: html
	html div
		script: (html jQuery new accordion autoHeight: false);
		with: [
			self berries keysAndValuesDo: [ :name :description |
				html anchor: name.
				html div: description ] ]! !

!JQAccordionFunctionalTest methodsFor: 'rendering' stamp: 'lr 10/27/2008 09:14'!
style
	^ '.ui-accordion { }
.ui-accordion a { display: block; padding: 5px; background-color: #ffbc85; }
.ui-accordion a.selected { background-color: #ff7200; color: #000; }
.ui-accordion div { padding: 5px; }'! !

JQUiFunctionalTest subclass: #JQDatepickerFunctionalTest
	instanceVariableNames: 'date'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQDatepickerFunctionalTest methodsFor: 'initialization' stamp: 'lr 10/27/2008 07:05'!
initialize
	super initialize.
	date := Date today! !

!JQDatepickerFunctionalTest methodsFor: 'rendering' stamp: 'lr 10/27/2008 07:05'!
renderContentOn: html	
	html textInput
		script: html jQuery new datepicker;
		callback: [ :value | date := value asDate ];
		value: date mmddyyyy! !

JQUiFunctionalTest subclass: #JQDialogFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

JQUiFunctionalTest subclass: #JQDraggableFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

JQUiFunctionalTest subclass: #JQDroppableFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

JQUiFunctionalTest subclass: #JQResizableFunctionalTest
	instanceVariableNames: 'size'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQResizableFunctionalTest methodsFor: 'initialization' stamp: 'lr 10/26/2008 18:53'!
initialize
	super initialize.
	size := 240 @ 320! !

!JQResizableFunctionalTest methodsFor: 'rendering' stamp: 'lr 10/26/2008 19:22'!
renderContentOn: html
	html image
		width: size x; height: size y;
		url: (JQUiAllTestsLibrary urlOf: #image1Jpg);
		script: (html jQuery new resizable
			onStop: (html jQuery ajax
				triggerResizableSize: [ :value | size := value ]))! !

JQUiFunctionalTest subclass: #JQSelectableFunctionalTest
	instanceVariableNames: 'selected'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQSelectableFunctionalTest methodsFor: 'initialization' stamp: 'lr 10/27/2008 06:36'!
initialize
	super initialize.
	selected := Set new! !

!JQSelectableFunctionalTest methodsFor: 'rendering' stamp: 'lr 10/27/2008 06:37'!
renderContentOn: html
	html unorderedList
		script: (html jQuery new selectable
			onStop: (html jQuery ajax
				trigger: [ :value | selected := value asSet ]
				passengers: (html jQuery this find: '.ui-selected')));
		with: [
			self vegetables do: [ :each |
				html listItem
					class: 'ui-selected' if: (selected includes: each);
					passenger: each;
					with: each ] ]! !

!JQSelectableFunctionalTest methodsFor: 'rendering' stamp: 'lr 10/26/2008 21:07'!
style
	^ '.ui-selectable, .ui-selectable li { list-style-type: none; padding: 0; margin: 0 }
.ui-selectable li { padding: 5px; margin: 5px; border: 1px solid #ffbc85; }
.ui-selectable li.ui-selecting { background-color: #ffbc85; }
.ui-selectable li.ui-selected { background-color: #ff7200; }'! !

JQUiFunctionalTest subclass: #JQSliderFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

JQUiFunctionalTest subclass: #JQSortableFunctionalTest
	instanceVariableNames: 'items'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQSortableFunctionalTest methodsFor: 'initialization' stamp: 'lr 10/27/2008 06:37'!
initialize
	super initialize.
	items := self vegetables! !

!JQSortableFunctionalTest methodsFor: 'rendering' stamp: 'lr 10/26/2008 21:50'!
renderContentOn: html
	html unorderedList
		script: (html jQuery new sortable
			onStop: (html jQuery ajax
				trigger: [ :values | items := values ]
				passengers: (html jQuery this find: 'li')));
		with: [
			items do: [ :each |
				html listItem
					passenger: each;
					with: each ] ]! !

!JQSortableFunctionalTest methodsFor: 'rendering' stamp: 'lr 10/26/2008 21:50'!
style
	^ '.ui-sortable li { cursor: move; }'! !

JQUiFunctionalTest subclass: #JQTabsFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-UI-Functional'!

!JQTabsFunctionalTest methodsFor: 'rendering' stamp: 'lr 10/27/2008 09:20'!
renderContentOn: html
	html unorderedList script: html jQuery new tabs; with: [
		self berries keysAndValuesDo: [ :name :description |
			html listItem: [
				html anchor
					url: (html jQuery ajax
						html: [ :h | h paragraph: description ];
						fullUrl);
					with: name ] ] ]! !

!JQTabsFunctionalTest methodsFor: 'rendering' stamp: 'lr 10/27/2008 09:19'!
style
	^ 'ul.ui-tabs-nav, ul.ui-tabs-nav li { margin: 0; padding: 0; list-style-type: none; }
ul.ui-tabs-nav li { float: left; }
ul.ui-tabs-nav li a { display: block; padding: 5px; }
ul.ui-tabs-nav li.ui-tabs-selected a { background-color: #ff7200; color: #000; }
div.ui-tabs-panel { clear: both; border-top: 1px solid #ff7200; }
div.ui-tabs-hide { display: none; }'! !

!JQUiFunctionalTest methodsFor: 'accessing' stamp: 'lr 10/27/2008 09:27'!
berries
	"A collection of berries and a short description from Wikipedia."
	
	^ Dictionary new
		at: 'Blackberry' put: 'The blackberry is an aggregate fruit from a bramble bush, genus Rubus in the rose family Rosaceae.';
		at: 'Raspberry' put: 'The raspberry is the edible fruit of a multitude of plant species in the subgenus Idaeobatus of the genus Rubus.';
		at: 'Blueberry' put: 'Blueberries are flowering plants in the genus Vaccinium, sect. Cyanococcus.'; 
		at: 'Cloudberry' put: 'The cloudberry is a slow-growing alpine or sub-Arctic species of Rubus, producing amber-colored edible fruit.';
		at: 'Cranberry' put: 'Cranberries are a group of evergreen dwarf shrubs or trailing vines in the genus Vaccinium subgenus Oxycoccos, or in some treatments, in the distinct genus Oxycoccos.';
		at: 'Loganberry' put: 'The loganberry is a hybrid produced from crossing a blackberry and a raspberry.';
		yourself! !

!JQUiFunctionalTest methodsFor: 'accessing' stamp: 'lr 10/27/2008 06:36'!
vegetables
	^ #('Alfalfa' 'Clover' 'Peas' 'Beans' 'Lentils' 'Lupins' 'Mesquite' 'Carob' 'Peanuts')! !
JQUiAllTests initialize!
